package com.amap.api.services.core;

import android.content.Context;
import com.amap.api.col.p0003s.et;
import com.amap.api.col.p0003s.eu;
import com.amap.api.col.p0003s.ga;
import com.amap.api.col.p0003s.hg;
import com.amap.api.col.p0003s.hk;
import com.amap.api.col.p0003s.hn;
import com.facebook.imagepipeline.producers.HttpUrlConnectionNetworkFetcher;
import com.nostra13.dcloudimageloader.core.download.BaseImageDownloader;

public class ServiceSettings {
    public static final String CHINESE = "zh-CN";
    public static final String ENGLISH = "en";
    public static final int HTTP = 1;
    public static final int HTTPS = 2;
    private static ServiceSettings c;
    private String a = "zh-CN";
    private int b = 1;
    private int d = BaseImageDownloader.DEFAULT_HTTP_READ_TIMEOUT;
    private int e = BaseImageDownloader.DEFAULT_HTTP_READ_TIMEOUT;

    public int getConnectionTimeOut() {
        return this.d;
    }

    public int getSoTimeOut() {
        return this.e;
    }

    public void setConnectionTimeOut(int i) {
        if (i < 5000) {
            this.d = 5000;
        } else if (i > 30000) {
            this.d = HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT;
        } else {
            this.d = i;
        }
    }

    public void setSoTimeOut(int i) {
        if (i < 5000) {
            this.e = 5000;
        } else if (i > 30000) {
            this.e = HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT;
        } else {
            this.e = i;
        }
    }

    private ServiceSettings() {
    }

    public static ServiceSettings getInstance() {
        if (c == null) {
            c = new ServiceSettings();
        }
        return c;
    }

    public void setLanguage(String str) {
        this.a = str;
    }

    public void setProtocol(int i) {
        this.b = i;
        hk.a().a(this.b == 2);
    }

    public String getLanguage() {
        return this.a;
    }

    public int getProtocol() {
        return this.b;
    }

    public void setApiKey(String str) {
        hg.a(str);
    }

    public void destroyInnerAsynThreadPool() {
        try {
            ga.b();
        } catch (Throwable th) {
            eu.a(th, "ServiceSettings", "destroyInnerAsynThreadPool");
        }
    }

    public static synchronized void updatePrivacyShow(Context context, boolean z, boolean z2) {
        synchronized (ServiceSettings.class) {
            hn.a(context, z, z2, et.a(false));
        }
    }

    public static synchronized void updatePrivacyAgree(Context context, boolean z) {
        synchronized (ServiceSettings.class) {
            hn.a(context, z, et.a(false));
        }
    }
}
