package com.loc;

import com.loc.ck;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ThreadPoolExecutor;

/* compiled from: BasePool */
public abstract class cl {
    protected ThreadPoolExecutor a;
    protected ck.a b = new ck.a() {
        /* class com.loc.cl.AnonymousClass1 */

        @Override // com.loc.ck.a
        public final void a(ck ckVar) {
            cl.this.a(ckVar);
        }
    };
    private ConcurrentHashMap<ck, Future<?>> c = new ConcurrentHashMap<>();

    private synchronized void a(ck ckVar, Future<?> future) {
        try {
            this.c.put(ckVar, future);
        } catch (Throwable th) {
            an.b(th, "TPool", "addQueue");
            th.printStackTrace();
        }
    }

    private synchronized boolean c(ck ckVar) {
        boolean z;
        try {
            z = this.c.containsKey(ckVar);
        } catch (Throwable th) {
            an.b(th, "TPool", "contain");
            th.printStackTrace();
            z = false;
        }
        return z;
    }

    /* access modifiers changed from: protected */
    public final synchronized void a(ck ckVar) {
        try {
            this.c.remove(ckVar);
        } catch (Throwable th) {
            an.b(th, "TPool", "removeQueue");
            th.printStackTrace();
        }
    }

    public final Executor b() {
        return this.a;
    }

    public final void b(ck ckVar) {
        ThreadPoolExecutor threadPoolExecutor;
        if (!c(ckVar) && (threadPoolExecutor = this.a) != null && !threadPoolExecutor.isShutdown()) {
            ckVar.e = this.b;
            try {
                Future<?> submit = this.a.submit(ckVar);
                if (submit != null) {
                    a(ckVar, submit);
                }
            } catch (RejectedExecutionException e) {
                an.b(e, "TPool", "addTask");
            }
        }
    }
}
