package com.loc;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.telephony.CellIdentityCdma;
import android.telephony.CellIdentityGsm;
import android.telephony.CellIdentityLte;
import android.telephony.CellIdentityNr;
import android.telephony.CellIdentityWcdma;
import android.telephony.CellInfo;
import android.telephony.CellInfoCdma;
import android.telephony.CellInfoGsm;
import android.telephony.CellInfoLte;
import android.telephony.CellInfoNr;
import android.telephony.CellInfoWcdma;
import android.telephony.CellLocation;
import android.telephony.CellSignalStrengthNr;
import android.telephony.PhoneStateListener;
import android.telephony.ServiceState;
import android.telephony.SignalStrength;
import android.telephony.TelephonyManager;
import android.telephony.cdma.CdmaCellLocation;
import android.telephony.gsm.GsmCellLocation;
import android.text.TextUtils;
import com.autonavi.amap.mapcore.tools.GlMapUtil;
import com.taobao.weex.common.Constants;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* compiled from: CgiManager */
public final class et {
    ArrayList<es> a = new ArrayList<>();
    TelephonyManager b = null;
    PhoneStateListener c = null;
    SignalStrength d;
    boolean e = false;
    StringBuilder f = null;
    String g = null;
    private Context h;
    private boolean i = false;
    private boolean j = false;
    private String k = null;
    private ArrayList<es> l = new ArrayList<>();
    private er m = null;
    private long n = 0;
    private boolean o = false;
    private Object p = new Object();
    private TelephonyManager.CellInfoCallback q;
    private boolean r = false;
    private String s = null;
    private String t = null;
    private ek u;

    /* access modifiers changed from: package-private */
    /* compiled from: CgiManager */
    public class a extends TelephonyManager.CellInfoCallback {
        a() {
        }

        @Override // android.telephony.TelephonyManager.CellInfoCallback
        public final void onCellInfo(List<CellInfo> list) {
            try {
                if (fq.b() - et.this.n >= 500) {
                    et.this.r = true;
                    et.this.a((et) et.this.t());
                    et.this.a(list);
                    et.this.n = fq.b();
                }
            } catch (SecurityException e) {
                et.this.g = e.getMessage();
            } catch (Throwable th) {
                fj.a(th, "Cgi", "cellInfo");
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: CgiManager */
    public class b extends PhoneStateListener {
        b() {
        }

        @Override // android.telephony.PhoneStateListener
        public final void onCellInfoChanged(List<CellInfo> list) {
            try {
                if (et.this.u != null) {
                    et.this.u.c();
                }
                if (fq.b() - et.this.n >= 500) {
                    et.this.a((et) et.this.t());
                    et.this.a(list);
                    et.this.n = fq.b();
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }

        public final void onCellLocationChanged(CellLocation cellLocation) {
            if (fq.b() - et.this.n >= 500) {
                try {
                    et.this.a((et) cellLocation);
                    et.this.a(et.this.u());
                    et.this.n = fq.b();
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        }

        public final void onDataConnectionStateChanged(int i) {
            super.onDataConnectionStateChanged(i);
        }

        public final void onServiceStateChanged(ServiceState serviceState) {
            try {
                int state = serviceState.getState();
                if (state == 0) {
                    et.this.a(false, false);
                } else if (state == 1) {
                    et.this.j();
                }
            } catch (Throwable unused) {
            }
        }

        public final void onSignalStrengthChanged(int i) {
            super.onSignalStrengthChanged(i);
        }

        public final void onSignalStrengthsChanged(SignalStrength signalStrength) {
            if (signalStrength != null) {
                et.this.d = signalStrength;
                try {
                    if (et.this.u != null) {
                        et.this.u.c();
                    }
                } catch (Throwable unused) {
                }
            }
        }
    }

    public et(Context context, Handler handler) {
        this.h = context;
        if (this.b == null) {
            this.b = (TelephonyManager) fq.a(context, "phone");
        }
        o();
        er erVar = new er(context, "cellAge", handler);
        this.m = erVar;
        erVar.a();
    }

    private static es a(int i2, boolean z, int i3, int i4, int i5, int i6, int i7) {
        es esVar = new es(i2, z);
        esVar.a = i3;
        esVar.b = i4;
        esVar.c = i5;
        esVar.d = i6;
        esVar.k = i7;
        return esVar;
    }

    private es a(CellInfoCdma cellInfoCdma, boolean z) {
        int i2;
        int i3;
        int i4;
        if (!(cellInfoCdma == null || cellInfoCdma.getCellIdentity() == null)) {
            CellIdentityCdma cellIdentity = cellInfoCdma.getCellIdentity();
            if (cellIdentity.getSystemId() > 0 && cellIdentity.getNetworkId() >= 0 && cellIdentity.getBasestationId() >= 0) {
                CellIdentityCdma cellIdentity2 = cellInfoCdma.getCellIdentity();
                String[] a2 = fq.a(this.b);
                try {
                    i4 = Integer.parseInt(a2[0]);
                    try {
                        i2 = Integer.parseInt(a2[1]);
                        i3 = i4;
                    } catch (Throwable unused) {
                        i3 = i4;
                        i2 = 0;
                        es a3 = a(2, z, i3, i2, 0, 0, cellInfoCdma.getCellSignalStrength().getCdmaDbm());
                        a3.h = cellIdentity2.getSystemId();
                        a3.i = cellIdentity2.getNetworkId();
                        a3.j = cellIdentity2.getBasestationId();
                        a3.f = cellIdentity2.getLatitude();
                        a3.g = cellIdentity2.getLongitude();
                        a3.s = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
                        return a3;
                    }
                } catch (Throwable unused2) {
                    i4 = 0;
                    i3 = i4;
                    i2 = 0;
                    es a32 = a(2, z, i3, i2, 0, 0, cellInfoCdma.getCellSignalStrength().getCdmaDbm());
                    a32.h = cellIdentity2.getSystemId();
                    a32.i = cellIdentity2.getNetworkId();
                    a32.j = cellIdentity2.getBasestationId();
                    a32.f = cellIdentity2.getLatitude();
                    a32.g = cellIdentity2.getLongitude();
                    a32.s = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
                    return a32;
                }
                es a322 = a(2, z, i3, i2, 0, 0, cellInfoCdma.getCellSignalStrength().getCdmaDbm());
                a322.h = cellIdentity2.getSystemId();
                a322.i = cellIdentity2.getNetworkId();
                a322.j = cellIdentity2.getBasestationId();
                a322.f = cellIdentity2.getLatitude();
                a322.g = cellIdentity2.getLongitude();
                a322.s = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
                return a322;
            }
        }
        return null;
    }

    private static es a(CellInfoGsm cellInfoGsm, boolean z) {
        if (cellInfoGsm == null || cellInfoGsm.getCellIdentity() == null) {
            return null;
        }
        CellIdentityGsm cellIdentity = cellInfoGsm.getCellIdentity();
        es a2 = a(1, z, cellIdentity.getMcc(), cellIdentity.getMnc(), cellIdentity.getLac(), cellIdentity.getCid(), cellInfoGsm.getCellSignalStrength().getDbm());
        a2.o = cellInfoGsm.getCellIdentity().getBsic();
        a2.p = cellInfoGsm.getCellIdentity().getArfcn();
        a2.q = cellInfoGsm.getCellSignalStrength().getTimingAdvance();
        a2.s = cellInfoGsm.getCellSignalStrength().getDbm();
        return a2;
    }

    private static es a(CellInfoLte cellInfoLte, boolean z) {
        if (cellInfoLte == null || cellInfoLte.getCellIdentity() == null) {
            return null;
        }
        CellIdentityLte cellIdentity = cellInfoLte.getCellIdentity();
        es a2 = a(3, z, cellIdentity.getMcc(), cellIdentity.getMnc(), cellIdentity.getTac(), cellIdentity.getCi(), cellInfoLte.getCellSignalStrength().getDbm());
        a2.o = cellIdentity.getPci();
        if (Build.VERSION.SDK_INT >= 24) {
            a2.p = cellIdentity.getEarfcn();
        }
        a2.q = cellInfoLte.getCellSignalStrength().getTimingAdvance();
        a2.s = cellInfoLte.getCellSignalStrength().getDbm();
        return a2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0070  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0073  */
    private static es a(CellInfoNr cellInfoNr, boolean z) {
        int i2;
        int i3;
        Throwable th;
        int i4;
        if (cellInfoNr == null || cellInfoNr.getCellIdentity() == null) {
            return null;
        }
        CellIdentityNr cellIdentityNr = (CellIdentityNr) cellInfoNr.getCellIdentity();
        int tac = cellIdentityNr.getTac();
        if (tac == Integer.MAX_VALUE && "HUAWEI".equals(Build.MANUFACTURER)) {
            try {
                tac = fm.b(cellIdentityNr, "getHwTac", new Object[0]);
            } catch (Throwable th2) {
                th2.printStackTrace();
            }
        }
        long nci = cellIdentityNr.getNci();
        try {
            i4 = Integer.parseInt(cellIdentityNr.getMccString());
            try {
                i3 = i4;
                i2 = Integer.parseInt(cellIdentityNr.getMncString());
            } catch (Throwable th3) {
                th = th3;
                th.printStackTrace();
                i3 = i4;
                i2 = 0;
                es a2 = a(5, z, i3, i2, cellIdentityNr.getTac(), 0, ((CellSignalStrengthNr) cellInfoNr.getCellSignalStrength()).getSsRsrp());
                a2.e = nci;
                if (tac > 16777215) {
                }
                a2.o = cellIdentityNr.getPci();
                a2.p = cellIdentityNr.getNrarfcn();
                a2.s = cellInfoNr.getCellSignalStrength().getDbm();
                return a2;
            }
        } catch (Throwable th4) {
            th = th4;
            i4 = 0;
            th.printStackTrace();
            i3 = i4;
            i2 = 0;
            es a22 = a(5, z, i3, i2, cellIdentityNr.getTac(), 0, ((CellSignalStrengthNr) cellInfoNr.getCellSignalStrength()).getSsRsrp());
            a22.e = nci;
            if (tac > 16777215) {
            }
            a22.o = cellIdentityNr.getPci();
            a22.p = cellIdentityNr.getNrarfcn();
            a22.s = cellInfoNr.getCellSignalStrength().getDbm();
            return a22;
        }
        es a222 = a(5, z, i3, i2, cellIdentityNr.getTac(), 0, ((CellSignalStrengthNr) cellInfoNr.getCellSignalStrength()).getSsRsrp());
        a222.e = nci;
        if (tac > 16777215) {
            a222.c = 65535;
        } else if (tac > 65535) {
            a222.c = 65535;
            a222.q = tac;
        } else {
            a222.c = tac;
        }
        a222.o = cellIdentityNr.getPci();
        a222.p = cellIdentityNr.getNrarfcn();
        a222.s = cellInfoNr.getCellSignalStrength().getDbm();
        return a222;
    }

    private static es a(CellInfoWcdma cellInfoWcdma, boolean z) {
        if (cellInfoWcdma == null || cellInfoWcdma.getCellIdentity() == null) {
            return null;
        }
        CellIdentityWcdma cellIdentity = cellInfoWcdma.getCellIdentity();
        es a2 = a(4, z, cellIdentity.getMcc(), cellIdentity.getMnc(), cellIdentity.getLac(), cellIdentity.getCid(), cellInfoWcdma.getCellSignalStrength().getDbm());
        a2.o = cellIdentity.getPsc();
        a2.p = cellInfoWcdma.getCellIdentity().getUarfcn();
        a2.s = cellInfoWcdma.getCellSignalStrength().getDbm();
        return a2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void a(CellLocation cellLocation) {
        String[] a2 = fq.a(this.b);
        this.a.clear();
        if (cellLocation instanceof GsmCellLocation) {
            GsmCellLocation gsmCellLocation = (GsmCellLocation) cellLocation;
            es esVar = new es(1, true);
            esVar.a = fq.e(a2[0]);
            esVar.b = fq.e(a2[1]);
            esVar.c = gsmCellLocation.getLac();
            esVar.d = gsmCellLocation.getCid();
            SignalStrength signalStrength = this.d;
            if (signalStrength != null) {
                int gsmSignalStrength = signalStrength.getGsmSignalStrength();
                esVar.s = gsmSignalStrength == 99 ? Integer.MAX_VALUE : b(gsmSignalStrength);
            }
            esVar.r = false;
            this.m.a((Object) esVar);
            this.a.add(esVar);
            return;
        }
        if (cellLocation instanceof CdmaCellLocation) {
            CdmaCellLocation cdmaCellLocation = (CdmaCellLocation) cellLocation;
            es esVar2 = new es(2, true);
            esVar2.a = Integer.parseInt(a2[0]);
            esVar2.b = Integer.parseInt(a2[1]);
            esVar2.f = cdmaCellLocation.getBaseStationLatitude();
            esVar2.g = cdmaCellLocation.getBaseStationLongitude();
            esVar2.h = cdmaCellLocation.getSystemId();
            esVar2.i = cdmaCellLocation.getNetworkId();
            esVar2.j = cdmaCellLocation.getBaseStationId();
            SignalStrength signalStrength2 = this.d;
            if (signalStrength2 != null) {
                esVar2.s = signalStrength2.getCdmaDbm();
            }
            esVar2.r = false;
            this.m.a((Object) esVar2);
            this.a.add(esVar2);
        }
    }

    public static boolean a(int i2) {
        return i2 > 0 && i2 <= 15;
    }

    private static int b(int i2) {
        return (i2 * 2) - 113;
    }

    private void b(boolean z, boolean z2) {
        if (!this.e && this.b != null && Build.VERSION.SDK_INT >= 29 && this.h.getApplicationInfo().targetSdkVersion >= 29) {
            if (this.q == null) {
                this.q = new a();
            }
            this.b.requestCellInfoUpdate(cj.a().b(), this.q);
            if (z2 || z) {
                int i2 = 0;
                while (!this.r && i2 < 20) {
                    try {
                        Thread.sleep(5);
                    } catch (Throwable unused) {
                    }
                    i2++;
                }
            }
        }
        this.j = false;
        TelephonyManager telephonyManager = this.b;
        if (telephonyManager != null) {
            String networkOperator = telephonyManager.getNetworkOperator();
            this.k = networkOperator;
            if (!TextUtils.isEmpty(networkOperator)) {
                this.j = true;
            }
        }
        this.n = fq.b();
    }

    private void o() {
        if (this.b != null) {
            p();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0052  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00c5  */
    /* JADX WARNING: Removed duplicated region for block: B:42:? A[RETURN, SYNTHETIC] */
    private void p() {
        PhoneStateListener phoneStateListener;
        String str;
        StringBuilder sb;
        try {
            if (this.c == null) {
                this.c = new b();
            }
            int i2 = GlMapUtil.DEVICE_DISPLAY_DPI_HIGH;
            String str2 = "hasFineLocPerm";
            if (Build.VERSION.SDK_INT < 31) {
                sb = new StringBuilder("before 12  CgiManager | event LISTEN_CELL_LOCATION success ; Threadname=");
                str = Thread.currentThread().getName();
            } else if (this.h.checkSelfPermission("android.permission.ACCESS_FINE_LOCATION") == 0) {
                this.t = str2;
                sb = new StringBuilder("CgiManager | event LISTEN_CELL_LOCATION success ; Threadname=");
                str = Thread.currentThread().getName();
            } else {
                this.t = "hasNoFineLocPerm";
                if (Build.VERSION.SDK_INT >= 17) {
                    if (Build.VERSION.SDK_INT >= 31) {
                        boolean z = true;
                        boolean z2 = this.h.checkSelfPermission("android.permission.READ_PHONE_STATE") == 0;
                        if (this.h.checkSelfPermission("android.permission.ACCESS_FINE_LOCATION") != 0) {
                            z = false;
                        }
                        if (z2 && z) {
                            i2 |= 1024;
                            new StringBuilder("CgiManager | event LISTEN_CELL_INFO success ; Threadname=").append(Thread.currentThread().getName());
                        }
                        this.s = z2 ? "hasReadPhoneStatePerm" : "hasNoReadPhoneStatePerm";
                        if (!z) {
                            str2 = "hasNoFineLocPerm";
                        }
                        this.t = str2;
                        StringBuilder sb2 = new StringBuilder("CgiManager | mLastFineLocPerm = ");
                        sb2.append(this.t);
                        sb2.append(";mLastReadPhoneStatePerm = ");
                        sb2.append(this.s);
                    } else {
                        new StringBuilder("before 12 CgiManager | event LISTEN_CELL_INFO success ; Threadname=").append(Thread.currentThread().getName());
                        i2 |= 1024;
                    }
                }
                phoneStateListener = this.c;
                if (phoneStateListener == null) {
                    this.b.listen(phoneStateListener, i2);
                    return;
                }
                return;
            }
            sb.append(str);
            i2 = 336;
            if (Build.VERSION.SDK_INT >= 17) {
            }
            phoneStateListener = this.c;
            if (phoneStateListener == null) {
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private int q() {
        es e2 = e();
        if (e2 != null) {
            return e2.l;
        }
        return 0;
    }

    private CellLocation r() {
        TelephonyManager telephonyManager = this.b;
        if (telephonyManager != null) {
            try {
                CellLocation cellLocation = telephonyManager.getCellLocation();
                this.g = null;
                return cellLocation;
            } catch (SecurityException e2) {
                this.g = e2.getMessage();
            } catch (Throwable th) {
                this.g = null;
                fj.a(th, "CgiManager", "getCellLocation");
            }
        }
        return null;
    }

    private boolean s() {
        return !this.e && fq.b() - this.n >= 45000;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private CellLocation t() {
        if (this.b == null) {
            return null;
        }
        return r();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private List<CellInfo> u() {
        TelephonyManager telephonyManager;
        List<CellInfo> list;
        SecurityException e2;
        try {
            if (fq.c() < 18 || (telephonyManager = this.b) == null) {
                return null;
            }
            try {
                list = telephonyManager.getAllCellInfo();
                try {
                    this.g = null;
                } catch (SecurityException e3) {
                    e2 = e3;
                }
            } catch (SecurityException e4) {
                e2 = e4;
                list = null;
                this.g = e2.getMessage();
                return list;
            }
            return list;
        } catch (Throwable th) {
            fj.a(th, "Cgi", "getNewCells");
            return null;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v2, resolved type: com.loc.dt */
    /* JADX DEBUG: Multi-variable search result rejected for r6v5, resolved type: com.loc.ds */
    /* JADX WARN: Multi-variable type inference failed */
    public final List<dr> a() {
        dv dvVar;
        du duVar;
        ArrayList arrayList = new ArrayList();
        List<CellInfo> allCellInfo = this.b.getAllCellInfo();
        if (Build.VERSION.SDK_INT >= 17 && allCellInfo != null) {
            for (CellInfo cellInfo : allCellInfo) {
                if (cellInfo instanceof CellInfoCdma) {
                    CellInfoCdma cellInfoCdma = (CellInfoCdma) cellInfo;
                    CellIdentityCdma cellIdentity = cellInfoCdma.getCellIdentity();
                    ds dsVar = new ds(cellInfo.isRegistered(), true);
                    dsVar.m = cellIdentity.getLatitude();
                    dsVar.n = cellIdentity.getLongitude();
                    dsVar.j = cellIdentity.getSystemId();
                    dsVar.k = cellIdentity.getNetworkId();
                    dsVar.l = cellIdentity.getBasestationId();
                    dsVar.d = cellInfoCdma.getCellSignalStrength().getAsuLevel();
                    dsVar.c = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
                    duVar = dsVar;
                } else {
                    if (cellInfo instanceof CellInfoGsm) {
                        CellInfoGsm cellInfoGsm = (CellInfoGsm) cellInfo;
                        CellIdentityGsm cellIdentity2 = cellInfoGsm.getCellIdentity();
                        dt dtVar = new dt(cellInfo.isRegistered(), true);
                        dtVar.a = String.valueOf(cellIdentity2.getMcc());
                        dtVar.b = String.valueOf(cellIdentity2.getMnc());
                        dtVar.j = cellIdentity2.getLac();
                        dtVar.k = cellIdentity2.getCid();
                        dtVar.c = cellInfoGsm.getCellSignalStrength().getDbm();
                        dtVar.d = cellInfoGsm.getCellSignalStrength().getAsuLevel();
                        dvVar = dtVar;
                        if (Build.VERSION.SDK_INT >= 24) {
                            dtVar.m = cellIdentity2.getArfcn();
                            dtVar.n = cellIdentity2.getBsic();
                            dvVar = dtVar;
                        }
                    } else if (cellInfo instanceof CellInfoLte) {
                        CellInfoLte cellInfoLte = (CellInfoLte) cellInfo;
                        CellIdentityLte cellIdentity3 = cellInfoLte.getCellIdentity();
                        du duVar2 = new du(cellInfo.isRegistered());
                        duVar2.a = String.valueOf(cellIdentity3.getMcc());
                        duVar2.b = String.valueOf(cellIdentity3.getMnc());
                        duVar2.l = cellIdentity3.getPci();
                        duVar2.d = cellInfoLte.getCellSignalStrength().getAsuLevel();
                        duVar2.k = cellIdentity3.getCi();
                        duVar2.j = cellIdentity3.getTac();
                        duVar2.n = cellInfoLte.getCellSignalStrength().getTimingAdvance();
                        duVar2.c = cellInfoLte.getCellSignalStrength().getDbm();
                        duVar = duVar2;
                        if (Build.VERSION.SDK_INT >= 24) {
                            duVar2.m = cellIdentity3.getEarfcn();
                            duVar = duVar2;
                        }
                    } else if (Build.VERSION.SDK_INT >= 18 && (cellInfo instanceof CellInfoWcdma)) {
                        CellInfoWcdma cellInfoWcdma = (CellInfoWcdma) cellInfo;
                        CellIdentityWcdma cellIdentity4 = cellInfoWcdma.getCellIdentity();
                        dv dvVar2 = new dv(cellInfo.isRegistered(), true);
                        dvVar2.a = String.valueOf(cellIdentity4.getMcc());
                        dvVar2.b = String.valueOf(cellIdentity4.getMnc());
                        dvVar2.j = cellIdentity4.getLac();
                        dvVar2.k = cellIdentity4.getCid();
                        dvVar2.l = cellIdentity4.getPsc();
                        dvVar2.d = cellInfoWcdma.getCellSignalStrength().getAsuLevel();
                        dvVar2.c = cellInfoWcdma.getCellSignalStrength().getDbm();
                        dvVar = dvVar2;
                        if (Build.VERSION.SDK_INT >= 24) {
                            dvVar2.m = cellIdentity4.getUarfcn();
                            dvVar = dvVar2;
                        }
                    }
                    arrayList.add(dvVar == 1 ? 1 : 0);
                }
                arrayList.add(duVar == 1 ? 1 : 0);
            }
        }
        return arrayList;
    }

    public final void a(ek ekVar) {
        this.u = ekVar;
    }

    /* access modifiers changed from: package-private */
    public final synchronized void a(List<CellInfo> list) {
        ArrayList<es> arrayList = this.l;
        if (arrayList != null) {
            arrayList.clear();
        }
        if (list != null) {
            if (list.size() > 0) {
                for (int i2 = 0; i2 < list.size(); i2++) {
                    CellInfo cellInfo = list.get(i2);
                    if (cellInfo != null) {
                        es esVar = null;
                        boolean isRegistered = cellInfo.isRegistered();
                        if (cellInfo instanceof CellInfoCdma) {
                            esVar = a((CellInfoCdma) cellInfo, isRegistered);
                        } else if (cellInfo instanceof CellInfoGsm) {
                            esVar = a((CellInfoGsm) cellInfo, isRegistered);
                        } else if (cellInfo instanceof CellInfoWcdma) {
                            esVar = a((CellInfoWcdma) cellInfo, isRegistered);
                        } else if (cellInfo instanceof CellInfoLte) {
                            esVar = a((CellInfoLte) cellInfo, isRegistered);
                        } else if (Build.VERSION.SDK_INT >= 29 && (cellInfo instanceof CellInfoNr)) {
                            esVar = a((CellInfoNr) cellInfo, isRegistered);
                        }
                        if (esVar != null) {
                            this.m.a((Object) esVar);
                            esVar.m = (short) ((int) Math.min(65535L, this.m.e(esVar)));
                            esVar.r = true;
                            this.l.add(esVar);
                        }
                    }
                }
                this.i = false;
                ArrayList<es> arrayList2 = this.l;
                if (arrayList2 != null && arrayList2.size() > 0) {
                    this.i = true;
                }
            }
        }
    }

    public final void a(boolean z) {
        PhoneStateListener phoneStateListener;
        this.m.a(z);
        this.n = 0;
        synchronized (this.p) {
            this.o = true;
        }
        TelephonyManager telephonyManager = this.b;
        if (!(telephonyManager == null || (phoneStateListener = this.c) == null)) {
            try {
                telephonyManager.listen(phoneStateListener, 0);
            } catch (Throwable th) {
                fj.a(th, "CgiManager", Constants.Event.SLOT_LIFECYCLE.DESTORY);
            }
        }
        this.c = null;
        this.d = null;
        this.b = null;
    }

    public final void a(boolean z, boolean z2) {
        try {
            this.e = fq.a(this.h);
            if (s()) {
                b(z, z2);
                a(t());
                a(u());
            }
            if (this.e) {
                j();
            }
        } catch (SecurityException e2) {
            this.g = e2.getMessage();
        } catch (Throwable th) {
            fj.a(th, "CgiManager", "refresh");
        }
    }

    public final void b() {
        boolean z = false;
        try {
            if (Build.VERSION.SDK_INT >= 31) {
                String str = this.h.checkSelfPermission("android.permission.ACCESS_FINE_LOCATION") == 0 ? "hasFineLocPerm" : "hasNoFineLocPerm";
                String str2 = this.h.checkSelfPermission("android.permission.READ_PHONE_STATE") == 0 ? "hasReadPhoneStatePerm" : "hasNoReadPhoneStatePerm";
                boolean z2 = true;
                if (!TextUtils.isEmpty(this.t) && !this.t.equals(str)) {
                    z = true;
                }
                if (TextUtils.isEmpty(this.s) || this.s.equals(str2)) {
                    z2 = z;
                }
                if (z2) {
                    Thread.currentThread().getName();
                    p();
                }
            }
        } catch (Throwable unused) {
        }
    }

    public final synchronized ArrayList<es> c() {
        ArrayList<es> arrayList;
        arrayList = new ArrayList<>();
        ArrayList<es> arrayList2 = this.a;
        if (arrayList2 != null) {
            Iterator<es> it = arrayList2.iterator();
            while (it.hasNext()) {
                arrayList.add(it.next().clone());
            }
        }
        return arrayList;
    }

    public final synchronized ArrayList<es> d() {
        ArrayList<es> arrayList;
        arrayList = new ArrayList<>();
        ArrayList<es> arrayList2 = this.l;
        if (arrayList2 != null) {
            Iterator<es> it = arrayList2.iterator();
            while (it.hasNext()) {
                arrayList.add(it.next().clone());
            }
        }
        return arrayList;
    }

    public final synchronized es e() {
        if (this.e) {
            return null;
        }
        ArrayList<es> arrayList = this.a;
        if (arrayList.size() <= 0) {
            return null;
        }
        return arrayList.get(0).clone();
    }

    public final synchronized es f() {
        if (this.e) {
            return null;
        }
        ArrayList<es> arrayList = this.l;
        if (arrayList.size() <= 0) {
            return null;
        }
        Iterator<es> it = arrayList.iterator();
        while (it.hasNext()) {
            es next = it.next();
            if (next.n) {
                return next.clone();
            }
        }
        return arrayList.get(0).clone();
    }

    public final int g() {
        int i2 = 0;
        int q2 = q() | (this.i ? 4 : 0);
        if (this.j) {
            i2 = 8;
        }
        return q2 | i2;
    }

    public final int h() {
        return q() & 3;
    }

    public final TelephonyManager i() {
        return this.b;
    }

    /* access modifiers changed from: package-private */
    public final synchronized void j() {
        this.g = null;
        this.a.clear();
        this.l.clear();
        this.i = false;
        this.j = false;
    }

    public final String k() {
        return this.g;
    }

    public final String l() {
        return this.k;
    }

    public final synchronized String m() {
        if (this.e) {
            j();
        }
        StringBuilder sb = this.f;
        if (sb == null) {
            this.f = new StringBuilder();
        } else {
            sb.delete(0, sb.length());
        }
        if (h() == 1) {
            for (int i2 = 1; i2 < this.a.size(); i2++) {
                StringBuilder sb2 = this.f;
                sb2.append("#");
                sb2.append(this.a.get(i2).b);
                StringBuilder sb3 = this.f;
                sb3.append("|");
                sb3.append(this.a.get(i2).c);
                StringBuilder sb4 = this.f;
                sb4.append("|");
                sb4.append(this.a.get(i2).d);
            }
        }
        for (int i3 = 1; i3 < this.l.size(); i3++) {
            es esVar = this.l.get(i3);
            if (!(esVar.l == 1 || esVar.l == 3 || esVar.l == 4)) {
                if (esVar.l != 5) {
                    if (esVar.l == 2) {
                        StringBuilder sb5 = this.f;
                        sb5.append("#");
                        sb5.append(esVar.l);
                        StringBuilder sb6 = this.f;
                        sb6.append("|");
                        sb6.append(esVar.a);
                        StringBuilder sb7 = this.f;
                        sb7.append("|");
                        sb7.append(esVar.h);
                        StringBuilder sb8 = this.f;
                        sb8.append("|");
                        sb8.append(esVar.i);
                        StringBuilder sb9 = this.f;
                        sb9.append("|");
                        sb9.append(esVar.j);
                    }
                }
            }
            StringBuilder sb10 = this.f;
            sb10.append("#");
            sb10.append(esVar.l);
            StringBuilder sb11 = this.f;
            sb11.append("|");
            sb11.append(esVar.a);
            StringBuilder sb12 = this.f;
            sb12.append("|");
            sb12.append(esVar.b);
            StringBuilder sb13 = this.f;
            sb13.append("|");
            sb13.append(esVar.c);
            StringBuilder sb14 = this.f;
            sb14.append("|");
            sb14.append(esVar.a());
        }
        if (this.f.length() > 0) {
            this.f.deleteCharAt(0);
        }
        return this.f.toString();
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(7:0|1|2|(1:9)|10|11|(1:21)(1:24)) */
    /* JADX WARNING: Code restructure failed: missing block: B:23:?, code lost:
        return false;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:10:0x001d */
    public final boolean n() {
        TelephonyManager telephonyManager = this.b;
        if (telephonyManager != null && (!TextUtils.isEmpty(telephonyManager.getSimOperator()) || !TextUtils.isEmpty(this.b.getSimCountryIso()))) {
            return true;
        }
        int a2 = fq.a(fq.c(this.h));
        return a2 != 0 || a2 == 4 || a2 == 2 || a2 == 5 || a2 == 3;
    }
}
