package com.loc;

import android.content.ContentResolver;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Handler;
import android.os.SystemClock;
import android.text.TextUtils;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.TreeMap;

/* compiled from: WifiManagerWrapper */
public final class ex {
    public static long A = 0;
    static long d;
    static long e;
    static long f;
    public static long g;
    static long h;
    public static HashMap<String, Long> w = new HashMap<>(36);
    public static long x = 0;
    static int y = 0;
    volatile boolean B = false;
    private volatile WifiInfo C = null;
    private long D = 30000;
    private ek E;
    WifiManager a;
    ArrayList<dy> b = new ArrayList<>();
    ArrayList<dy> c = new ArrayList<>();
    Context i;
    boolean j = false;
    StringBuilder k = null;
    boolean l = true;
    boolean m = true;
    boolean n = true;
    String o = null;
    TreeMap<Integer, dy> p = null;
    public boolean q = true;
    public boolean r = true;
    public boolean s = false;
    ew t;
    String u = "";
    long v = 0;
    ConnectivityManager z = null;

    public ex(Context context, WifiManager wifiManager, Handler handler) {
        this.a = wifiManager;
        this.i = context;
        ew ewVar = new ew(context, "wifiAgee", handler);
        this.t = ewVar;
        ewVar.a();
    }

    private void A() {
        try {
            this.r = this.a.isWifiEnabled();
        } catch (Throwable unused) {
        }
    }

    private boolean B() {
        this.q = v();
        A();
        if (this.q && this.l) {
            if (f == 0) {
                return true;
            }
            if (fq.b() - f >= 4900 && fq.b() - g >= 1500) {
                int i2 = ((fq.b() - g) > 4900 ? 1 : ((fq.b() - g) == 4900 ? 0 : -1));
                return true;
            }
        }
        return false;
    }

    private static boolean a(int i2) {
        int i3 = 20;
        try {
            i3 = WifiManager.calculateSignalLevel(i2, 20);
        } catch (ArithmeticException e2) {
            fj.a(e2, "Aps", "wifiSigFine");
        }
        return i3 > 0;
    }

    public static boolean a(WifiInfo wifiInfo) {
        return wifiInfo != null && !TextUtils.isEmpty(wifiInfo.getSSID()) && fq.a(wifiInfo.getBSSID());
    }

    public static long b() {
        return ((fq.b() - x) / 1000) + 1;
    }

    private void d(boolean z2) {
        String str;
        ArrayList<dy> arrayList = this.b;
        if (!(arrayList == null || arrayList.isEmpty())) {
            if (fq.b() - g > 3600000) {
                g();
            }
            if (this.p == null) {
                this.p = new TreeMap<>(Collections.reverseOrder());
            }
            this.p.clear();
            if (this.s && z2) {
                try {
                    this.c.clear();
                } catch (Throwable unused) {
                }
            }
            int size = this.b.size();
            this.v = 0;
            for (int i2 = 0; i2 < size; i2++) {
                dy dyVar = this.b.get(i2);
                if (dyVar.h) {
                    this.v = dyVar.f;
                }
                if (fq.a(dyVar != null ? dy.a(dyVar.a) : "") && (size <= 20 || a(dyVar.c))) {
                    if (this.s && z2) {
                        this.c.add(dyVar);
                    }
                    if (!TextUtils.isEmpty(dyVar.b)) {
                        if (!"<unknown ssid>".equals(dyVar.b)) {
                            str = String.valueOf(i2);
                        }
                        this.p.put(Integer.valueOf((dyVar.c * 25) + i2), dyVar);
                    } else {
                        str = "unkwn";
                    }
                    dyVar.b = str;
                    this.p.put(Integer.valueOf((dyVar.c * 25) + i2), dyVar);
                }
            }
            this.b.clear();
            for (dy dyVar2 : this.p.values()) {
                this.b.add(dyVar2);
            }
            this.p.clear();
        }
    }

    public static String p() {
        return String.valueOf(fq.b() - g);
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x006b A[Catch:{ SecurityException -> 0x00ea, all -> 0x00df }] */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x007b A[Catch:{ SecurityException -> 0x00ea, all -> 0x00df }] */
    private List<dy> r() {
        int size;
        int i2;
        long b2;
        WifiManager wifiManager = this.a;
        if (wifiManager != null) {
            try {
                List<ScanResult> scanResults = wifiManager.getScanResults();
                if (Build.VERSION.SDK_INT >= 17) {
                    HashMap<String, Long> hashMap = new HashMap<>(36);
                    if (scanResults != null) {
                        for (ScanResult scanResult : scanResults) {
                            hashMap.put(scanResult.BSSID, Long.valueOf(scanResult.timestamp));
                        }
                    }
                    if (w.isEmpty() || !w.equals(hashMap)) {
                        w = hashMap;
                        b2 = fq.b();
                    }
                    this.o = null;
                    ArrayList arrayList = new ArrayList();
                    this.u = "";
                    this.C = m();
                    if (a(this.C)) {
                        this.u = this.C.getBSSID();
                    }
                    size = scanResults.size();
                    for (i2 = 0; i2 < size; i2++) {
                        ScanResult scanResult2 = scanResults.get(i2);
                        dy dyVar = new dy(!TextUtils.isEmpty(this.u) && this.u.equals(scanResult2.BSSID));
                        dyVar.b = scanResult2.SSID;
                        dyVar.d = scanResult2.frequency;
                        dyVar.e = scanResult2.timestamp;
                        dyVar.a = dy.a(scanResult2.BSSID);
                        dyVar.c = (short) scanResult2.level;
                        if (Build.VERSION.SDK_INT >= 17) {
                            dyVar.g = (short) ((int) ((SystemClock.elapsedRealtime() - (scanResult2.timestamp / 1000)) / 1000));
                            if (dyVar.g < 0) {
                                dyVar.g = 0;
                            }
                        }
                        dyVar.f = fq.b();
                        arrayList.add(dyVar);
                    }
                    this.t.a((List) arrayList);
                    return arrayList;
                }
                b2 = fq.b();
                x = b2;
                this.o = null;
                ArrayList arrayList2 = new ArrayList();
                this.u = "";
                this.C = m();
                if (a(this.C)) {
                }
                size = scanResults.size();
                while (i2 < size) {
                }
                this.t.a((List) arrayList2);
                return arrayList2;
            } catch (SecurityException e2) {
                this.o = e2.getMessage();
            } catch (Throwable th) {
                this.o = null;
                fj.a(th, "WifiManagerWrapper", "getScanResults");
            }
        }
        return null;
    }

    private int s() {
        WifiManager wifiManager = this.a;
        if (wifiManager != null) {
            return wifiManager.getWifiState();
        }
        return 4;
    }

    private boolean t() {
        long b2 = fq.b() - d;
        if (b2 < 4900) {
            return false;
        }
        if (u() && b2 < 9900) {
            return false;
        }
        if (y > 1) {
            long j2 = this.D;
            if (j2 == 30000) {
                j2 = fi.n() != -1 ? fi.n() : 30000;
            }
            if (Build.VERSION.SDK_INT >= 28 && b2 < j2) {
                return false;
            }
        }
        if (this.a == null) {
            return false;
        }
        d = fq.b();
        int i2 = y;
        if (i2 < 2) {
            y = i2 + 1;
        }
        return this.a.startScan();
    }

    private boolean u() {
        if (this.z == null) {
            this.z = (ConnectivityManager) fq.a(this.i, "connectivity");
        }
        return a(this.z);
    }

    private boolean v() {
        if (this.a == null) {
            return false;
        }
        return fq.g(this.i);
    }

    private void w() {
        if (B()) {
            long b2 = fq.b();
            if (b2 - e >= 10000) {
                this.b.clear();
                h = g;
            }
            x();
            if (b2 - e >= 10000) {
                for (int i2 = 20; i2 > 0 && g == h; i2--) {
                    try {
                        Thread.sleep(150);
                    } catch (Throwable unused) {
                    }
                }
            }
        }
    }

    private void x() {
        if (B()) {
            try {
                if (t()) {
                    f = fq.b();
                }
            } catch (Throwable th) {
                fj.a(th, "WifiManager", "wifiScan");
            }
        }
    }

    private void y() {
        if (h != g) {
            List<dy> list = null;
            try {
                list = r();
            } catch (Throwable th) {
                fj.a(th, "WifiManager", "updateScanResult");
            }
            h = g;
            if (list != null) {
                this.b.clear();
                this.b.addAll(list);
                return;
            }
            this.b.clear();
        }
    }

    private void z() {
        int i2;
        try {
            if (this.a != null) {
                try {
                    i2 = s();
                } catch (Throwable th) {
                    fj.a(th, "WifiManager", "onReceive part");
                    i2 = 4;
                }
                if (this.b == null) {
                    this.b = new ArrayList<>();
                }
                if (i2 == 0 || i2 == 1 || i2 == 4) {
                    g();
                }
            }
        } catch (Throwable unused) {
        }
    }

    public final ArrayList<dy> a() {
        if (!this.s) {
            return this.c;
        }
        b(true);
        return this.c;
    }

    public final void a(ek ekVar) {
        this.E = ekVar;
    }

    public final void a(boolean z2) {
        Context context = this.i;
        if (fi.m() && this.n && this.a != null && context != null && z2 && fq.c() > 17) {
            ContentResolver contentResolver = context.getContentResolver();
            try {
                if (((Integer) fm.a("android.provider.Settings$Global", "getInt", new Object[]{contentResolver, "wifi_scan_always_enabled"}, new Class[]{ContentResolver.class, String.class})).intValue() == 0) {
                    fm.a("android.provider.Settings$Global", "putInt", new Object[]{contentResolver, "wifi_scan_always_enabled", 1}, new Class[]{ContentResolver.class, String.class, Integer.TYPE});
                }
            } catch (Throwable th) {
                fj.a(th, "WifiManagerWrapper", "enableWifiAlwaysScan");
            }
        }
    }

    public final void a(boolean z2, boolean z3, boolean z4, long j2) {
        this.l = z2;
        this.m = z3;
        this.n = z4;
        if (j2 < 10000) {
            this.D = 10000;
        } else {
            this.D = j2;
        }
    }

    public final boolean a(ConnectivityManager connectivityManager) {
        WifiManager wifiManager = this.a;
        if (wifiManager == null) {
            return false;
        }
        try {
            return fq.a(connectivityManager.getActiveNetworkInfo()) == 1 && a(wifiManager.getConnectionInfo());
        } catch (Throwable th) {
            fj.a(th, "WifiManagerWrapper", "wifiAccess");
            return false;
        }
    }

    public final void b(boolean z2) {
        if (z2) {
            w();
        } else {
            x();
        }
        boolean z3 = false;
        if (this.B) {
            this.B = false;
            z();
        }
        y();
        if (fq.b() - g > 20000) {
            this.b.clear();
        }
        e = fq.b();
        if (this.b.isEmpty()) {
            g = fq.b();
            List<dy> r2 = r();
            if (r2 != null) {
                this.b.addAll(r2);
                z3 = true;
            }
        }
        d(z3);
    }

    public final WifiInfo c() {
        try {
            WifiManager wifiManager = this.a;
            if (wifiManager != null) {
                return wifiManager.getConnectionInfo();
            }
            return null;
        } catch (Throwable th) {
            fj.a(th, "WifiManagerWrapper", "getConnectionInfo");
            return null;
        }
    }

    public final void c(boolean z2) {
        g();
        this.b.clear();
        this.t.a(z2);
    }

    public final String d() {
        return this.o;
    }

    public final ArrayList<dy> e() {
        if (this.b == null) {
            return null;
        }
        ArrayList<dy> arrayList = new ArrayList<>();
        if (!this.b.isEmpty()) {
            arrayList.addAll(this.b);
        }
        return arrayList;
    }

    public final void f() {
        try {
            this.s = true;
            List<dy> r2 = r();
            if (r2 != null) {
                this.b.clear();
                this.b.addAll(r2);
            }
            d(true);
        } catch (Throwable unused) {
        }
    }

    public final void g() {
        this.C = null;
        this.b.clear();
    }

    public final void h() {
        A = System.currentTimeMillis();
        ek ekVar = this.E;
        if (ekVar != null) {
            ekVar.b();
        }
    }

    public final void i() {
        if (this.a != null && fq.b() - g > 4900) {
            g = fq.b();
        }
    }

    public final void j() {
        if (this.a != null) {
            this.B = true;
        }
    }

    public final boolean k() {
        return this.q;
    }

    public final boolean l() {
        return this.r;
    }

    public final WifiInfo m() {
        this.C = c();
        return this.C;
    }

    public final boolean n() {
        return this.j;
    }

    public final String o() {
        boolean z2;
        String str;
        StringBuilder sb = this.k;
        if (sb == null) {
            this.k = new StringBuilder(700);
        } else {
            sb.delete(0, sb.length());
        }
        this.j = false;
        int size = this.b.size();
        int i2 = 0;
        boolean z3 = false;
        boolean z4 = false;
        while (i2 < size) {
            String a2 = dy.a(this.b.get(i2).a);
            if (!this.m && !"<unknown ssid>".equals(this.b.get(i2).b)) {
                z3 = true;
            }
            if (TextUtils.isEmpty(this.u) || !this.u.equals(a2)) {
                z2 = z4;
                str = "nb";
            } else {
                str = "access";
                z2 = true;
            }
            this.k.append(String.format(Locale.US, "#%s,%s", a2, str));
            i2++;
            z4 = z2;
        }
        if (this.b.size() == 0) {
            z3 = true;
        }
        if (!this.m && !z3) {
            this.j = true;
        }
        if (!z4 && !TextUtils.isEmpty(this.u)) {
            StringBuilder sb2 = this.k;
            sb2.append("#");
            sb2.append(this.u);
            this.k.append(",access");
        }
        return this.k.toString();
    }

    public final long q() {
        return this.v;
    }
}
