package com.loc;

import android.content.ContentResolver;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.provider.Settings;
import android.text.TextUtils;
import java.lang.ref.WeakReference;
import java.util.List;

/* compiled from: AdiuStorageModel */
public final class z {
    public static final String a = x.c("SU2hhcmVkUHJlZmVyZW5jZUFkaXU");
    private static z f;
    private List<String> b;
    private String c;
    private final Context d;
    private final Handler e;

    /* compiled from: AdiuStorageModel */
    private static final class a extends Handler {
        private final WeakReference<z> a;

        a(Looper looper, z zVar) {
            super(looper);
            this.a = new WeakReference<>(zVar);
        }

        a(z zVar) {
            this.a = new WeakReference<>(zVar);
        }

        public final void handleMessage(Message message) {
            z zVar = this.a.get();
            if (zVar != null && message != null && message.obj != null) {
                zVar.a((String) message.obj, message.what);
            }
        }
    }

    private z(Context context) {
        this.d = context.getApplicationContext();
        this.e = Looper.myLooper() == null ? new a(Looper.getMainLooper(), this) : new a(this);
    }

    public static z a(Context context) {
        if (f == null) {
            synchronized (z.class) {
                if (f == null) {
                    f = new z(context);
                }
            }
        }
        return f;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void a(final String str, final int i) {
        ContentResolver contentResolver;
        String str2;
        if (Looper.myLooper() == Looper.getMainLooper()) {
            new Thread() {
                /* class com.loc.z.AnonymousClass1 */

                public final void run() {
                    ContentResolver contentResolver;
                    String str;
                    String b2 = af.b(str);
                    if (!TextUtils.isEmpty(b2)) {
                        if ((i & 1) > 0) {
                            try {
                                if (Build.VERSION.SDK_INT >= 23) {
                                    contentResolver = z.this.d.getContentResolver();
                                    str = z.this.c;
                                } else {
                                    contentResolver = z.this.d.getContentResolver();
                                    str = z.this.c;
                                }
                                Settings.System.putString(contentResolver, str, b2);
                            } catch (Exception unused) {
                            }
                        }
                        if ((i & 16) > 0) {
                            ab.a(z.this.d, z.this.c, b2);
                        }
                        if ((i & 256) > 0) {
                            SharedPreferences.Editor edit = z.this.d.getSharedPreferences(z.a, 0).edit();
                            edit.putString(z.this.c, b2);
                            if (Build.VERSION.SDK_INT >= 9) {
                                edit.apply();
                            } else {
                                edit.commit();
                            }
                        }
                    }
                }
            }.start();
            return;
        }
        String b2 = af.b(str);
        if (!TextUtils.isEmpty(b2)) {
            if ((i & 1) > 0) {
                try {
                    if (Build.VERSION.SDK_INT >= 23) {
                        contentResolver = this.d.getContentResolver();
                        str2 = this.c;
                    } else {
                        contentResolver = this.d.getContentResolver();
                        str2 = this.c;
                    }
                    Settings.System.putString(contentResolver, str2, b2);
                } catch (Exception unused) {
                }
            }
            if ((i & 16) > 0) {
                ab.a(this.d, this.c, b2);
            }
            if ((i & 256) > 0) {
                SharedPreferences.Editor edit = this.d.getSharedPreferences(a, 0).edit();
                edit.putString(this.c, b2);
                if (Build.VERSION.SDK_INT >= 9) {
                    edit.apply();
                    return;
                }
                edit.commit();
            }
        }
    }

    public final void a(String str) {
        this.c = str;
    }

    public final void b(String str) {
        List<String> list = this.b;
        if (list != null) {
            list.clear();
            this.b.add(str);
        }
        a(str, 273);
    }
}
