package io.dcloud.feature.pdr;

import android.app.Activity;
import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationChannelGroup;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Log;
import com.alibaba.android.bindingx.core.internal.BindingXConstants;
import com.alibaba.fastjson.JSON;
import com.amap.api.maps.AMap;
import com.autonavi.amap.mapcore.AMapEngineUtils;
import com.facebook.common.util.UriUtil;
import com.taobao.weex.performance.WXInstanceApm;
import com.tencent.mm.opensdk.modelmsg.WXVideoFileObject;
import io.dcloud.PandoraEntry;
import io.dcloud.PdrR;
import io.dcloud.WebviewActivity;
import io.dcloud.base.R;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IMgr;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.DHInterface.message.ActionBus;
import io.dcloud.common.DHInterface.message.action.BadgeSyncAction;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.adapter.util.SP;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.ui.Info.AndroidPrivacyResponse;
import io.dcloud.common.ui.b;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.LoadAppUtils;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.common.util.TelephonyUtil;
import java.io.File;
import java.io.FileOutputStream;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class RuntimeFeatureImpl implements IFeature, MessageHandler.IMessages {
    final String a = PandoraEntry.class.getName();
    AbsMgr b = null;

    class a extends Thread {
        final /* synthetic */ String[] a;
        final /* synthetic */ String b;
        final /* synthetic */ IWebview c;

        a(String[] strArr, String str, IWebview iWebview) {
            this.a = strArr;
            this.b = str;
            this.c = iWebview;
        }

        public void run() {
            String[] strArr = this.a;
            String str = strArr[1];
            Object[] objArr = (Object[]) RuntimeFeatureImpl.this.b.processEvent(IMgr.MgrType.AppMgr, 4, new Object[]{this.b, !PdrUtil.isEmpty(strArr[2]) ? JSONUtil.createJSONObject(this.a[2]) : null, this.c});
            boolean booleanValue = Boolean.valueOf(String.valueOf(objArr[0])).booleanValue();
            String valueOf = String.valueOf(objArr[1]);
            if (booleanValue) {
                Deprecated_JSUtil.execCallback(this.c, str, valueOf, JSUtil.ERROR, true, false);
            } else {
                Deprecated_JSUtil.execCallback(this.c, str, valueOf, JSUtil.OK, true, false);
            }
        }
    }

    class b implements b.AbstractC0033b {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;
        final /* synthetic */ Activity c;

        b(IWebview iWebview, String str, Activity activity) {
            this.a = iWebview;
            this.b = str;
            this.c = activity;
        }

        @Override // io.dcloud.common.ui.b.AbstractC0033b
        public void a(String str) {
            JSUtil.execCallback(this.a, this.b, new JSONObject(), JSUtil.ERROR, false);
        }

        class a implements b.AbstractC0033b {
            a() {
            }

            @Override // io.dcloud.common.ui.b.AbstractC0033b
            public void a(String str) {
                JSONObject jSONObject = new JSONObject();
                b bVar = b.this;
                JSUtil.execCallback(bVar.a, bVar.b, jSONObject, JSUtil.ERROR, false);
            }

            @Override // io.dcloud.common.ui.b.AbstractC0033b
            public void a() {
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("code", 1);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                b bVar = b.this;
                JSUtil.execCallback(bVar.a, bVar.b, jSONObject, JSUtil.OK, false);
            }

            @Override // io.dcloud.common.ui.b.AbstractC0033b
            public void a(AndroidPrivacyResponse androidPrivacyResponse) {
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("code", -1);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                b bVar = b.this;
                JSUtil.execCallback(bVar.a, bVar.b, jSONObject, JSUtil.OK, false);
            }
        }

        @Override // io.dcloud.common.ui.b.AbstractC0033b
        public void a() {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put("code", 1);
            } catch (JSONException e) {
                e.printStackTrace();
            }
            JSUtil.execCallback(this.a, this.b, jSONObject, JSUtil.OK, false);
        }

        @Override // io.dcloud.common.ui.b.AbstractC0033b
        public void a(AndroidPrivacyResponse androidPrivacyResponse) {
            if (TextUtils.isEmpty(androidPrivacyResponse.second.message)) {
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("code", -1);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                JSUtil.execCallback(this.a, this.b, jSONObject, JSUtil.OK, false);
                return;
            }
            io.dcloud.common.ui.b.a().a(this.c, new a(), true, true);
        }
    }

    class c implements ICallBack {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        c(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.DHInterface.ICallBack
        public Object onCallBack(int i, Object obj) {
            if (i == 1) {
                return null;
            }
            Deprecated_JSUtil.excCallbackError(this.a, this.b, String.valueOf(obj), true);
            return null;
        }
    }

    class d implements ICallBack {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        d(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.DHInterface.ICallBack
        public Object onCallBack(int i, Object obj) {
            if (i == 1) {
                Deprecated_JSUtil.execCallback(this.a, this.b, "{}", JSUtil.OK, true, false);
                return null;
            }
            Deprecated_JSUtil.excCallbackError(this.a, this.b, String.valueOf(obj), true);
            return null;
        }
    }

    private void a(IWebview iWebview, String str, String str2) {
        String valueOf = (TextUtils.isEmpty(str) || str.equals(WXInstanceApm.VALUE_ERROR_CODE_DEFAULT)) ? "" : String.valueOf(Math.max(0, Integer.valueOf(str).intValue()));
        try {
            String str3 = Build.MANUFACTURER;
            if (str3.equalsIgnoreCase("Xiaomi")) {
                b(iWebview, valueOf, str2);
            } else if (str3.equalsIgnoreCase("samsung")) {
                c(iWebview, valueOf);
            } else {
                Locale locale = Locale.ENGLISH;
                if (str3.toLowerCase(locale).contains("sony")) {
                    d(iWebview, valueOf);
                } else if (str3.toLowerCase(locale).contains("huawei")) {
                    e(iWebview, valueOf);
                } else if (str3.toLowerCase(locale).contains("vivo")) {
                    g(iWebview, valueOf);
                } else if (str3.toLowerCase(locale).contains("oppo")) {
                    f(iWebview, valueOf);
                } else if (str3.toLowerCase(locale).contains("honor")) {
                    b(iWebview, valueOf);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void b(IWebview iWebview, String str, String str2) {
        JSONObject jSONObject;
        Throwable th;
        Notification.Builder builder;
        try {
            jSONObject = new JSONObject(str2);
        } catch (JSONException unused) {
            jSONObject = new JSONObject();
        }
        NotificationManager notificationManager = (NotificationManager) iWebview.getContext().getSystemService("notification");
        boolean z = false;
        try {
            if (Build.VERSION.SDK_INT >= 26) {
                builder = new Notification.Builder(iWebview.getContext(), "LOCAL_BADGE_NUM");
            } else {
                builder = new Notification.Builder(iWebview.getContext());
            }
            builder.setContentText(PdrUtil.isEmpty(jSONObject.optString(UriUtil.LOCAL_CONTENT_SCHEME)) ? StringUtil.format(iWebview.getContext().getString(R.string.dcloud_common_msg_unread_prompt), str) : jSONObject.optString(UriUtil.LOCAL_CONTENT_SCHEME));
            builder.setAutoCancel(true);
            int i = PdrR.getInt(iWebview.getContext(), "drawable", "push");
            if (i <= 0) {
                builder.setSmallIcon(iWebview.getContext().getApplicationInfo().icon);
            } else {
                builder.setSmallIcon(i);
            }
            builder.setDefaults(4);
            String packageName = iWebview.getActivity().getPackageName();
            PackageManager packageManager = iWebview.getActivity().getPackageManager();
            Intent launchIntentForPackage = packageManager.getLaunchIntentForPackage(packageName);
            builder.setContentTitle(PdrUtil.isEmpty(jSONObject.optString("title")) ? AndroidResources.mApplicationInfo.applicationInfo.loadLabel(packageManager) : jSONObject.optString("title"));
            builder.setContentIntent(PendingIntent.getActivity(iWebview.getActivity(), 10019, launchIntentForPackage, WXVideoFileObject.FILE_SIZE_LIMIT));
            builder.setAutoCancel(true);
            Notification build = builder.build();
            build.flags = 16;
            Object obj = build.getClass().getDeclaredField("extraNotification").get(build);
            obj.getClass().getDeclaredMethod("setMessageCount", Integer.TYPE).invoke(obj, Integer.valueOf(Integer.parseInt(str)));
            notificationManager.notify(101010, build);
        } catch (Exception e) {
            e.printStackTrace();
            Intent intent = new Intent("android.intent.action.APPLICATION_MESSAGE_UPDATE");
            intent.putExtra("android.intent.extra.update_application_component_name", this.a);
            intent.putExtra("android.intent.extra.update_application_message_text", str);
            iWebview.getContext().sendBroadcast(intent);
        } catch (Throwable th2) {
            th = th2;
            notificationManager.notify(101010, null);
            throw th;
        }
    }

    private void c(IWebview iWebview, String str) {
        Intent intent = new Intent("android.intent.action.BADGE_COUNT_UPDATE");
        intent.putExtra("badge_count", Integer.parseInt(str));
        intent.putExtra("badge_count_package_name", iWebview.getContext().getPackageName());
        intent.putExtra("badge_count_class_name", this.a);
        iWebview.getContext().sendBroadcast(intent);
    }

    private void d(IWebview iWebview, String str) {
        boolean z = false;
        if (iWebview.getContext().getPackageManager().resolveContentProvider("com.sonymobile.home.resourceprovider", 0) != null) {
            if (Integer.parseInt(str) != 0) {
                z = true;
            }
            Intent intent = new Intent();
            intent.setAction("com.sonyericsson.home.action.UPDATE_BADGE");
            intent.putExtra("com.sonyericsson.home.intent.extra.badge.SHOW_MESSAGE", z);
            intent.putExtra("com.sonyericsson.home.intent.extra.badge.ACTIVITY_NAME", this.a);
            intent.putExtra("com.sonyericsson.home.intent.extra.badge.MESSAGE", str);
            intent.putExtra("com.sonyericsson.home.intent.extra.badge.PACKAGE_NAME", iWebview.getContext().getPackageName());
            iWebview.getContext().sendBroadcast(intent);
            return;
        }
        Intent intent2 = new Intent("android.intent.action.BADGE_COUNT_UPDATE");
        intent2.putExtra("badge_count", str);
        intent2.putExtra("badge_count_package_name", iWebview.getContext().getPackageName());
        intent2.putExtra("badge_count_class_name", this.a);
        iWebview.getActivity().sendBroadcast(intent2);
    }

    private void e(IWebview iWebview, String str) {
        int i = 0;
        int parseInt = !str.equals("") ? Integer.parseInt(str) : 0;
        if (parseInt >= 0) {
            i = parseInt;
        }
        Bundle bundle = new Bundle();
        bundle.putString("package", iWebview.getContext().getPackageName());
        bundle.putString("class", iWebview.getContext().getPackageManager().getLaunchIntentForPackage(iWebview.getContext().getPackageName()).getComponent().getClassName());
        bundle.putInt("badgenumber", i);
        iWebview.getContext().getContentResolver().call(Uri.parse("content://com.huawei.android.launcher.settings/badge/"), "change_badge", (String) null, bundle);
        ActionBus.getInstance().sendToBus(BadgeSyncAction.obtain(BadgeSyncAction.ENUM_ACTION_TYPE.SYNC_NUM).setSyncNum(i));
    }

    private void f(IWebview iWebview, String str) {
        int parseInt = Integer.parseInt(str);
        if (parseInt == 0) {
            parseInt = -1;
        }
        Bundle bundle = new Bundle();
        bundle.putInt("app_badge_count", parseInt);
        iWebview.getContext().getContentResolver().call(Uri.parse("content://com.android.badge/badge"), "setAppBadgeCount", (String) null, bundle);
    }

    private void g(IWebview iWebview, String str) {
        try {
            Intent intent = new Intent("launcher.action.CHANGE_APPLICATION_NOTIFICATION_NUM");
            intent.putExtra("packageName", iWebview.getContext().getPackageName());
            intent.putExtra("className", iWebview.getContext().getPackageManager().getLaunchIntentForPackage(iWebview.getContext().getPackageName()).getComponent().getClassName());
            intent.putExtra("notificationNum", Integer.parseInt(str));
            iWebview.getContext().sendBroadcast(intent);
        } catch (Exception unused) {
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String str) {
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:48:? */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:54:? */
    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0157  */
    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(IWebview iWebview, String str, String[] strArr) {
        char c2;
        Object obj;
        String str2;
        String str3;
        String str4;
        String str5;
        str.hashCode();
        str.hashCode();
        boolean z = false;
        switch (str.hashCode()) {
            case -1498445150:
                if (str.equals("getDCloudId")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case -1467480879:
                if (str.equals("isApplicationExist")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case -748538349:
                if (str.equals("isCustomLaunchPath")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case 26235367:
                if (str.equals("processDirectPage")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case 208575698:
                if (str.equals("isStreamValid")) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case 955720070:
                if (str.equals("isAgreePrivacy")) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case 1108535365:
                if (str.equals("downloadBlob")) {
                    c2 = 6;
                    break;
                }
                c2 = 65535;
                break;
            case 1222725322:
                if (str.equals("disagreePrivacy")) {
                    c2 = 7;
                    break;
                }
                c2 = 65535;
                break;
            case 1717055292:
                if (str.equals("agreePrivacy")) {
                    c2 = '\b';
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                String bundleData = SP.getBundleData(iWebview.getContext(), "pdr", SP.STARTUP_DEVICE_ID);
                if (!PdrUtil.isEmpty(bundleData)) {
                    return Deprecated_JSUtil.wrapJsVar(bundleData, true);
                }
                return Deprecated_JSUtil.wrapJsVar(TelephonyUtil.getIMEI(iWebview.getContext(), true, true), true);
            case 1:
                String str6 = strArr[0];
                if (TextUtils.isEmpty(str6)) {
                    return AbsoluteConst.FALSE;
                }
                try {
                    JSONObject jSONObject = new JSONObject(str6);
                    if (!jSONObject.has("pname")) {
                        return AbsoluteConst.FALSE;
                    }
                    String string = jSONObject.getString("pname");
                    if (TextUtils.isEmpty(string)) {
                        return AbsoluteConst.FALSE;
                    }
                    if (LoadAppUtils.isAppLoad(iWebview.getContext(), string)) {
                        return AbsoluteConst.TRUE;
                    }
                    return AbsoluteConst.FALSE;
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            case 2:
                if (iWebview.obtainFrameView().obtainApp().checkIsCustomPath()) {
                    return AbsoluteConst.TRUE;
                }
                return AbsoluteConst.FALSE;
            case 3:
                String directPage = iWebview.obtainApp().getDirectPage();
                iWebview.obtainApp().setDirectPage(null);
                if (TextUtils.isEmpty(directPage)) {
                    directPage = "";
                }
                return JSUtil.wrapJsVar(directPage);
            case 4:
                if (BaseInfo.existsStreamEnv() && BaseInfo.existsLibso()) {
                    return AbsoluteConst.TRUE;
                }
                return AbsoluteConst.FALSE;
            case 5:
                String bundleData2 = SP.getBundleData(iWebview.getContext(), "pdr", "scok");
                String metaValue = AndroidResources.getMetaValue("DCLOUD_PRIVACY_PROMPT");
                if (PdrUtil.isEmpty(metaValue) ? PdrUtil.isEmpty(bundleData2) || bundleData2.equals("1") : !metaValue.equalsIgnoreCase("template") ? !metaValue.equalsIgnoreCase(AMap.CUSTOM) ? PdrUtil.isEmpty(bundleData2) || bundleData2.equals("1") : !PdrUtil.isEmpty(bundleData2) && bundleData2.equals("1") : !PdrUtil.isEmpty(bundleData2) && bundleData2.equals("1")) {
                    z = true;
                }
                return JSUtil.wrapJsVar(z);
            case 6:
                try {
                    str5 = strArr[0];
                    try {
                        str4 = strArr[2];
                        try {
                            str3 = str5;
                            str2 = str4;
                            obj = strArr[1];
                        } catch (Exception unused) {
                        }
                    } catch (Exception unused2) {
                        str4 = null;
                        obj = null;
                        str3 = str5;
                        str2 = str4;
                        if (!PdrUtil.isEmpty(str3)) {
                        }
                        return null;
                    }
                } catch (Exception unused3) {
                    str5 = null;
                    str4 = null;
                    obj = null;
                    str3 = str5;
                    str2 = str4;
                    if (!PdrUtil.isEmpty(str3)) {
                    }
                    return null;
                }
                if (!PdrUtil.isEmpty(str3)) {
                    try {
                        str3 = str3.substring(str3.indexOf(",") + 1);
                    } catch (Exception unused4) {
                    }
                    StringBuilder sb = new StringBuilder();
                    sb.append(DeviceInfo.sDeviceRootDir + "/Download/");
                    boolean isEmpty = PdrUtil.isEmpty(obj);
                    Object obj2 = obj;
                    if (isEmpty) {
                        obj2 = Long.valueOf(System.currentTimeMillis());
                    }
                    sb.append(obj2);
                    File file = new File(sb.toString());
                    byte[] decode = Base64.decode(str3, 0);
                    try {
                        FileOutputStream fileOutputStream = new FileOutputStream(file, false);
                        fileOutputStream.write(decode);
                        fileOutputStream.flush();
                        Deprecated_JSUtil.execCallback(iWebview, str2, "{'code':0,'message':'" + file.getPath() + "'}", JSUtil.ERROR, true, false);
                    } catch (Exception e2) {
                        JSONObject jSONObject2 = new JSONObject();
                        try {
                            jSONObject2.put("code", -1);
                            jSONObject2.put("message", e2.toString());
                        } catch (JSONException unused5) {
                        }
                        JSUtil.execCallback(iWebview, str2, jSONObject2, JSUtil.ERROR, false);
                        return null;
                    }
                } else {
                    Deprecated_JSUtil.execCallback(iWebview, str2, DOMException.toJSON(-1, "blob error"), JSUtil.ERROR, true, false);
                }
                return null;
            case 7:
                SP.setBundleData(iWebview.getContext(), "pdr", "scok", WXInstanceApm.VALUE_ERROR_CODE_DEFAULT);
                return null;
            case '\b':
                SP.setBundleData(iWebview.getContext(), "pdr", "scok", "1");
                return null;
            default:
                MessageHandler.sendMessage(this, new Object[]{iWebview, str, strArr});
                return null;
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr absMgr, String str) {
        this.b = absMgr;
        if (Build.VERSION.SDK_INT >= 26 && Build.MANUFACTURER.equalsIgnoreCase("Xiaomi")) {
            NotificationManager notificationManager = (NotificationManager) absMgr.getContext().getSystemService("notification");
            notificationManager.createNotificationChannelGroup(new NotificationChannelGroup("LOCAL_BADGE_SETTING", "badge"));
            NotificationChannel notificationChannel = new NotificationChannel("LOCAL_BADGE_NUM", absMgr.getContext().getString(R.string.dcloud_nf_desktop_icon_corner), 3);
            notificationChannel.enableLights(true);
            notificationChannel.setShowBadge(true);
            notificationManager.createNotificationChannel(notificationChannel);
        }
    }

    private void a(IWebview iWebview, String str) {
        try {
            if (!TextUtils.isEmpty(str)) {
                Intent intent = new Intent();
                intent.setClass(iWebview.getActivity(), WebviewActivity.class);
                intent.putExtra("url", str);
                intent.setData(Uri.parse(str));
                intent.setAction("android.intent.action.VIEW");
                intent.setFlags(AMapEngineUtils.MAX_P20_WIDTH);
                iWebview.getContext().startActivity(intent);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void a(String str, IApp iApp) {
        if (!TextUtils.isEmpty(str) && BaseInfo.ISAMU) {
            int length = str.length();
            if ((length - str.indexOf(".apk")) - 4 == 0 || (length - str.indexOf(".wgt")) - 4 == 0 || (length - str.indexOf(".wgtu")) - 5 == 0) {
                try {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("type", "install");
                    jSONObject.put("file", str);
                    jSONObject.put("appid", iApp.obtainOriginalAppId());
                    jSONObject.put("version", iApp.obtainAppVersionName());
                    Log.i(AbsoluteConst.HBUILDER_TAG, jSONObject.toString());
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    private void b(IWebview iWebview, String str) {
        int i = 0;
        int parseInt = !str.equals("") ? Integer.parseInt(str) : 0;
        if (parseInt >= 0) {
            i = parseInt;
        }
        Bundle bundle = new Bundle();
        bundle.putString("package", iWebview.getContext().getPackageName());
        bundle.putString("class", iWebview.getContext().getPackageManager().getLaunchIntentForPackage(iWebview.getContext().getPackageName()).getComponent().getClassName());
        bundle.putInt("badgenumber", i);
        iWebview.getContext().getContentResolver().call(Uri.parse("content://com.hihonor.android.launcher.settings/badge/"), "change_badge", (String) null, bundle);
        ActionBus.getInstance().sendToBus(BadgeSyncAction.obtain(BadgeSyncAction.ENUM_ACTION_TYPE.SYNC_NUM).setSyncNum(i));
    }

    private void b(String str, IApp iApp) {
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("type", "openurl");
            jSONObject.put("url", str);
            jSONObject.put("appid", iApp.obtainOriginalAppId());
            jSONObject.put("version", iApp.obtainAppVersionName());
            Log.i(AbsoluteConst.HBUILDER_TAG, jSONObject.toString());
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:104:0x0253, code lost:
        if (r10.equals(io.dcloud.common.util.CustomPath.CUSTOM_PATH_DOC) != false) goto L_0x0257;
     */
    @Override // io.dcloud.common.adapter.util.MessageHandler.IMessages
    public void execute(Object obj) {
        char c2;
        String str;
        String str2;
        String str3;
        JSONObject jSONObject;
        Object[] objArr = (Object[]) obj;
        int i = 0;
        IWebview iWebview = (IWebview) objArr[0];
        String valueOf = String.valueOf(objArr[1]);
        String[] strArr = (String[]) objArr[2];
        IApp obtainApp = iWebview.obtainFrameView().obtainApp();
        valueOf.hashCode();
        switch (valueOf.hashCode()) {
            case -1263204667:
                if (valueOf.equals("openURL")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case -1263202134:
                if (valueOf.equals("openWeb")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case -1150858339:
                if (valueOf.equals("launchApplication")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case -944934523:
                if (valueOf.equals("openDocument")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case -505062682:
                if (valueOf.equals("openFile")) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case 3482191:
                if (valueOf.equals("quit")) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case 545494794:
                if (valueOf.equals("setBadgeNumber")) {
                    c2 = 6;
                    break;
                }
                c2 = 65535;
                break;
            case 1084758859:
                if (valueOf.equals("getProperty")) {
                    c2 = 7;
                    break;
                }
                c2 = 65535;
                break;
            case 1097506319:
                if (valueOf.equals("restart")) {
                    c2 = '\b';
                    break;
                }
                c2 = 65535;
                break;
            case 1247092467:
                if (valueOf.equals("showPrivacyDialog")) {
                    c2 = '\t';
                    break;
                }
                c2 = 65535;
                break;
            case 1957569947:
                if (valueOf.equals("install")) {
                    c2 = '\n';
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                try {
                    String str4 = strArr[0];
                    if (PdrUtil.isDeviceRootDir(str4) || PdrUtil.isNetPath(str4) || str4.startsWith(DeviceInfo.FILE_PROTOCOL) || obtainApp.checkSchemeWhite(str4)) {
                        b(strArr[0], obtainApp);
                        PlatformUtil.openURL(iWebview.getActivity(), strArr[0], String.valueOf(PdrUtil.getObject(strArr, 2)));
                        return;
                    }
                    return;
                } catch (Exception e) {
                    e.printStackTrace();
                    Deprecated_JSUtil.excCallbackError(iWebview, strArr[1], e.getMessage());
                    return;
                }
            case 1:
                a(iWebview, strArr[0]);
                return;
            case 2:
                try {
                    JSONObject jSONObject2 = new JSONObject(strArr[0]);
                    JSONArray names = jSONObject2.names();
                    HashMap hashMap = new HashMap();
                    String str5 = null;
                    String str6 = null;
                    boolean z = true;
                    while (i < names.length()) {
                        String string = names.getString(i);
                        if (string.equals("pname")) {
                            str6 = jSONObject2.getString(string);
                        } else if (string.equals("action")) {
                            str5 = jSONObject2.getString(string);
                        } else if (string.equals("extra")) {
                            JSONObject jSONObject3 = jSONObject2.getJSONObject(string);
                            Iterator<String> keys = jSONObject3.keys();
                            while (keys.hasNext()) {
                                String next = keys.next();
                                hashMap.put(next, jSONObject3.get(next));
                            }
                        } else if (string.equals("newTask")) {
                            z = jSONObject2.getBoolean("newTask");
                        }
                        i++;
                    }
                    PlatformUtil.launchApplication(iWebview.getActivity(), str6, str5, hashMap, z);
                    return;
                } catch (Exception e2) {
                    e2.printStackTrace();
                    Deprecated_JSUtil.execCallback(iWebview, strArr[1], DOMException.toJSON(-99, e2.getMessage()), JSUtil.OK, true, false);
                    return;
                }
            case 3:
                String checkPrivateDirAndCopy2Temp = obtainApp.checkPrivateDirAndCopy2Temp(strArr[0]);
                String str7 = strArr[2];
                try {
                    JSONObject jSONObject4 = new JSONObject(strArr[1]);
                    str2 = jSONObject4.optString("pname");
                    try {
                        String lowerCase = jSONObject4.optString("fileType").toLowerCase(Locale.ENGLISH);
                        switch (lowerCase.hashCode()) {
                            case 99640:
                                break;
                            case 110834:
                                if (lowerCase.equals("pdf")) {
                                    i = 6;
                                    break;
                                }
                                i = -1;
                                break;
                            case 111220:
                                if (lowerCase.equals("ppt")) {
                                    i = 4;
                                    break;
                                }
                                i = -1;
                                break;
                            case 118783:
                                if (lowerCase.equals("xls")) {
                                    i = 2;
                                    break;
                                }
                                i = -1;
                                break;
                            case 3088960:
                                if (lowerCase.equals("docx")) {
                                    i = 1;
                                    break;
                                }
                                i = -1;
                                break;
                            case 3447940:
                                if (lowerCase.equals("pptx")) {
                                    i = 5;
                                    break;
                                }
                                i = -1;
                                break;
                            case 3682393:
                                if (lowerCase.equals("xlsx")) {
                                    i = 3;
                                    break;
                                }
                                i = -1;
                                break;
                            default:
                                i = -1;
                                break;
                        }
                        switch (i) {
                            case 0:
                                str = "application/msword";
                                break;
                            case 1:
                                str = "application/vnd.openxmlformats-officedocument.wordprocessingml.document";
                                break;
                            case 2:
                                str = "application/vnd.ms-excel";
                                break;
                            case 3:
                                str = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
                                break;
                            case 4:
                                str = "application/vnd.ms-powerpoint";
                                break;
                            case 5:
                                str = "application/vnd.openxmlformats-officedocument.presentationml.presentation";
                                break;
                            case 6:
                                str = "application/pdf";
                                break;
                            default:
                                str = null;
                                break;
                        }
                    } catch (Exception unused) {
                    }
                } catch (Exception unused2) {
                    str2 = null;
                }
                String convert2AbsFullPath = obtainApp.convert2AbsFullPath(iWebview.obtainFullUrl(), checkPrivateDirAndCopy2Temp);
                if (new File(convert2AbsFullPath).isFile()) {
                    PlatformUtil.openFileBySystem(obtainApp.getActivity(), convert2AbsFullPath, str2, str, new d(iWebview, str7));
                    return;
                } else {
                    Deprecated_JSUtil.execCallback(iWebview, str7, DOMException.toJSON(-4, DOMException.MSG_FILE_NOT_EXIST), JSUtil.ERROR, true, false);
                    return;
                }
            case 4:
                String checkPrivateDirAndCopy2Temp2 = obtainApp.checkPrivateDirAndCopy2Temp(strArr[0]);
                String str8 = strArr[2];
                try {
                    str3 = new JSONObject(strArr[1]).optString("pname");
                } catch (Exception e3) {
                    e3.printStackTrace();
                    str3 = null;
                }
                String convert2AbsFullPath2 = obtainApp.convert2AbsFullPath(iWebview.obtainFullUrl(), checkPrivateDirAndCopy2Temp2);
                if (new File(convert2AbsFullPath2).isFile()) {
                    PlatformUtil.openFileBySystem(obtainApp.getActivity(), convert2AbsFullPath2, str3, null, new c(iWebview, str8));
                    return;
                } else {
                    Deprecated_JSUtil.execCallback(iWebview, str8, DOMException.toJSON(-4, DOMException.MSG_FILE_NOT_EXIST), JSUtil.ERROR, true, false);
                    return;
                }
            case 5:
                this.b.processEvent(IMgr.MgrType.WindowMgr, 20, obtainApp);
                return;
            case 6:
                a(iWebview, strArr[0], (strArr.length <= 1 || PdrUtil.isEmpty(strArr[1])) ? "{}" : strArr[1]);
                return;
            case 7:
                String str9 = strArr[0];
                if (PdrUtil.isEmpty(str9)) {
                    str9 = iWebview.obtainFrameView().obtainApp().obtainAppId();
                }
                String str10 = strArr[1];
                String valueOf2 = String.valueOf(this.b.processEvent(IMgr.MgrType.AppMgr, 5, str9));
                if (!PdrUtil.isEmpty(valueOf2)) {
                    Deprecated_JSUtil.excCallbackSuccess(iWebview, str10, valueOf2, true);
                    return;
                } else {
                    Deprecated_JSUtil.excCallbackError(iWebview, str10, null);
                    return;
                }
            case '\b':
                String obtainAppId = obtainApp.obtainAppId();
                obtainApp.clearRuntimeArgs();
                this.b.processEvent(IMgr.MgrType.AppMgr, 3, obtainAppId);
                return;
            case '\t':
                String str11 = strArr[0];
                try {
                    jSONObject = new JSONObject(strArr[1]);
                } catch (JSONException e4) {
                    e4.printStackTrace();
                    jSONObject = null;
                }
                io.dcloud.common.ui.b.a().d(iWebview.getContext());
                if (jSONObject == null) {
                    io.dcloud.common.ui.b.a().b(iWebview.getContext(), null);
                } else if (jSONObject.optJSONObject(BindingXConstants.KEY_CONFIG) == null) {
                    io.dcloud.common.ui.b.a().b(iWebview.getContext(), null);
                } else {
                    io.dcloud.common.ui.b.a().b(iWebview.getContext(), JSON.parseObject(jSONObject.toString()));
                }
                Activity activity = (Activity) iWebview.getContext();
                io.dcloud.common.ui.b.a().a(activity, new b(iWebview, str11, activity), false, true);
                return;
            case '\n':
                AppRuntime.checkPrivacyComplianceAndPrompt(iWebview.getContext(), "Runtime-install");
                String convert2AbsFullPath3 = obtainApp.convert2AbsFullPath(iWebview.obtainFullUrl(), strArr[0]);
                a(convert2AbsFullPath3, obtainApp);
                new a(strArr, convert2AbsFullPath3, iWebview).start();
                return;
            default:
                return;
        }
    }
}
