package io.dcloud.feature.ui;

import android.graphics.Rect;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import com.amap.api.maps.utils.SpatialRelationUtil;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.ui.component.WXBasicComponentType;
import com.taobao.weex.ui.component.WXWeb;
import com.taobao.weex.ui.component.list.template.TemplateDom;
import com.taobao.weex.ui.component.richtext.node.RichTextNode;
import com.taobao.weex.utils.WXUtils;
import io.dcloud.base.R;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IContainerView;
import io.dcloud.common.DHInterface.IEventCallback;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IFrameView;
import io.dcloud.common.DHInterface.IMgr;
import io.dcloud.common.DHInterface.INativeBitmap;
import io.dcloud.common.DHInterface.INativeView;
import io.dcloud.common.DHInterface.ITitleNView;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaContainerFrameItem;
import io.dcloud.common.adapter.ui.AdaFrameItem;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.adapter.ui.AdaUniWebView;
import io.dcloud.common.adapter.ui.AdaWebViewParent;
import io.dcloud.common.adapter.ui.AdaWebview;
import io.dcloud.common.adapter.ui.ReceiveJSValue;
import io.dcloud.common.adapter.ui.webview.WebResUtil;
import io.dcloud.common.adapter.util.AnimOptions;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.adapter.util.ViewOptions;
import io.dcloud.common.adapter.util.ViewRect;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.core.ui.DCKeyboardManager;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.common.util.SubNViewsUtil;
import io.dcloud.common.util.TestUtil;
import io.dcloud.common.util.ThreadPool;
import io.dcloud.common.util.TitleNViewUtil;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.nineoldandroids.view.ViewHelper;
import io.dcloud.share.mm.WeiXinApiManager;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class c extends b implements IEventCallback {
    private static final HashMap<String, String> u;
    String A;
    int B;
    Object C;
    boolean D;
    boolean E;
    int F;
    boolean G;
    boolean H;
    boolean I;
    boolean J;
    boolean K;
    boolean L;
    boolean M;
    protected ArrayList<b> N;
    String O;
    String P;
    IWebview Q;
    String R;
    IWebview S;
    String T;
    IWebview U;
    String V;
    private boolean W;
    c X;
    private ArrayList<c> Y;
    private boolean Z;
    private String a0;
    private int b0;
    private boolean c0;
    Runnable d0;
    long v;
    JSONArray w;
    IWebview x;
    JSONObject y;
    IFrameView z;

    /* access modifiers changed from: package-private */
    public class a implements Runnable {
        a() {
        }

        public void run() {
            if (c.this.z.obtainWebView().checkWhite(c.this.a0)) {
                c.this.l();
            } else {
                c.this.a(AbsoluteConst.EVENTS_WEBVIEW_RENDERED, "{}", false);
            }
            c.this.d0 = null;
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ReceiveJSValue.ReceiveJSValueCallback {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        b(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.adapter.ui.ReceiveJSValue.ReceiveJSValueCallback
        public String callback(JSONArray jSONArray) {
            Object obj;
            String string = JSONUtil.getString(jSONArray, 0);
            try {
                obj = jSONArray.get(1);
            } catch (JSONException unused) {
                obj = null;
            }
            if ((obj instanceof String) || "string".equals(string)) {
                Deprecated_JSUtil.execCallback(this.a, this.b, String.valueOf(obj), JSUtil.OK, false, false);
            } else if (obj instanceof JSONArray) {
                Deprecated_JSUtil.execCallback(this.a, this.b, obj.toString(), JSUtil.OK, true, false);
            } else if ((obj instanceof JSONObject) || "object".equals(string)) {
                Deprecated_JSUtil.execCallback(this.a, this.b, obj.toString(), JSUtil.OK, true, false);
            } else if (Constants.Name.UNDEFINED.equals(string)) {
                Deprecated_JSUtil.execCallback(this.a, this.b, Constants.Name.UNDEFINED, JSUtil.OK, true, false);
            } else {
                Deprecated_JSUtil.execCallback(this.a, this.b, obj.toString(), JSUtil.OK, true, false);
            }
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: io.dcloud.feature.ui.c$c  reason: collision with other inner class name */
    public class RunnableC0052c implements Runnable {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        RunnableC0052c(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        public void run() {
            this.a.evalJSSync(this.b, null);
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements MessageHandler.UncheckedCallable {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        class a implements ICallBack {
            final /* synthetic */ MessageHandler.WaitableRunnable a;

            a(MessageHandler.WaitableRunnable waitableRunnable) {
                this.a = waitableRunnable;
            }

            @Override // io.dcloud.common.DHInterface.ICallBack
            public Object onCallBack(int i, Object obj) {
                MessageHandler.WaitableRunnable waitableRunnable = this.a;
                if (waitableRunnable == null) {
                    return null;
                }
                waitableRunnable.callBack(obj);
                return null;
            }
        }

        d(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.adapter.util.MessageHandler.UncheckedCallable
        public void run(MessageHandler.WaitableRunnable waitableRunnable) {
            try {
                this.a.evalJSSync(this.b, new a(waitableRunnable));
            } catch (Exception e) {
                e.printStackTrace();
                if (waitableRunnable != null) {
                    waitableRunnable.callBack("");
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements Runnable {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;
        final /* synthetic */ IWebview c;
        final /* synthetic */ String d;

        e(IWebview iWebview, String str, IWebview iWebview2, String str2) {
            this.a = iWebview;
            this.b = str;
            this.c = iWebview2;
            this.d = str2;
        }

        public void run() {
            try {
                boolean checkWhite = this.a.checkWhite(this.b);
                IWebview iWebview = this.c;
                String str = this.d;
                StringBuilder sb = new StringBuilder();
                sb.append("{\"code\":100,\"rendered\":");
                sb.append(!checkWhite);
                sb.append(Operators.BLOCK_END_STR);
                Deprecated_JSUtil.execCallback(iWebview, str, sb.toString(), JSUtil.OK, true, false);
            } catch (Exception unused) {
                if (c.this.a() != null) {
                    IWebview iWebview2 = this.c;
                    String str2 = this.d;
                    Deprecated_JSUtil.execCallback(iWebview2, str2, "{\"code\":-100,\"message\":\"" + c.this.a().getString(R.string.dcloud_common_screenshot_fail) + "\"}", JSUtil.ERROR, true, false);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class f implements ICallBack {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        f(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.DHInterface.ICallBack
        public Object onCallBack(int i, Object obj) {
            Deprecated_JSUtil.execCallback(this.a, this.b, null, JSUtil.OK, false, false);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public class g implements ICallBack {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        g(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.DHInterface.ICallBack
        public Object onCallBack(int i, Object obj) {
            IWebview iWebview = this.a;
            String str = this.b;
            Deprecated_JSUtil.execCallback(iWebview, str, "{\"code\":-100,\"message\":\"" + this.a.getContext().getString(R.string.dcloud_common_screenshot_fail) + "\"}", JSUtil.ERROR, true, false);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements ICallBack {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        h(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.DHInterface.ICallBack
        public Object onCallBack(int i, Object obj) {
            Deprecated_JSUtil.execCallback(this.a, this.b, null, JSUtil.OK, false, false);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public class i implements ICallBack {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        i(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        @Override // io.dcloud.common.DHInterface.ICallBack
        public Object onCallBack(int i, Object obj) {
            IWebview iWebview = this.a;
            String str = this.b;
            StringBuilder sb = new StringBuilder();
            sb.append("{\"code\":");
            sb.append(i);
            sb.append(",\"message\":\"");
            sb.append(obj != null ? obj.toString() : c.this.a().getString(R.string.dcloud_common_screenshot_fail));
            sb.append("\"}");
            Deprecated_JSUtil.execCallback(iWebview, str, sb.toString(), JSUtil.ERROR, true, false);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public class j implements Runnable {
        final /* synthetic */ String a;
        final /* synthetic */ String b;

        j(String str, String str2) {
            this.a = str;
            this.b = str2;
        }

        public void run() {
            TestUtil.PointTime.commitTid(c.this.a(), this.a, c.this.n, this.b, 10);
        }
    }

    static {
        HashMap<String, String> hashMap = new HashMap<>();
        u = hashMap;
        hashMap.put(AbsoluteConst.EVENTS_CLOSE, "onclose");
        hashMap.put("loading", "onloading");
        hashMap.put(AbsoluteConst.EVENTS_FAILED, "onerror");
        hashMap.put(AbsoluteConst.EVENTS_LOADED, "onloaded");
    }

    c(a aVar, String str, String str2, String str3, JSONObject jSONObject) {
        this(aVar, null, str, str2, str3, jSONObject);
    }

    private INativeBitmap g(IWebview iWebview, String str) {
        return (INativeBitmap) iWebview.obtainApp().obtainMgrData(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", "getNativeBitmap", new String[]{iWebview.obtainApp().obtainAppId(), str}});
    }

    private void i() {
        if (this.z.getFrameType() == 6) {
            ThreadPool.self().addThreadTask(new j(this.j.f.obtainAppId(), this.j.f.obtainConfigProperty("adid")));
        }
    }

    private void j() {
        View obtainMainView = this.z.obtainMainView();
        if (obtainMainView instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) obtainMainView;
            for (int i2 = 0; i2 < viewGroup.getChildCount(); i2++) {
                View childAt = viewGroup.getChildAt(i2);
                if (childAt instanceof ITitleNView) {
                    childAt.bringToFront();
                    return;
                }
            }
        }
    }

    private boolean k() {
        c cVar = this.h;
        if (cVar == null) {
            return true;
        }
        if (!cVar.G || !cVar.k()) {
            return false;
        }
        return true;
    }

    private void s() {
        this.j.b(this);
        if (!this.J) {
            d().onDispose();
            d().dispose();
        } else if (!this.K) {
            if (this.M) {
                c cVar = this.h;
                if (cVar != null) {
                    cVar.c(this);
                }
                d().onDispose();
                d().dispose();
            } else {
                ((AdaFrameItem) this.z).getAnimOptions().mOption = 1;
            }
        }
        e();
    }

    private void t() {
        ((AdaFrameItem) this.z).getAnimOptions().mOption = 3;
        this.G = false;
        this.H = true;
    }

    @Override // io.dcloud.feature.ui.b
    public void a(int i2, int i3, int i4, int i5, int i6, int i7) {
    }

    public void b(boolean z2) {
        this.Z = z2;
    }

    /* access modifiers changed from: protected */
    public b c(String str) {
        ArrayList<b> arrayList = this.N;
        b bVar = null;
        if (arrayList != null && !arrayList.isEmpty()) {
            for (int size = this.N.size() - 1; size >= 0; size--) {
                bVar = this.N.get(size);
                if (PdrUtil.isEquals(str, bVar.m)) {
                    break;
                }
            }
        }
        return bVar;
    }

    /* access modifiers changed from: protected */
    public void d(IWebview iWebview, String str) {
        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "maps", "appendToFrameView", new Object[]{this.z, str}});
    }

    /* access modifiers changed from: protected */
    public void e(IWebview iWebview, String str) {
        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", "addNativeView", new Object[]{this.z, str}});
    }

    /* access modifiers changed from: protected */
    public void f(IWebview iWebview, String str) {
        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "videoplayer", "appendToFrameView", new Object[]{this.z, str}});
    }

    /* access modifiers changed from: protected */
    public void h(IWebview iWebview, String str) {
        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", "removeNativeView", new Object[]{this.z, str}});
    }

    public void l() {
        HashMap<String, ArrayList<String[]>> hashMap = this.t;
        if (hashMap != null && hashMap.containsKey(AbsoluteConst.EVENTS_WEBVIEW_RENDERED)) {
            Runnable runnable = this.d0;
            if (runnable != null) {
                MessageHandler.removeCallbacks(runnable);
            }
            a aVar = new a();
            this.d0 = aVar;
            MessageHandler.postDelayed(aVar, (long) this.b0);
        }
    }

    public String m() {
        IWebview obtainWebView = this.z.obtainWebView();
        if (obtainWebView != null) {
            return obtainWebView.obtainFrameId();
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public String n() {
        ViewOptions obtainFrameOptions = ((AdaFrameItem) this.z).obtainFrameOptions();
        return StringUtil.format("{top:%d,left:%d,width:%d,height:%d}", Integer.valueOf((int) (((float) obtainFrameOptions.top) / obtainFrameOptions.mWebviewScale)), Integer.valueOf((int) (((float) obtainFrameOptions.left) / obtainFrameOptions.mWebviewScale)), Integer.valueOf((int) (((float) obtainFrameOptions.width) / obtainFrameOptions.mWebviewScale)), Integer.valueOf((int) (((float) obtainFrameOptions.height) / obtainFrameOptions.mWebviewScale)));
    }

    public boolean o() {
        return !this.z.isWebviewCovered();
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:132:0x02c0, code lost:
        if (r14.equals(io.dcloud.common.constant.AbsoluteConst.EVENTS_WINDOW_CLOSE) == false) goto L_0x0274;
     */
    @Override // io.dcloud.common.DHInterface.IEventCallback
    public Object onCallBack(String str, Object obj) {
        char c;
        IWebview iWebview;
        String str2;
        char c2 = 2;
        Logger.d("yl", "NWindow.onCallBack pEventType=" + str, obj);
        str.hashCode();
        switch (str.hashCode()) {
            case -2051330937:
                if (str.equals(AbsoluteConst.EVENTS_LISTEN_RESOURCE_LOADING)) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -1914861741:
                if (str.equals(AbsoluteConst.EVENTS_FRAME_ONRESIZE)) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case -1894754084:
                if (str.equals(AbsoluteConst.EVENTS_DRAG_BOUNCE)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case -1578593149:
                if (str.equals(AbsoluteConst.EVENTS_WEBVIEW_ONTOUCH_START)) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case -1417193575:
                if (str.equals(AbsoluteConst.EVENTS_SLIDE_BOUNCE)) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case -1175619677:
                if (str.equals(AbsoluteConst.EVENT_TITLENVIEW_SEARCHINPUT_FOCUSCHANGED)) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case -1102511297:
                if (str.equals(AbsoluteConst.EVENTS_HIDE_LOADING)) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case -934437708:
                if (str.equals("resize")) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case -351937593:
                if (str.equals(AbsoluteConst.EVENTS_PROGRESS_CHANGED)) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case -265510946:
                if (str.equals(AbsoluteConst.EVENTS_SHOW_ANIMATION_END)) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case -82823752:
                if (str.equals("popGesture")) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case 18100665:
                if (str.equals(AbsoluteConst.EVENTS_OVERRIDE_URL_LOADING)) {
                    c = 11;
                    break;
                }
                c = 65535;
                break;
            case 184525206:
                if (str.equals(AbsoluteConst.EVENTS_WEBAPP_SLIDE_HIDE)) {
                    c = '\f';
                    break;
                }
                c = 65535;
                break;
            case 570172737:
                if (str.equals(AbsoluteConst.EVENTS_TITLE_UPDATE)) {
                    c = '\r';
                    break;
                }
                c = 65535;
                break;
            case 1004163032:
                if (str.equals(AbsoluteConst.EVENT_TITLENVIEW_SEARCHINPUT_CONFIRMED)) {
                    c = 14;
                    break;
                }
                c = 65535;
                break;
            case 1420796964:
                if (str.equals(AbsoluteConst.EVENTS_WEBAPP_SLIDE_CLOSE)) {
                    c = 15;
                    break;
                }
                c = 65535;
                break;
            case 1429092717:
                if (str.equals(AbsoluteConst.EVENT_TITLENVIEW_SEARCHINPUT_CHANGED)) {
                    c = 16;
                    break;
                }
                c = 65535;
                break;
            case 1550673632:
                if (str.equals(AbsoluteConst.EVENT_TITLENVIEW_SEARCHINPUT_CLICKED)) {
                    c = 17;
                    break;
                }
                c = 65535;
                break;
            case 1778259450:
                if (str.equals(AbsoluteConst.EVENTS_SHOW_LOADING)) {
                    c = 18;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                Deprecated_JSUtil.execCallback(this.U, this.T, (String) obj, JSUtil.OK, true, true);
                break;
            case 1:
                q();
                break;
            case 2:
            case 4:
            case 5:
            case 7:
            case 14:
            case 16:
                a(str, PdrUtil.isEmpty(obj) ? null : String.valueOf(obj), false);
                break;
            case 3:
                HashMap<String, ArrayList<String[]>> hashMap = this.t;
                if (hashMap != null && hashMap.containsKey(AbsoluteConst.EVENTS_WEBVIEW_ONTOUCH_START)) {
                    a(str, PdrUtil.isEmpty(obj) ? null : String.valueOf(obj));
                    break;
                }
            case 6:
                this.j.d(this);
                break;
            case '\b':
                a(str, StringUtil.format("{progress:%s,target:%s}", obj, "plus.webview._find__Window_By_UUID__('" + this.m + "','" + this.l + "')"), false);
                break;
            case '\t':
                if (!PdrUtil.isEmpty(this.P) && (iWebview = this.Q) != null) {
                    Deprecated_JSUtil.execCallback(iWebview, this.P, "", JSUtil.OK, false, false);
                }
                a(AbsoluteConst.EVENTS_WEBVIEW_SHOW, PdrUtil.isEmpty(obj) ? null : String.valueOf(obj));
                break;
            case '\n':
                Object[] objArr = (Object[]) obj;
                Object obj2 = objArr[1];
                c a2 = this.j.a((IFrameView) objArr[2]);
                a(str, StringUtil.format("{type:'%s', result:%s, private_args:{uuid:'%s',id:'%s',extras:'%s'}}", (String) objArr[0], obj2, a2.l, a2.m, a2.y), false);
                break;
            case 11:
                Deprecated_JSUtil.execCallback(this.S, this.R, (String) obj, JSUtil.OK, true, true);
                break;
            case '\f':
                t();
                break;
            case '\r':
                Object[] objArr2 = new Object[1];
                if (obj == null) {
                    str2 = "''";
                } else {
                    str2 = JSONObject.quote(obj.toString());
                }
                objArr2[0] = str2;
                a(str, StringUtil.format("{title:%s}", objArr2), false);
                l();
                break;
            case 15:
                s();
                break;
            case 17:
                a(str, PdrUtil.isEmpty(obj) ? null : String.valueOf(obj));
                break;
            case 18:
                if (this.J) {
                    this.j.f(this);
                    break;
                }
                break;
            default:
                String str3 = u.get(str);
                if (!PdrUtil.isEmpty(str3)) {
                    a(str3, obj, this.j.c, this);
                }
                str.hashCode();
                switch (str.hashCode()) {
                    case -1183076191:
                        if (str.equals(AbsoluteConst.EVENTS_WEBVIEW_RESUME)) {
                            c2 = 0;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1097519099:
                        if (str.equals(AbsoluteConst.EVENTS_LOADED)) {
                            c2 = 1;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -787126039:
                        break;
                    case -732864766:
                        if (str.equals(AbsoluteConst.EVENTS_WEBVIEW_PAUSE)) {
                            c2 = 3;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 3202370:
                        if (str.equals("hide")) {
                            c2 = 4;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 94756344:
                        if (str.equals(AbsoluteConst.EVENTS_CLOSE)) {
                            c2 = 5;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 301767451:
                        if (str.equals(AbsoluteConst.EVENTS_PULL_TO_REFRESH)) {
                            c2 = 6;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 336650556:
                        if (str.equals("loading")) {
                            c2 = 7;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 1839654540:
                        if (str.equals(AbsoluteConst.EVENTS_RENDERING)) {
                            c2 = '\b';
                            break;
                        }
                        c2 = 65535;
                        break;
                    default:
                        c2 = 65535;
                        break;
                }
                switch (c2) {
                    case 0:
                    case 3:
                    case 4:
                    case 6:
                    case 7:
                    case '\b':
                        a(str, "{}", false);
                        break;
                    case 1:
                        this.B = -1;
                        JSONArray jSONArray = this.w;
                        if (jSONArray != null) {
                            a(this.x, jSONArray, this, this.z.obtainApp().obtainAppId());
                        }
                        String str4 = TestUtil.CREATE_WEBVIEW;
                        TestUtil.print(str4, this.A + " 从加载完成分发loaded事件到开始分发事件 " + str);
                        StringBuilder sb = new StringBuilder();
                        sb.append("EVENTS_LOADED mUrl=");
                        sb.append(this.A);
                        Logger.d(Logger.MAIN_TAG, sb.toString());
                        a(str, "{}", false);
                        break;
                    case 2:
                        a(str, PdrUtil.isEmpty(obj) ? null : String.valueOf(obj));
                        g();
                        break;
                    case 5:
                        this.j.b(this);
                        a(str, "{}", false);
                        break;
                    default:
                        a(str, PdrUtil.isEmpty(obj) ? null : String.valueOf(obj));
                        break;
                }
        }
        return null;
    }

    public boolean p() {
        return this.c0;
    }

    /* access modifiers changed from: protected */
    public void q() {
    }

    public IWebview r() {
        return this.z.obtainWebView();
    }

    private c(a aVar, IFrameView iFrameView, String str, String str2, String str3, JSONObject jSONObject) {
        super("NWindow");
        this.v = System.currentTimeMillis();
        this.w = null;
        this.x = null;
        this.y = null;
        this.A = null;
        this.B = -1;
        this.C = null;
        this.D = false;
        this.E = false;
        this.F = 0;
        this.G = false;
        this.H = false;
        this.I = true;
        this.J = false;
        this.K = false;
        this.L = false;
        this.M = false;
        this.N = null;
        this.O = null;
        this.P = null;
        this.Q = null;
        this.R = null;
        this.S = null;
        this.T = null;
        this.U = null;
        this.V = null;
        this.W = true;
        this.X = null;
        this.Y = null;
        this.Z = false;
        this.a0 = "auto";
        this.b0 = WeiXinApiManager.THUMB_SIZE;
        this.c0 = false;
        this.d0 = null;
        this.j = aVar;
        this.A = str;
        this.l = str3;
        this.o = jSONObject;
        a(iFrameView, str2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:122:0x0306  */
    /* JADX WARNING: Removed duplicated region for block: B:126:0x0357 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0050  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0090 A[SYNTHETIC, Splitter:B:30:0x0090] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00d8  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00df  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x0101  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x011a  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0131 A[Catch:{ JSONException -> 0x013d }] */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x0180  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x018f  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x01ac  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x01c8  */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x01d0  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x01e7  */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x01fa  */
    private void e(IWebview iWebview, JSONArray jSONArray, c cVar) {
        boolean z2;
        boolean z3;
        boolean z4;
        ViewOptions obtainFrameOptions;
        JSONObject jSONObject;
        boolean z5;
        boolean z6;
        JSONObject jSONObject2;
        if (!cVar.K) {
            AdaWebViewParent adaWebViewParent = (AdaFrameItem) cVar.z;
            ViewOptions obtainFrameOptions2 = adaWebViewParent.obtainFrameOptions();
            JSONObject jSONObject3 = JSONUtil.getJSONObject(jSONArray, 0);
            if (obtainFrameOptions2.isTabItem.booleanValue() && !jSONObject3.isNull("background")) {
                try {
                    String string = JSONUtil.getString(jSONObject3, "background");
                    jSONObject3.remove("background");
                    jSONObject3.put(AbsoluteConst.JSON_KEY_TABBG, string);
                    z2 = true;
                } catch (JSONException e2) {
                    e2.printStackTrace();
                }
                boolean a2 = a(jSONObject3, true);
                z3 = !jSONObject3.isNull("background");
                if (z3) {
                    String lowerCase = JSONUtil.getString(jSONObject3, "background").toLowerCase(Locale.ENGLISH);
                    if (!TextUtils.isEmpty(lowerCase) && lowerCase.equals(Constant.TRANSPARENT)) {
                        z4 = true;
                        if (!jSONObject3.isNull(AbsoluteConst.JSON_KEY_WEBBG_TRANSPARENT) && JSONUtil.getBoolean(jSONObject3, AbsoluteConst.JSON_KEY_WEBBG_TRANSPARENT)) {
                            ((AdaWebview) cVar.z.obtainWebView()).setBgcolor(0);
                        }
                        if (cVar.L || (z3 && !z4)) {
                            if (z3) {
                                try {
                                    String string2 = JSONUtil.getString(jSONObject3, "background");
                                    if (!jSONObject3.isNull(AbsoluteConst.JSON_KEY_ANIMATION_ALPHA_BG)) {
                                        obtainFrameOptions2.mJsonViewOption.put(AbsoluteConst.JSON_KEY_ANIMATION_ALPHA_BG, JSONUtil.getString(jSONObject3, AbsoluteConst.JSON_KEY_ANIMATION_ALPHA_BG));
                                    }
                                    obtainFrameOptions2.mJsonViewOption.put("background", string2);
                                    if (jSONObject3.has(AbsoluteConst.JSON_KEY_DEBUG_REFRESH)) {
                                        obtainFrameOptions2.mJsonViewOption.put(AbsoluteConst.JSON_KEY_DEBUG_REFRESH, JSONUtil.getJSONObject(jSONObject3, AbsoluteConst.JSON_KEY_DEBUG_REFRESH));
                                    }
                                    if (jSONObject3.has("isUniH5")) {
                                        obtainFrameOptions2.mJsonViewOption.put("isUniH5", JSONUtil.getBoolean(jSONObject3, "isUniH5"));
                                    }
                                    obtainFrameOptions2.updateViewData(obtainFrameOptions2.mJsonViewOption);
                                } catch (JSONException e3) {
                                    e3.printStackTrace();
                                }
                            }
                            jSONObject2 = adaWebViewParent.obtainFrameOptions().titleNView != null ? adaWebViewParent.obtainFrameOptions().titleNView : null;
                            adaWebViewParent = cVar.z.obtainWebviewParent();
                            if (jSONObject2 != null && adaWebViewParent.obtainFrameOptions().titleNView == null) {
                                adaWebViewParent.obtainFrameOptions().titleNView = jSONObject2;
                            }
                            if (adaWebViewParent.obtainFrameOptions().getParentViewRect() == null) {
                                this.j.d.processEvent(IMgr.MgrType.WindowMgr, 74, new Object[]{cVar.z});
                            }
                        }
                        if (obtainFrameOptions2.hasBackground()) {
                            adaWebViewParent = cVar.z.obtainWebviewParent();
                        }
                        adaWebViewParent.obtainFrameOptions().allowUpdate = true;
                        obtainFrameOptions = adaWebViewParent.obtainFrameOptions();
                        int i2 = obtainFrameOptions.maskColor;
                        if (obtainFrameOptions.titleNView != null) {
                            jSONObject = new JSONObject(obtainFrameOptions.titleNView.toString());
                            Logger.e("shutao", "setOption _old_win_options=" + obtainFrameOptions + ";_new_json_option=" + jSONObject3);
                            ViewOptions createViewOptionsData = ViewOptions.createViewOptionsData(obtainFrameOptions, obtainFrameOptions.getParentViewRect());
                            IWebview obtainWebView = this.z.obtainWebView();
                            obtainWebView.setWebviewProperty(AbsoluteConst.JSON_KEY_SHAREABLE, jSONObject3.optString(AbsoluteConst.JSON_KEY_SHAREABLE));
                            if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_VIDEO_FULL_SCREEN)) {
                                obtainWebView.setWebviewProperty(AbsoluteConst.JSON_KEY_VIDEO_FULL_SCREEN, jSONObject3.optString(AbsoluteConst.JSON_KEY_VIDEO_FULL_SCREEN));
                            }
                            if (jSONObject3.has(AbsoluteConst.EVENTS_PULL_TO_REFRESH)) {
                                cVar.z.obtainWebView().setWebViewEvent(AbsoluteConst.PULL_DOWN_REFRESH, JSONUtil.combinJSONObject(obtainFrameOptions.mPullToRefresh, JSONUtil.getJSONObject(jSONObject3, AbsoluteConst.EVENTS_PULL_TO_REFRESH)));
                            }
                            if (!JSONUtil.isNull(jSONObject3, "bounce")) {
                                obtainWebView.setWebviewProperty("bounce", jSONObject3.optString("bounce"));
                            }
                            iWebview.setWebViewCacheMode(createViewOptionsData.mCacheMode);
                            JSONUtil.combinJSONObject(this.o, jSONObject3);
                            f();
                            if (JSONUtil.isNull(jSONObject3, "titleNView")) {
                                a(iWebview, cVar, jSONObject, jSONObject3.optJSONObject("titleNView"));
                            } else if (!JSONUtil.isNull(jSONObject3, "navigationbar")) {
                                a(iWebview, cVar, jSONObject, jSONObject3.optJSONObject("navigationbar"));
                            }
                            if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_UNINVIEW)) {
                                a(cVar, jSONObject3.optJSONObject(AbsoluteConst.JSON_KEY_UNINVIEW));
                            }
                            if (!cVar.J) {
                                int i3 = createViewOptionsData.background;
                                z6 = z2;
                                float f2 = createViewOptionsData.opacity;
                                boolean updateViewData = createViewOptionsData.updateViewData(jSONObject3);
                                z5 = z3;
                                boolean z7 = (PdrUtil.checkAlphaTransparent(i3) != PdrUtil.checkAlphaTransparent(createViewOptionsData.background)) | (f2 != createViewOptionsData.opacity);
                                if (jSONObject3.has(AbsoluteConst.JSON_KEY_RENDER)) {
                                    cVar.z.setNeedRender(PdrUtil.isEquals(jSONObject3.optString(AbsoluteConst.JSON_KEY_RENDER, "onscreen"), "always"));
                                }
                                cVar.L = createViewOptionsData.hasBackground();
                                if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_SCROLLINDICATOR)) {
                                    obtainWebView.setScrollIndicator(createViewOptionsData.getScrollIndicator());
                                }
                                if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_SCALABLE)) {
                                    obtainWebView.setWebviewProperty(AbsoluteConst.JSON_KEY_SCALABLE, String.valueOf(createViewOptionsData.scalable));
                                }
                                obtainWebView.setWebviewProperty("injection", createViewOptionsData.mInjection);
                                obtainWebView.setWebviewProperty("plusrequire", createViewOptionsData.mPlusrequire);
                                obtainWebView.setWebviewProperty("geolocation", createViewOptionsData.mGeoInject);
                                AnimOptions animOptions = adaWebViewParent.getAnimOptions();
                                if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_TRANSITION)) {
                                    animOptions.parseTransition(createViewOptionsData.transition);
                                    if (createViewOptionsData.transition.isNull("duration")) {
                                        animOptions.duration = 0;
                                    }
                                } else {
                                    animOptions.duration = 0;
                                }
                                if (!JSONUtil.isNull(jSONObject3, "transform")) {
                                    animOptions.parseTransform(createViewOptionsData.transform);
                                }
                                if (updateViewData || a2 || z7) {
                                    this.z.setFrameOptions_Animate(createViewOptionsData);
                                    adaWebViewParent.setFrameOptions_Animate(createViewOptionsData);
                                    ((AdaFrameItem) cVar.z).getAnimOptions().mOption = 2;
                                    Object[] objArr = new Object[4];
                                    objArr[0] = cVar.z;
                                    objArr[1] = Boolean.valueOf(updateViewData);
                                    if (updateViewData) {
                                        a2 = false;
                                    }
                                    objArr[2] = Boolean.valueOf(a2);
                                    objArr[3] = Boolean.valueOf(z7);
                                    this.j.d.processEvent(IMgr.MgrType.WindowMgr, 7, objArr);
                                } else {
                                    obtainFrameOptions.updateViewData(jSONObject3);
                                    if (i2 != createViewOptionsData.maskColor) {
                                        adaWebViewParent.obtainFrameOptions().maskColor = createViewOptionsData.maskColor;
                                        ((AdaFrameView) cVar.z).obtainFrameOptions().maskColor = createViewOptionsData.maskColor;
                                        ((AdaFrameView) cVar.z).obtainMainView().invalidate();
                                    }
                                }
                            } else {
                                z6 = z2;
                                z5 = z3;
                                boolean updateViewData2 = adaWebViewParent.obtainFrameOptions().updateViewData(jSONObject3);
                                adaWebViewParent.obtainFrameOptions_Birth().updateViewData(jSONObject3);
                                ViewOptions obtainFrameOptions3 = adaWebViewParent.obtainFrameOptions();
                                obtainWebView.setScrollIndicator(obtainFrameOptions3.getScrollIndicator());
                                obtainWebView.setWebviewProperty(AbsoluteConst.JSON_KEY_SCALABLE, String.valueOf(obtainFrameOptions3.scalable));
                                obtainWebView.setWebviewProperty("injection", createViewOptionsData.mInjection);
                                obtainWebView.setWebviewProperty("plusrequire", createViewOptionsData.mPlusrequire);
                                obtainWebView.setWebviewProperty("geolocation", createViewOptionsData.mGeoInject);
                                if (updateViewData2) {
                                    ViewOptions obtainFrameOptions4 = adaWebViewParent.obtainFrameOptions();
                                    int i4 = obtainFrameOptions4.left;
                                    AdaFrameItem.LayoutParamsUtil.setViewLayoutParams(cVar.z.obtainMainView(), obtainFrameOptions4.left, obtainFrameOptions4.top, obtainFrameOptions4.width, obtainFrameOptions4.height);
                                }
                            }
                            if (!z5 || z6) {
                                this.j.d.processEvent(IMgr.MgrType.WindowMgr, 75, new Object[]{cVar.z});
                            }
                            return;
                        }
                        jSONObject = null;
                        Logger.e("shutao", "setOption _old_win_options=" + obtainFrameOptions + ";_new_json_option=" + jSONObject3);
                        ViewOptions createViewOptionsData2 = ViewOptions.createViewOptionsData(obtainFrameOptions, obtainFrameOptions.getParentViewRect());
                        IWebview obtainWebView2 = this.z.obtainWebView();
                        obtainWebView2.setWebviewProperty(AbsoluteConst.JSON_KEY_SHAREABLE, jSONObject3.optString(AbsoluteConst.JSON_KEY_SHAREABLE));
                        if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_VIDEO_FULL_SCREEN)) {
                        }
                        if (jSONObject3.has(AbsoluteConst.EVENTS_PULL_TO_REFRESH)) {
                        }
                        if (!JSONUtil.isNull(jSONObject3, "bounce")) {
                        }
                        iWebview.setWebViewCacheMode(createViewOptionsData2.mCacheMode);
                        JSONUtil.combinJSONObject(this.o, jSONObject3);
                        f();
                        if (JSONUtil.isNull(jSONObject3, "titleNView")) {
                        }
                        if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_UNINVIEW)) {
                        }
                        if (!cVar.J) {
                        }
                        if (!z5) {
                        }
                        this.j.d.processEvent(IMgr.MgrType.WindowMgr, 75, new Object[]{cVar.z});
                    }
                }
                z4 = false;
                ((AdaWebview) cVar.z.obtainWebView()).setBgcolor(0);
                if (z3) {
                }
                if (adaWebViewParent.obtainFrameOptions().titleNView != null) {
                }
                adaWebViewParent = cVar.z.obtainWebviewParent();
                adaWebViewParent.obtainFrameOptions().titleNView = jSONObject2;
                if (adaWebViewParent.obtainFrameOptions().getParentViewRect() == null) {
                }
                if (obtainFrameOptions2.hasBackground()) {
                }
                adaWebViewParent.obtainFrameOptions().allowUpdate = true;
                obtainFrameOptions = adaWebViewParent.obtainFrameOptions();
                int i22 = obtainFrameOptions.maskColor;
                if (obtainFrameOptions.titleNView != null) {
                }
                jSONObject = null;
                Logger.e("shutao", "setOption _old_win_options=" + obtainFrameOptions + ";_new_json_option=" + jSONObject3);
                ViewOptions createViewOptionsData22 = ViewOptions.createViewOptionsData(obtainFrameOptions, obtainFrameOptions.getParentViewRect());
                IWebview obtainWebView22 = this.z.obtainWebView();
                obtainWebView22.setWebviewProperty(AbsoluteConst.JSON_KEY_SHAREABLE, jSONObject3.optString(AbsoluteConst.JSON_KEY_SHAREABLE));
                if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_VIDEO_FULL_SCREEN)) {
                }
                if (jSONObject3.has(AbsoluteConst.EVENTS_PULL_TO_REFRESH)) {
                }
                if (!JSONUtil.isNull(jSONObject3, "bounce")) {
                }
                iWebview.setWebViewCacheMode(createViewOptionsData22.mCacheMode);
                JSONUtil.combinJSONObject(this.o, jSONObject3);
                f();
                if (JSONUtil.isNull(jSONObject3, "titleNView")) {
                }
                if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_UNINVIEW)) {
                }
                if (!cVar.J) {
                }
                if (!z5) {
                }
                this.j.d.processEvent(IMgr.MgrType.WindowMgr, 75, new Object[]{cVar.z});
            }
            z2 = false;
            boolean a22 = a(jSONObject3, true);
            z3 = !jSONObject3.isNull("background");
            if (z3) {
            }
            z4 = false;
            ((AdaWebview) cVar.z.obtainWebView()).setBgcolor(0);
            if (z3) {
            }
            if (adaWebViewParent.obtainFrameOptions().titleNView != null) {
            }
            adaWebViewParent = cVar.z.obtainWebviewParent();
            adaWebViewParent.obtainFrameOptions().titleNView = jSONObject2;
            if (adaWebViewParent.obtainFrameOptions().getParentViewRect() == null) {
            }
            if (obtainFrameOptions2.hasBackground()) {
            }
            adaWebViewParent.obtainFrameOptions().allowUpdate = true;
            obtainFrameOptions = adaWebViewParent.obtainFrameOptions();
            int i222 = obtainFrameOptions.maskColor;
            try {
                if (obtainFrameOptions.titleNView != null) {
                }
            } catch (JSONException e4) {
                e4.printStackTrace();
            }
            jSONObject = null;
            Logger.e("shutao", "setOption _old_win_options=" + obtainFrameOptions + ";_new_json_option=" + jSONObject3);
            ViewOptions createViewOptionsData222 = ViewOptions.createViewOptionsData(obtainFrameOptions, obtainFrameOptions.getParentViewRect());
            IWebview obtainWebView222 = this.z.obtainWebView();
            obtainWebView222.setWebviewProperty(AbsoluteConst.JSON_KEY_SHAREABLE, jSONObject3.optString(AbsoluteConst.JSON_KEY_SHAREABLE));
            if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_VIDEO_FULL_SCREEN)) {
            }
            if (jSONObject3.has(AbsoluteConst.EVENTS_PULL_TO_REFRESH)) {
            }
            if (!JSONUtil.isNull(jSONObject3, "bounce")) {
            }
            iWebview.setWebViewCacheMode(createViewOptionsData222.mCacheMode);
            JSONUtil.combinJSONObject(this.o, jSONObject3);
            f();
            if (JSONUtil.isNull(jSONObject3, "titleNView")) {
            }
            if (!JSONUtil.isNull(jSONObject3, AbsoluteConst.JSON_KEY_UNINVIEW)) {
            }
            if (!cVar.J) {
            }
            if (!z5) {
            }
            this.j.d.processEvent(IMgr.MgrType.WindowMgr, 75, new Object[]{cVar.z});
        }
    }

    public void a(boolean z2) {
        this.c0 = z2;
    }

    public boolean b(b bVar) {
        ArrayList<b> arrayList = this.N;
        if (arrayList == null) {
            return false;
        }
        return arrayList.contains(bVar);
    }

    @Override // io.dcloud.feature.ui.b
    public AdaFrameItem d() {
        return (AdaFrameItem) this.z;
    }

    @Override // io.dcloud.feature.ui.b
    public String h() {
        String str = "{}";
        if (PdrUtil.isEmpty(r().obtainFrameId())) {
            Object[] objArr = new Object[4];
            objArr[0] = this.l;
            objArr[1] = Constants.Name.UNDEFINED;
            objArr[2] = this.k;
            JSONObject jSONObject = this.y;
            if (jSONObject != null) {
                str = jSONObject.toString();
            }
            objArr[3] = str;
            return StringUtil.format("(function(){return {'uuid':'%s','id':%s,'identity':'%s','extras':%s}})()", objArr);
        }
        Object[] objArr2 = new Object[4];
        objArr2[0] = this.l;
        objArr2[1] = r().obtainFrameId();
        objArr2[2] = this.k;
        JSONObject jSONObject2 = this.y;
        if (jSONObject2 != null) {
            str = jSONObject2.toString();
        }
        objArr2[3] = str;
        return StringUtil.format("(function(){return {'uuid':'%s','id':'%s','identity':'%s','extras':%s}})()", objArr2);
    }

    private void d(IWebview iWebview, JSONArray jSONArray, c cVar) {
        String string = JSONUtil.getString(jSONArray, 0);
        String string2 = JSONUtil.getString(jSONArray, 1);
        AnimOptions animOptions = ((AdaFrameItem) cVar.z).getAnimOptions();
        if (!PdrUtil.isEmpty(string2)) {
            animOptions.duration_close = PdrUtil.parseInt(string2, animOptions.duration_close);
        } else {
            animOptions.duration_close = animOptions.duration_show;
        }
        animOptions.setCloseAnimType(string);
        animOptions.mOption = 3;
        Logger.d(Logger.VIEW_VISIBLE_TAG, "NWindow.hide view=" + cVar.d());
        if (cVar.G) {
            if (cVar.k()) {
                a(iWebview, JSONUtil.getJSONObject(jSONArray, 2), cVar, string);
                this.j.d.processEvent(IMgr.MgrType.WindowMgr, 23, cVar.z);
            } else {
                onCallBack("hide", null);
                cVar.z.setVisible(false, true);
            }
            cVar.G = false;
        } else {
            cVar.z.setVisible(false, true);
        }
        cVar.H = true;
    }

    public void a(IFrameView iFrameView, String str) {
        if (iFrameView != null) {
            this.z = iFrameView;
            IWebview obtainWebView = iFrameView.obtainWebView();
            if (obtainWebView != null) {
                obtainWebView.initWebviewUUID(this.l);
                obtainWebView.setFrameId(str);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void b(c cVar) {
        if (this.Y == null) {
            this.Y = new ArrayList<>();
        }
        this.Y.add(cVar);
        cVar.X = this;
        if (cVar.r() != null) {
            cVar.r().setOpener(r());
        }
    }

    /* access modifiers changed from: protected */
    public void c(b bVar) {
        ArrayList<b> arrayList = this.N;
        if (arrayList != null && arrayList.contains(bVar)) {
            this.N.remove(bVar);
            bVar.h = null;
            byte c = bVar.c();
            boolean z2 = bVar instanceof c;
            if (c == b.a) {
                this.z.obtainWebView().removeFrameItem(bVar.d());
            } else if (c == b.b) {
                this.z.obtainWebviewParent().removeFrameItem(bVar.d());
            } else if (c == b.c) {
                this.z.removeFrameItem(bVar.d());
                if (z2) {
                    this.z.obtainWebviewParent().obtainFrameOptions().delRelViewRect(bVar.d().obtainFrameOptions());
                }
                d().resize();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void a(IWebview iWebview, String str) {
        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "ad", "addNativeView", new Object[]{this.z, str}});
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x02a0  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00f5  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x0118  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0130  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x013d  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x01a2  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x01f0  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x0278  */
    public void a(b bVar) {
        boolean z2;
        ViewOptions obtainFrameOptions;
        IContainerView iContainerView;
        AdaContainerFrameItem adaContainerFrameItem;
        String titleNViewId;
        Object titleNView;
        int i2;
        JSONObject jSONObject;
        if (this.N == null) {
            this.N = new ArrayList<>(2);
        }
        AdaFrameItem d2 = bVar.d();
        byte c = bVar.c();
        if (c == ViewRect.POSITION_DOCK) {
            d2.setPosition(bVar.b());
        } else {
            d2.setPosition(c);
        }
        if (!this.N.contains(bVar)) {
            IContainerView iContainerView2 = null;
            if (bVar instanceof c) {
                c cVar = (c) bVar;
                a(bVar, cVar);
                if (this.j.a(cVar) && this.G) {
                    cVar.B = 4;
                    this.j.f(cVar);
                }
                if (bVar.d().obtainMainView().getVisibility() != 0 && !cVar.H) {
                    cVar.G = true;
                    cVar.z.setVisible(true, true);
                    IFrameView iFrameView = cVar.z;
                    if (iFrameView instanceof AdaFrameView) {
                        ((AdaFrameView) iFrameView).dispatchFrameViewEvents(AbsoluteConst.EVENTS_CHILD_INITIALIZE_SHOW, null);
                    }
                    Logger.d(Logger.VIEW_VISIBLE_TAG, "NWindow.appendView childView set visible true");
                }
                this.j.c(cVar.z);
                Logger.d(Logger.VIEW_VISIBLE_TAG, "append " + cVar.z);
                cVar.M = true;
                cVar.J = true;
                if (cVar.r() != null && BaseInfo.isUniAppAppid(cVar.r().obtainApp())) {
                    cVar.r().setIWebViewFocusable(true);
                }
            } else if (bVar instanceof d) {
                d dVar = (d) bVar;
                dVar.i();
                dVar.a(true);
            } else {
                z2 = false;
                JSONObject jSONObject2 = bVar.o;
                obtainFrameOptions = ((AdaFrameItem) this.z).obtainFrameOptions();
                AdaWebViewParent obtainWebviewParent = this.z.obtainWebviewParent();
                ViewOptions obtainFrameOptions2 = obtainWebviewParent.obtainFrameOptions();
                ViewOptions obtainFrameOptions3 = d2.obtainFrameOptions();
                if (c != b.c) {
                    iContainerView2 = this.z;
                    obtainFrameOptions2.setParentViewRect(obtainFrameOptions.getParentViewRect());
                    obtainFrameOptions2.updateViewData(obtainFrameOptions);
                } else {
                    if (c == b.b) {
                        iContainerView2 = this.z;
                    } else if (c == b.a) {
                        iContainerView2 = this.z.obtainWebView();
                    }
                    obtainFrameOptions3.setParentViewRect(((AdaFrameView) this.z).obtainFrameOptions());
                }
                if (!obtainFrameOptions.hasBackground()) {
                    obtainFrameOptions3.updateViewData(jSONObject2, obtainFrameOptions2.width, obtainFrameOptions2.height, obtainFrameOptions2.mWebviewScale);
                    if (obtainFrameOptions3.hasBackground()) {
                        obtainFrameOptions3.left = 0;
                        obtainFrameOptions3.top = 0;
                        obtainFrameOptions3.anim_top = 0;
                        obtainFrameOptions3.anim_left = 0;
                    }
                } else {
                    obtainFrameOptions3.updateViewData(jSONObject2, obtainFrameOptions.width, obtainFrameOptions.height, obtainFrameOptions.mWebviewScale);
                }
                if (c != b.c) {
                    obtainFrameOptions3.setParentViewRect(((AdaFrameItem) iContainerView2).obtainFrameOptions());
                    ViewRect.layoutDockViewRect(obtainFrameOptions2, obtainFrameOptions3);
                    obtainWebviewParent.mNeedOrientationUpdate = true;
                    obtainFrameOptions2.putRelViewRect(obtainFrameOptions3);
                    int i3 = obtainFrameOptions2.left;
                    int i4 = obtainFrameOptions2.top;
                    int i5 = obtainFrameOptions2.width;
                    int i6 = obtainFrameOptions2.height;
                    if (BaseInfo.isImmersive && obtainFrameOptions2.isStatusbar) {
                        if (!obtainFrameOptions.isHeightAbsolute()) {
                            i6 += DeviceInfo.sStatusBarHeight;
                        }
                        i4 += DeviceInfo.sStatusBarHeight;
                    }
                    StringBuilder sb = new StringBuilder();
                    iContainerView = iContainerView2;
                    sb.append("NWindow.appendView ---> _webview left=");
                    sb.append(i3);
                    sb.append(";top=");
                    sb.append(i4);
                    sb.append(";width=");
                    sb.append(i5);
                    sb.append(";height=");
                    sb.append(i6);
                    Logger.d(Logger.VIEW_VISIBLE_TAG, sb.toString());
                    AdaFrameItem.LayoutParamsUtil.setViewLayoutParams(obtainWebviewParent.obtainMainView(), i3, i4, i5, i6);
                } else {
                    iContainerView = iContainerView2;
                }
                int i7 = obtainFrameOptions3.width;
                int i8 = obtainFrameOptions3.height;
                int i9 = obtainFrameOptions3.left;
                int i10 = obtainFrameOptions3.top;
                bVar.a(obtainFrameOptions2.left, obtainFrameOptions2.top, obtainFrameOptions2.width, obtainFrameOptions2.height, i7, i8);
                Logger.d(Logger.VIEW_VISIBLE_TAG, "NWindow.appendView childView=" + bVar.d());
                adaContainerFrameItem = (AdaContainerFrameItem) iContainerView;
                d2.setParentFrameItem(adaContainerFrameItem);
                if (!z2) {
                    if (c != b.a || obtainFrameOptions3.hasHeightAbsolutevalue() || (i2 = obtainFrameOptions2.height) <= 0) {
                        i2 = i8;
                    }
                    a(iContainerView, d2, d2.obtainMainView().getLayoutParams(), i9, i10, i7, i2);
                    int convertToScreenInt = (c != b.c || bVar.b() != b.f || (jSONObject = obtainFrameOptions.titleNView) == null || !TitleNViewUtil.isTitleTypeForDef(jSONObject)) ? i10 : PdrUtil.convertToScreenInt("44px", 0, 0, this.z.obtainWebView().getScale()) + i10;
                    if (!obtainFrameOptions3.isStatusbar && obtainFrameOptions.isStatusbar) {
                        convertToScreenInt += DeviceInfo.sStatusBarHeight;
                        if (obtainFrameOptions3.isBottomAbsolute()) {
                            i2 -= DeviceInfo.sStatusBarHeight;
                        }
                    }
                    if (obtainFrameOptions3.isStatusbar && !obtainFrameOptions3.isBottomAbsolute()) {
                        i2 += DeviceInfo.sStatusBarHeight;
                    }
                    if (i2 < -1) {
                        i2 = -1;
                    }
                    AdaFrameItem.LayoutParamsUtil.setViewLayoutParams(d2.obtainMainView(), i9, convertToScreenInt, i7, i2);
                } else {
                    iContainerView.addFrameItem(bVar.d(), AdaFrameItem.LayoutParamsUtil.createLayoutParams(i9, i10, i7, i8));
                }
                this.N.add(bVar);
                bVar.h = this;
                ((AdaFrameView) this.z).sortNativeViewBringToFront();
                if (adaContainerFrameItem.obtainFrameOptions().isStatusbar) {
                    bVar.d().resize();
                }
                titleNViewId = TitleNViewUtil.getTitleNViewId(this.z);
                if (!PdrUtil.isEmpty(titleNViewId) && (titleNView = TitleNViewUtil.getTitleNView(this.j.d, this.z.obtainWebView(), this.z, titleNViewId)) != null && (titleNView instanceof ITitleNView)) {
                    ((ITitleNView) titleNView).reMeasure();
                    return;
                }
                return;
            }
            z2 = true;
            JSONObject jSONObject22 = bVar.o;
            obtainFrameOptions = ((AdaFrameItem) this.z).obtainFrameOptions();
            AdaWebViewParent obtainWebviewParent2 = this.z.obtainWebviewParent();
            ViewOptions obtainFrameOptions22 = obtainWebviewParent2.obtainFrameOptions();
            ViewOptions obtainFrameOptions32 = d2.obtainFrameOptions();
            if (c != b.c) {
            }
            if (!obtainFrameOptions.hasBackground()) {
            }
            if (c != b.c) {
            }
            int i72 = obtainFrameOptions32.width;
            int i82 = obtainFrameOptions32.height;
            int i92 = obtainFrameOptions32.left;
            int i102 = obtainFrameOptions32.top;
            bVar.a(obtainFrameOptions22.left, obtainFrameOptions22.top, obtainFrameOptions22.width, obtainFrameOptions22.height, i72, i82);
            Logger.d(Logger.VIEW_VISIBLE_TAG, "NWindow.appendView childView=" + bVar.d());
            adaContainerFrameItem = (AdaContainerFrameItem) iContainerView;
            d2.setParentFrameItem(adaContainerFrameItem);
            if (!z2) {
            }
            this.N.add(bVar);
            bVar.h = this;
            ((AdaFrameView) this.z).sortNativeViewBringToFront();
            if (adaContainerFrameItem.obtainFrameOptions().isStatusbar) {
            }
            titleNViewId = TitleNViewUtil.getTitleNViewId(this.z);
            if (!PdrUtil.isEmpty(titleNViewId)) {
            }
        }
    }

    /* access modifiers changed from: protected */
    public void b(IWebview iWebview, String str) {
        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "barcode", "appendToFrameView", new Object[]{this.z, str}});
    }

    /* access modifiers changed from: package-private */
    public void b(IWebview iWebview, JSONArray jSONArray, c cVar) {
        if (!cVar.J) {
            this.j.b(cVar);
            cVar.d().onDispose();
            cVar.d().dispose();
        } else if (!cVar.K) {
            this.j.b(cVar);
            if (cVar.M) {
                c cVar2 = cVar.h;
                if (cVar2 != null) {
                    cVar2.c(cVar);
                }
                cVar.d().onDispose();
                cVar.d().dispose();
            } else {
                String string = JSONUtil.getString(jSONArray, 0);
                String string2 = JSONUtil.getString(jSONArray, 1);
                AnimOptions animOptions = ((AdaFrameItem) cVar.z).getAnimOptions();
                if (PdrUtil.isEmpty(string)) {
                    string = "auto";
                }
                if (!PdrUtil.isEmpty(string2)) {
                    animOptions.duration_close = PdrUtil.parseInt(string2, animOptions.duration_close);
                } else if (string.equals(AnimOptions.ANIM_POP_OUT)) {
                    animOptions.duration_close = SpatialRelationUtil.A_CIRCLE_DEGREE;
                } else {
                    animOptions.duration_close = animOptions.duration_show;
                }
                animOptions.setCloseAnimType(string);
                animOptions.mOption = 1;
                a(iWebview, JSONUtil.getJSONObject(jSONArray, 2), cVar, string);
                this.j.d.processEvent(IMgr.MgrType.WindowMgr, 2, cVar.z);
            }
        }
        cVar.e();
    }

    /* access modifiers changed from: protected */
    public void c(IWebview iWebview, String str) {
        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "livepusher", "appendToFrameView", new Object[]{this.z, str}});
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0099  */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x00a8  */
    private void c(IWebview iWebview, JSONArray jSONArray, c cVar) {
        String str;
        Rect rect;
        boolean z2;
        boolean z3;
        boolean z4 = false;
        String string = JSONUtil.getString(jSONArray, 0);
        String string2 = JSONUtil.getString(jSONArray, 1);
        i iVar = null;
        View obtainMainView = this.j.a(string2, string2, (String) null).d().obtainMainView();
        String string3 = JSONUtil.getString(jSONArray, 2);
        JSONObject jSONObject = JSONUtil.getJSONObject(jSONArray, 3);
        String str2 = "RGB565";
        if (jSONObject != null) {
            boolean optBoolean = jSONObject.optBoolean("check", false);
            z3 = jSONObject.optBoolean("checkKeyboard", false);
            str2 = jSONObject.optString("bit", str2);
            JSONObject optJSONObject = jSONObject.optJSONObject("clip");
            if (optJSONObject != null) {
                int width = obtainMainView.getWidth();
                int height = obtainMainView.getHeight();
                float scale = iWebview.getScale();
                Rect rect2 = new Rect(PdrUtil.convertToScreenInt(optJSONObject.optString("left"), width, 0, scale), PdrUtil.convertToScreenInt(optJSONObject.optString("top"), height, 0, scale), PdrUtil.convertToScreenInt(optJSONObject.optString("width"), width, width, scale), PdrUtil.convertToScreenInt(optJSONObject.optString("height"), height, height, scale));
                str = str2;
                z2 = optBoolean;
                rect = rect2;
                IFrameView obtainFrameView = iWebview.obtainFrameView();
                INativeBitmap g2 = g(iWebview, string);
                h hVar = !TextUtils.isEmpty(string3) ? null : new h(iWebview, string3);
                if (!TextUtils.isEmpty(string3)) {
                    iVar = new i(iWebview, string3);
                }
                obtainFrameView.draw(obtainMainView, g2, z2, z3, rect, str, hVar, iVar);
            }
            z4 = optBoolean;
        } else {
            z3 = false;
        }
        z2 = z4;
        str = str2;
        rect = null;
        IFrameView obtainFrameView2 = iWebview.obtainFrameView();
        INativeBitmap g22 = g(iWebview, string);
        if (!TextUtils.isEmpty(string3)) {
        }
        if (!TextUtils.isEmpty(string3)) {
        }
        obtainFrameView2.draw(obtainMainView, g22, z2, z3, rect, str, hVar, iVar);
    }

    /* access modifiers changed from: package-private */
    public boolean b(String str, String str2, boolean z2) {
        ArrayList<b> arrayList = this.N;
        if (arrayList != null) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                b bVar = this.N.get(size);
                if (bVar instanceof c) {
                    c cVar = (c) bVar;
                    if (cVar.G && cVar.b(str, str2, z2)) {
                        return true;
                    }
                }
            }
        }
        if (!a(str) || !a(str, str2, z2)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean c(String str, String str2, boolean z2) {
        ArrayList<b> arrayList = this.N;
        if (arrayList != null) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                b bVar = this.N.get(size);
                if (bVar instanceof c) {
                    c cVar = (c) bVar;
                    if (cVar.G && cVar.c(str, str2, z2)) {
                        return true;
                    }
                }
            }
        }
        if (a(str)) {
            return a(str, str2, z2);
        }
        IFrameView iFrameView = this.z;
        if (iFrameView instanceof AdaFrameView) {
            String str3 = ((AdaFrameView) iFrameView).obtainFrameOptions().historyBack;
            if ((str3.equals("backButton") || str3.equals("all")) && this.z.obtainWebView() != null && this.z.obtainWebView().canGoBack()) {
                this.z.obtainWebView().goBackOrForward(-1);
                return true;
            }
        }
        if ("hide".equals(d().obtainFrameOptions().backButtonAutoControl)) {
            d(this.z.obtainWebView(), JSONUtil.createJSONArray("['auto',null]"), this);
            return true;
        } else if ("quit".equals(d().obtainFrameOptions().backButtonAutoControl)) {
            this.j.d.processEvent(IMgr.MgrType.WindowMgr, 20, this.z.obtainApp());
            return false;
        } else if (!AbsoluteConst.EVENTS_CLOSE.equals(d().obtainFrameOptions().backButtonAutoControl)) {
            return false;
        } else {
            b(this.z.obtainWebView(), JSONUtil.createJSONArray("['auto',null]"), this);
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b(String str) {
        ArrayList<b> arrayList = this.N;
        if (arrayList != null) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                b bVar = this.N.get(size);
                if ((bVar instanceof c) && ((c) bVar).a(str)) {
                    return true;
                }
            }
        }
        return a(str);
    }

    private void a(b bVar, c cVar) {
        if (BaseInfo.isBase(bVar.a()) && !this.A.startsWith(DeviceInfo.HTTP_PROTOCOL) && !this.A.startsWith(DeviceInfo.HTTPS_PROTOCOL) && !cVar.A.startsWith(DeviceInfo.HTTP_PROTOCOL) && !cVar.A.startsWith(DeviceInfo.HTTPS_PROTOCOL) && !TextUtils.isEmpty(this.A) && !TextUtils.isEmpty(cVar.A)) {
            Log.i(AbsoluteConst.HBUILDER_TAG, StringUtil.format(AbsoluteConst.FILIATIONLOG, e.c(WebResUtil.getHBuilderPrintUrl(cVar.r().obtainApp().convert2RelPath(r().obtainUrl()))), e.c(WebResUtil.getHBuilderPrintUrl(cVar.r().obtainUrl()))));
        }
    }

    private static void a(IContainerView iContainerView, AdaFrameItem adaFrameItem, ViewGroup.LayoutParams layoutParams, int i2, int i3, int i4, int i5) {
        ViewOptions obtainFrameOptions = adaFrameItem.obtainFrameOptions();
        obtainFrameOptions.left = i2;
        obtainFrameOptions.top = i3;
        obtainFrameOptions.width = i4;
        obtainFrameOptions.height = i5;
        obtainFrameOptions.commitUpdate2JSONObject();
        AdaFrameView adaFrameView = (AdaFrameView) adaFrameItem;
        adaFrameView.isChildOfFrameView = true;
        View obtainMainView = adaFrameItem.obtainMainView();
        if (adaFrameView.obtainWebView().isUniWebView()) {
            obtainMainView.layout(0, 0, i4, i5);
        } else {
            obtainMainView.setTop(0);
            obtainMainView.setLeft(0);
        }
        ViewHelper.setX(obtainMainView, 0.0f);
        ViewHelper.setY(obtainMainView, 0.0f);
        iContainerView.addFrameItem(adaFrameItem, AdaFrameItem.LayoutParamsUtil.createLayoutParams(i2, i3, i4, i5));
        Logger.d(Logger.VIEW_VISIBLE_TAG, "appendNWindow Y=" + ViewHelper.getY(obtainMainView));
    }

    public static synchronized void a(String str, Object obj, List<c> list, c cVar) {
        synchronized (c.class) {
            for (c cVar2 : list) {
                JSUtil.broadcastWebviewEvent(cVar2.r(), cVar.l, str, JSONUtil.toJSONableString(String.valueOf(obj)));
            }
            if (!list.contains(cVar)) {
                JSUtil.broadcastWebviewEvent(cVar.r(), cVar.l, str, JSONUtil.toJSONableString(String.valueOf(obj)));
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.feature.ui.b
    public void e() {
        ArrayList<c> arrayList;
        i();
        c cVar = this.X;
        if (!(cVar == null || (arrayList = cVar.Y) == null)) {
            arrayList.remove(this);
        }
        this.X = null;
        this.h = null;
        ArrayList<b> arrayList2 = this.N;
        if (arrayList2 != null) {
            Iterator<b> it = arrayList2.iterator();
            while (it.hasNext()) {
                it.next().e();
            }
            this.N.clear();
            this.N = null;
        }
        this.Q = null;
        this.P = null;
        this.R = null;
        this.S = null;
        this.b0 = WeiXinApiManager.THUMB_SIZE;
        this.p = null;
        HashMap<String, String> hashMap = this.i;
        if (hashMap != null) {
            hashMap.clear();
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Removed duplicated region for block: B:267:0x0429  */
    /* JADX WARNING: Removed duplicated region for block: B:268:0x042c  */
    /* JADX WARNING: Removed duplicated region for block: B:271:0x043e  */
    /* JADX WARNING: Removed duplicated region for block: B:274:0x044a  */
    /* JADX WARNING: Removed duplicated region for block: B:277:0x0456  */
    /* JADX WARNING: Removed duplicated region for block: B:278:0x0469  */
    /* JADX WARNING: Removed duplicated region for block: B:281:0x0480  */
    /* JADX WARNING: Removed duplicated region for block: B:282:0x048f  */
    /* JADX WARNING: Removed duplicated region for block: B:285:0x04a6  */
    /* JADX WARNING: Removed duplicated region for block: B:286:0x04b6  */
    /* JADX WARNING: Removed duplicated region for block: B:289:0x04c8  */
    /* JADX WARNING: Removed duplicated region for block: B:301:0x0515  */
    /* JADX WARNING: Removed duplicated region for block: B:302:0x0529  */
    /* JADX WARNING: Removed duplicated region for block: B:303:0x0544  */
    /* JADX WARNING: Removed duplicated region for block: B:304:0x054b  */
    /* JADX WARNING: Removed duplicated region for block: B:305:0x055c  */
    /* JADX WARNING: Removed duplicated region for block: B:306:0x0561  */
    /* JADX WARNING: Removed duplicated region for block: B:312:0x057a  */
    /* JADX WARNING: Removed duplicated region for block: B:315:0x0591  */
    /* JADX WARNING: Removed duplicated region for block: B:316:0x05a0  */
    /* JADX WARNING: Removed duplicated region for block: B:344:0x064a  */
    /* JADX WARNING: Removed duplicated region for block: B:351:0x0696  */
    /* JADX WARNING: Removed duplicated region for block: B:352:0x06ae  */
    /* JADX WARNING: Removed duplicated region for block: B:355:0x06cd  */
    /* JADX WARNING: Removed duplicated region for block: B:356:0x06dd  */
    /* JADX WARNING: Removed duplicated region for block: B:357:0x06e2  */
    /* JADX WARNING: Removed duplicated region for block: B:358:0x06ee  */
    /* JADX WARNING: Removed duplicated region for block: B:359:0x06f3  */
    /* JADX WARNING: Removed duplicated region for block: B:392:0x0773  */
    /* JADX WARNING: Removed duplicated region for block: B:399:0x0794  */
    /* JADX WARNING: Removed duplicated region for block: B:407:0x07b9  */
    /* JADX WARNING: Removed duplicated region for block: B:408:0x07c3  */
    /* JADX WARNING: Removed duplicated region for block: B:412:0x07fc  */
    /* JADX WARNING: Removed duplicated region for block: B:413:0x0803  */
    /* JADX WARNING: Removed duplicated region for block: B:417:0x081e  */
    /* JADX WARNING: Removed duplicated region for block: B:422:0x082d  */
    /* JADX WARNING: Removed duplicated region for block: B:424:0x0836  */
    /* JADX WARNING: Removed duplicated region for block: B:428:0x0851  */
    /* JADX WARNING: Removed duplicated region for block: B:429:0x0861  */
    /* JADX WARNING: Removed duplicated region for block: B:430:0x086f  */
    /* JADX WARNING: Removed duplicated region for block: B:435:0x0894  */
    /* JADX WARNING: Removed duplicated region for block: B:436:0x08a3  */
    /* JADX WARNING: Removed duplicated region for block: B:437:0x08af  */
    /* JADX WARNING: Removed duplicated region for block: B:438:0x08be  */
    /* JADX WARNING: Removed duplicated region for block: B:443:0x08fa  */
    /* JADX WARNING: Removed duplicated region for block: B:444:0x0908  */
    /* JADX WARNING: Removed duplicated region for block: B:447:0x0933  */
    /* JADX WARNING: Removed duplicated region for block: B:450:0x0957  */
    /* JADX WARNING: Removed duplicated region for block: B:453:0x097b  */
    /* JADX WARNING: Removed duplicated region for block: B:456:0x099f  */
    /* JADX WARNING: Removed duplicated region for block: B:459:0x09c3  */
    /* JADX WARNING: Removed duplicated region for block: B:462:0x09e8  */
    /* JADX WARNING: Removed duplicated region for block: B:465:0x0a0c  */
    /* JADX WARNING: Removed duplicated region for block: B:468:0x0a31  */
    /* JADX WARNING: Removed duplicated region for block: B:471:0x0a48  */
    /* JADX WARNING: Removed duplicated region for block: B:477:0x0a6d  */
    /* JADX WARNING: Removed duplicated region for block: B:478:0x0a78  */
    /* JADX WARNING: Removed duplicated region for block: B:479:0x0a87  */
    /* JADX WARNING: Removed duplicated region for block: B:480:0x0a92  */
    /* JADX WARNING: Removed duplicated region for block: B:498:0x0b3e  */
    /* JADX WARNING: Removed duplicated region for block: B:499:0x0b49  */
    /* JADX WARNING: Removed duplicated region for block: B:500:0x0b67  */
    /* JADX WARNING: Removed duplicated region for block: B:501:0x0b85  */
    /* JADX WARNING: Removed duplicated region for block: B:502:0x0b94  */
    /* JADX WARNING: Removed duplicated region for block: B:503:0x0ba3  */
    /* JADX WARNING: Removed duplicated region for block: B:514:0x0bea  */
    /* JADX WARNING: Removed duplicated region for block: B:518:0x0c0e  */
    /* JADX WARNING: Removed duplicated region for block: B:519:0x0c13  */
    /* JADX WARNING: Removed duplicated region for block: B:520:0x0c18  */
    /* JADX WARNING: Removed duplicated region for block: B:521:0x0c1d  */
    /* JADX WARNING: Removed duplicated region for block: B:522:0x0c36  */
    /* JADX WARNING: Removed duplicated region for block: B:523:0x0c46  */
    /* JADX WARNING: Removed duplicated region for block: B:524:0x0c5f  */
    /* JADX WARNING: Removed duplicated region for block: B:525:0x0c7d  */
    /* JADX WARNING: Removed duplicated region for block: B:528:0x0ca6  */
    /* JADX WARNING: Removed duplicated region for block: B:529:0x0cb7  */
    /* JADX WARNING: Removed duplicated region for block: B:530:0x0ccb  */
    /* JADX WARNING: Removed duplicated region for block: B:531:0x0cd0  */
    /* JADX WARNING: Removed duplicated region for block: B:538:0x0d12  */
    /* JADX WARNING: Removed duplicated region for block: B:539:0x0d22  */
    /* JADX WARNING: Removed duplicated region for block: B:540:0x0d2f  */
    /* JADX WARNING: Removed duplicated region for block: B:541:0x0d41  */
    /* JADX WARNING: Removed duplicated region for block: B:542:0x0d4c  */
    /* JADX WARNING: Removed duplicated region for block: B:545:0x0d59  */
    @Override // io.dcloud.feature.ui.b
    public String a(IWebview iWebview, String str, JSONArray jSONArray) {
        String str2;
        Exception exc;
        Exception e2;
        char c;
        String wrapJsVar;
        HashMap<String, String> hashMap;
        char c2;
        JSONObject json;
        IFrameView iFrameView;
        IFrameView iFrameView2;
        Object processEvent;
        try {
            IApp obtainApp = iWebview.obtainFrameView().obtainApp();
            String obtainAppId = obtainApp.obtainAppId();
            switch (str.hashCode()) {
                case -2087705423:
                    if (str.equals("getTitleNView")) {
                        c = 'A';
                        String str3 = "";
                        switch (c) {
                            case 0:
                                str2 = null;
                                Logger.d(Logger.VIEW_VISIBLE_TAG, "refreshLoadingViewsSize setPullToRefresh args=" + jSONArray);
                                JSONObject jSONObject = JSONUtil.getJSONObject(jSONArray, 0);
                                String string = JSONUtil.getString(jSONArray, 1);
                                if (!PdrUtil.isEmpty(string)) {
                                    this.V = string;
                                }
                                this.z.obtainWebView().setWebViewEvent(AbsoluteConst.PULL_DOWN_REFRESH, jSONObject);
                                return str2;
                            case 1:
                                str2 = null;
                                try {
                                    this.z.obtainWebView().setWebViewEvent(AbsoluteConst.PULL_REFRESH_BEGIN, null);
                                } catch (Exception e3) {
                                    e2 = e3;
                                    break;
                                }
                                return str2;
                            case 2:
                                this.z.obtainWebView().endWebViewEvent(AbsoluteConst.PULL_DOWN_REFRESH);
                                str2 = null;
                                return str2;
                            case 3:
                                this.z.obtainWebView().setWebViewEvent(AbsoluteConst.BOUNCE_REGISTER, JSONUtil.getJSONObject(jSONArray, 0));
                                str2 = null;
                                return str2;
                            case 4:
                                this.z.obtainWebView().endWebViewEvent(AbsoluteConst.BOUNCE_REGISTER);
                                str2 = null;
                                return str2;
                            case 5:
                                r().setWebviewProperty(AbsoluteConst.JSON_KEY_BLOCK_NETWORK_IMAGE, JSONUtil.getString(jSONArray, 0));
                                str2 = null;
                                return str2;
                            case 6:
                                ViewOptions obtainFrameOptions = ((AdaFrameItem) this.z).obtainFrameOptions();
                                if (obtainFrameOptions.hasBackground()) {
                                    obtainFrameOptions = this.z.obtainWebviewParent().obtainFrameOptions();
                                }
                                JSONObject jSONObject2 = new JSONObject(obtainFrameOptions.mJsonViewOption.toString());
                                if (jSONObject2.has(AbsoluteConst.JSON_KEY_TABBG)) {
                                    String string2 = jSONObject2.getString(AbsoluteConst.JSON_KEY_TABBG);
                                    jSONObject2.remove(AbsoluteConst.JSON_KEY_TABBG);
                                    jSONObject2.put("background", string2);
                                }
                                wrapJsVar = Deprecated_JSUtil.wrapJsVar(jSONObject2.toString(), false);
                                return wrapJsVar;
                            case 7:
                            case '\b':
                                e(iWebview, jSONArray, this);
                                str2 = null;
                                return str2;
                            case '\t':
                                Deprecated_JSUtil.execCallback(iWebview, JSONUtil.getString(jSONArray, 0), n(), JSUtil.OK, true, false);
                                str2 = null;
                                return str2;
                            case '\n':
                                wrapJsVar = Deprecated_JSUtil.wrapJsVar(this.z.obtainWebView().obtainFullUrl(), true);
                                return wrapJsVar;
                            case 11:
                                String string3 = JSONUtil.getString(jSONArray, 0);
                                boolean optBoolean = jSONArray.optBoolean(1, false);
                                if (!PdrUtil.isEmpty(string3)) {
                                    this.z.obtainWebView().setPreloadJsFile(this.z.obtainApp().convert2AbsFullPath(iWebview.obtainFullUrl(), string3), optBoolean);
                                }
                                str2 = null;
                                return str2;
                            case '\f':
                                this.z.obtainWebView().appendPreloadJsFile(this.z.obtainApp().convert2AbsFullPath(iWebview.obtainFullUrl(), JSONUtil.getString(jSONArray, 0)));
                                str2 = null;
                                return str2;
                            case '\r':
                                JSONObject optJSONObject = jSONArray.optJSONObject(0);
                                this.T = jSONArray.optString(1);
                                this.U = iWebview;
                                this.z.obtainWebView().setListenResourceLoading(optJSONObject);
                                str2 = null;
                                return str2;
                            case 14:
                                this.z.obtainWebView().setOverrideResourceRequest(jSONArray.optJSONArray(0));
                                str2 = null;
                                return str2;
                            case 15:
                                JSONObject optJSONObject2 = jSONArray.optJSONObject(0);
                                this.R = jSONArray.optString(1);
                                this.S = iWebview;
                                this.z.obtainWebView().setOverrideUrlLoadingData(optJSONObject2);
                                str2 = null;
                                return str2;
                            case 16:
                                d(iWebview, jSONArray, this);
                                str2 = null;
                                return str2;
                            case 17:
                                a(iWebview, jSONArray, this, obtainAppId);
                                str2 = null;
                                return str2;
                            case 18:
                                b(iWebview, jSONArray, this);
                                str2 = null;
                                return str2;
                            case 19:
                                String string4 = JSONUtil.getString(jSONArray, 0);
                                IWebview obtainWebView = this.z.obtainWebView();
                                String string5 = JSONUtil.getString(jSONArray, 1);
                                if (!PdrUtil.isEmpty(string5)) {
                                    string4 = ReceiveJSValue.registerCallback(string4, new b(iWebview, string5));
                                }
                                obtainWebView.evalJS(string4);
                                str2 = null;
                                return str2;
                            case 20:
                                boolean z2 = Looper.getMainLooper().getThread().getId() == Thread.currentThread().getId();
                                String string6 = JSONUtil.getString(jSONArray, 0);
                                IWebview obtainWebView2 = this.z.obtainWebView();
                                if (z2) {
                                    MessageHandler.post(new RunnableC0052c(obtainWebView2, string6));
                                    return null;
                                }
                                Object postAndWait = MessageHandler.postAndWait(new d(obtainWebView2, string6));
                                if (postAndWait != null) {
                                    wrapJsVar = JSUtil.wrapJsVar(String.valueOf(postAndWait));
                                    return wrapJsVar;
                                }
                                str2 = null;
                                return str2;
                            case 21:
                                IWebview obtainWebView3 = this.z.obtainWebView();
                                obtainWebView3.stopLoading();
                                obtainWebView3.goBackOrForward(-1);
                                str2 = null;
                                return str2;
                            case 22:
                                IWebview obtainWebView4 = this.z.obtainWebView();
                                obtainWebView4.stopLoading();
                                obtainWebView4.goBackOrForward(1);
                                str2 = null;
                                return str2;
                            case 23:
                                Deprecated_JSUtil.execCallback(iWebview, JSONUtil.getString(jSONArray, 0), String.valueOf(this.z.obtainWebView().canGoBack()), JSUtil.OK, true, false);
                                str2 = null;
                                return str2;
                            case 24:
                                Deprecated_JSUtil.execCallback(iWebview, JSONUtil.getString(jSONArray, 0), String.valueOf(this.z.obtainWebView().canGoForward()), JSUtil.OK, true, false);
                                str2 = null;
                                return str2;
                            case 25:
                                this.z.obtainWebView().clearHistory();
                                str2 = null;
                                return str2;
                            case 26:
                                IWebview obtainWebView5 = this.z.obtainWebView();
                                if (obtainWebView5 != null) {
                                    String obtainUrl = obtainWebView5.obtainUrl();
                                    String string7 = JSONUtil.getString(jSONArray, 0);
                                    JSONObject jSONObject3 = JSONUtil.getJSONObject(jSONArray, 2);
                                    String convert2WebviewFullPath = obtainWebView5.obtainFrameView().obtainApp().convert2WebviewFullPath(obtainWebView5.obtainFullUrl(), string7);
                                    Logger.d("NWindow.load " + convert2WebviewFullPath);
                                    if (jSONObject3 == null || jSONObject3.length() <= 0) {
                                        hashMap = null;
                                    } else {
                                        hashMap = new HashMap<>(jSONObject3.length());
                                        Iterator<String> keys = jSONObject3.keys();
                                        while (keys.hasNext()) {
                                            String next = keys.next();
                                            hashMap.put(next, jSONObject3.optString(next));
                                        }
                                    }
                                    if (!(obtainWebView5 instanceof AdaWebview) || !((AdaWebview) obtainWebView5).checkOverrideUrl(convert2WebviewFullPath)) {
                                        obtainWebView5.setLoadURLHeads(string7, hashMap);
                                        this.z.obtainWebView().setOriginalUrl(string7);
                                        this.z.obtainWebView().reload(convert2WebviewFullPath);
                                        a(this, obtainUrl);
                                    } else {
                                        ((AdaWebview) obtainWebView5).mFrameView.dispatchFrameViewEvents(AbsoluteConst.EVENTS_OVERRIDE_URL_LOADING, "{url:'" + convert2WebviewFullPath + "'}");
                                        return null;
                                    }
                                }
                                str2 = null;
                                return str2;
                            case 27:
                                this.z.obtainWebView().stopLoading();
                                str2 = null;
                                return str2;
                            case 28:
                                a(this, PdrUtil.parseBoolean(JSONUtil.getString(jSONArray, 0), true, false));
                                str2 = null;
                                return str2;
                            case 29:
                                DeviceInfo.hideIME(this.z.obtainMainView());
                                str2 = null;
                                return str2;
                            case 30:
                                IFrameView iFrameView3 = this.z;
                                if (iFrameView3 == null || !iFrameView3.obtainWebView().isUniService()) {
                                    DeviceInfo.showIME(this.z.obtainMainView(), true);
                                } else {
                                    DeviceInfo.showIME(this.z.obtainMainView());
                                }
                                str2 = null;
                                return str2;
                            case 31:
                                String string8 = JSONUtil.getString(jSONArray, 0);
                                if (!PdrUtil.isEmpty(string8)) {
                                    DeviceInfo.isVolumeButtonEnabled = Boolean.valueOf(string8).booleanValue();
                                }
                                str2 = null;
                                return str2;
                            case ' ':
                                Object titleNView = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView instanceof ITitleNView) {
                                    TitleNViewUtil.titleNViewButtonBadge((ITitleNView) titleNView, jSONArray.optJSONObject(0), true);
                                }
                                str2 = null;
                                return str2;
                            case '!':
                                Object titleNView2 = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView2 instanceof ITitleNView) {
                                    TitleNViewUtil.titleNViewButtonBadge((ITitleNView) titleNView2, jSONArray.optJSONObject(0), false);
                                }
                                str2 = null;
                                return str2;
                            case '\"':
                                Object titleNView3 = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView3 instanceof ITitleNView) {
                                    TitleNViewUtil.titleNViewButtonRedDot((ITitleNView) titleNView3, jSONArray.optJSONObject(0), true);
                                }
                                str2 = null;
                                return str2;
                            case '#':
                                Object titleNView4 = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView4 instanceof ITitleNView) {
                                    TitleNViewUtil.titleNViewButtonRedDot((ITitleNView) titleNView4, jSONArray.optJSONObject(0), false);
                                }
                                str2 = null;
                                return str2;
                            case '$':
                                Object titleNView5 = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView5 instanceof ITitleNView) {
                                    TitleNViewUtil.setTitleNViewSearchInputFocus((ITitleNView) titleNView5, jSONArray.optString(0));
                                }
                                str2 = null;
                                return str2;
                            case '%':
                                Object titleNView6 = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView6 instanceof ITitleNView) {
                                    TitleNViewUtil.setTitleNViewSearchInputText((ITitleNView) titleNView6, jSONArray.optString(0));
                                }
                                str2 = null;
                                return str2;
                            case '&':
                                Object titleNView7 = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView7 instanceof ITitleNView) {
                                    wrapJsVar = JSUtil.wrapJsVar(TitleNViewUtil.getTitleNViewSearchInputText((ITitleNView) titleNView7));
                                    return wrapJsVar;
                                }
                                str2 = null;
                                return str2;
                            case '\'':
                                Object titleNView8 = TitleNViewUtil.getTitleNView(this.j.d, r(), this.z, TitleNViewUtil.getTitleNViewId(this.z));
                                if (titleNView8 instanceof ITitleNView) {
                                    TitleNViewUtil.setTitleNViewButtonStyle((ITitleNView) titleNView8, jSONArray.optString(0), jSONArray.optJSONObject(1), this.z);
                                }
                                str2 = null;
                                return str2;
                            case '(':
                                r().setAssistantType(jSONArray.getString(0));
                                str2 = null;
                                return str2;
                            case ')':
                                String string9 = jSONArray.getString(0);
                                a(jSONArray.getString(1), string9, this.i.get(iWebview.getWebviewANID()));
                                if (!this.z.obtainWebView().unReceiveTitle() && AbsoluteConst.EVENTS_TITLE_UPDATE.equals(string9)) {
                                    onCallBack(AbsoluteConst.EVENTS_TITLE_UPDATE, this.z.obtainWebView().getTitle());
                                }
                                str2 = null;
                                return str2;
                            case '*':
                                b(jSONArray.getString(1), jSONArray.getString(0));
                                str2 = null;
                                return str2;
                            case '+':
                                wrapJsVar = Deprecated_JSUtil.wrapJsVar(String.valueOf(this.G), false);
                                return wrapJsVar;
                            case ',':
                                boolean z3 = jSONArray.getBoolean(0);
                                this.G = z3;
                                this.z.setVisible(z3, true);
                                str2 = null;
                                return str2;
                            case '-':
                                boolean z4 = jSONArray.getBoolean(0);
                                this.I = z4;
                                ((AdaFrameItem) this.z.obtainWebView()).setVisibility(z4 ? AdaFrameItem.VISIBLE : AdaFrameItem.GONE);
                                this.z.obtainWebviewParent().setBgcolor(-1);
                                str2 = null;
                                return str2;
                            case '.':
                                wrapJsVar = c(JSONUtil.getString(jSONArray, 0)).h();
                                return wrapJsVar;
                            case '/':
                                wrapJsVar = Deprecated_JSUtil.wrapJsVar(this.z.obtainWebView().obtainPageTitle(), true);
                                return wrapJsVar;
                            case '0':
                                c cVar = this.X;
                                if (cVar != null) {
                                    wrapJsVar = cVar.h();
                                } else {
                                    wrapJsVar = Deprecated_JSUtil.wrapJsVar(StringUtil.format("{'uuid':%s,'id':%s}", Constants.Name.UNDEFINED, Constants.Name.UNDEFINED), false);
                                }
                                return wrapJsVar;
                            case '1':
                                wrapJsVar = a(this.Y);
                                return wrapJsVar;
                            case '2':
                                c cVar2 = this.h;
                                if (cVar2 != null && cVar2.b((b) this)) {
                                    cVar2.c(this);
                                }
                                str2 = null;
                                return str2;
                            case '3':
                                c cVar3 = this.h;
                                if (cVar3 != null) {
                                    wrapJsVar = cVar3.h();
                                } else {
                                    wrapJsVar = Deprecated_JSUtil.wrapJsVar(StringUtil.format("{'uuid':%s,'id':%s}", Constants.Name.UNDEFINED, Constants.Name.UNDEFINED), false);
                                }
                                return wrapJsVar;
                            case '4':
                                wrapJsVar = a(this.N);
                                return wrapJsVar;
                            case '5':
                                String string10 = JSONUtil.getString(jSONArray, 0);
                                JSONObject jSONObject4 = JSONUtil.getJSONObject(jSONArray, 1);
                                String str4 = "text/html";
                                String str5 = "utf-8";
                                if (jSONObject4 != null) {
                                    str5 = PdrUtil.getNonString(jSONObject4.optString("encoding"), str5);
                                    str4 = PdrUtil.getNonString(jSONObject4.optString("mimeType"), str4);
                                    str3 = PdrUtil.getNonString(jSONObject4.optString("baseURL"), str3);
                                }
                                this.z.obtainWebView().loadContentData(str3, string10, str4, str5);
                                str2 = null;
                                return str2;
                            case '6':
                                h(iWebview, JSONUtil.getString(jSONArray, 1));
                                str2 = null;
                                return str2;
                            case '7':
                                String string11 = JSONUtil.getString(jSONArray, 0);
                                b a2 = this.j.a(string11);
                                if (a2 == null) {
                                    a2 = this.j.a(string11, string11, (String) null);
                                }
                                if (b(a2)) {
                                    c(a2);
                                }
                                str2 = null;
                                return str2;
                            case '8':
                                String string12 = JSONUtil.getString(jSONArray, 1);
                                b a3 = this.j.a(string12);
                                if (a3 == null) {
                                    a3 = this.j.a(string12, string12, (String) null);
                                }
                                if (!b(a3) && a3 != null) {
                                    a(a3);
                                }
                                str2 = null;
                                return str2;
                            case '9':
                                String string13 = JSONUtil.getString(jSONArray, 1);
                                String string14 = JSONUtil.getString(jSONArray, 0);
                                switch (string14.hashCode()) {
                                    case -1677935844:
                                        if (string14.equals("VideoPlayer")) {
                                            c2 = 2;
                                            break;
                                        }
                                        c2 = 65535;
                                        break;
                                    case -1515621005:
                                        if (string14.equals("LivePusher")) {
                                            c2 = 3;
                                            break;
                                        }
                                        c2 = 65535;
                                        break;
                                    case -333584256:
                                        if (string14.equals("barcode")) {
                                            c2 = 1;
                                            break;
                                        }
                                        c2 = 65535;
                                        break;
                                    case 2115:
                                        if (string14.equals("Ad")) {
                                            c2 = 4;
                                            break;
                                        }
                                        c2 = 65535;
                                        break;
                                    case 2390711:
                                        if (string14.equals(IFeature.F_MAPS)) {
                                            c2 = 0;
                                            break;
                                        }
                                        c2 = 65535;
                                        break;
                                    default:
                                        c2 = 65535;
                                        break;
                                }
                                if (c2 == 0) {
                                    d(iWebview, string13);
                                    j();
                                } else if (c2 == 1) {
                                    b(iWebview, string13);
                                    j();
                                } else if (c2 == 2) {
                                    f(iWebview, string13);
                                    j();
                                } else if (c2 == 3) {
                                    c(iWebview, string13);
                                    j();
                                } else if (c2 != 4) {
                                    e(iWebview, string13);
                                } else {
                                    a(iWebview, string13);
                                    j();
                                }
                                str2 = null;
                                return str2;
                            case ':':
                                a(iWebview, jSONArray, this);
                                str2 = null;
                                return str2;
                            case ';':
                                this.z.clearSnapshot(jSONArray.getString(0));
                                str2 = null;
                                return str2;
                            case '<':
                                c(iWebview, jSONArray, this);
                                str2 = null;
                                return str2;
                            case '=':
                                wrapJsVar = JSUtil.wrapJsVar(((AdaFrameItem) this.z).obtainFrameOptions().mUseHardwave);
                                return wrapJsVar;
                            case '>':
                                String string15 = JSONUtil.getString(jSONArray, 0);
                                if (!PdrUtil.isEmpty(string15)) {
                                    this.z.obtainWebView().setCssFile(obtainApp.convert2LocalFullPath(iWebview.obtainFullUrl(), string15), null);
                                }
                                str2 = null;
                                return str2;
                            case '?':
                                IWebview obtainWebView6 = this.z.obtainWebView();
                                obtainWebView6.setFixBottom((int) (((float) jSONArray.getInt(0)) * obtainWebView6.getScale()));
                                str2 = null;
                                return str2;
                            case '@':
                            case 'A':
                                Object processEvent2 = this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{this.z.obtainWebView(), "nativeobj", "getNativeView", new Object[]{this.z, TitleNViewUtil.getTitleNViewId(this.z)}});
                                if (!(processEvent2 == null || !(processEvent2 instanceof INativeView) || (json = ((INativeView) processEvent2).toJSON()) == null)) {
                                    wrapJsVar = Deprecated_JSUtil.wrapJsVar(json.toString(), false);
                                    return wrapJsVar;
                                }
                                str2 = null;
                                return str2;
                            case 'B':
                                JSONObject jSONObject5 = JSONUtil.getJSONObject(jSONArray, 0);
                                JSONObject jSONObject6 = JSONUtil.getJSONObject(jSONArray, 1);
                                String string16 = JSONUtil.getString(jSONArray, 2);
                                String string17 = JSONUtil.getString(jSONArray, 3);
                                if (jSONObject5 != null && !TextUtils.isEmpty(JSONUtil.getString(jSONObject5, "direction")) && !TextUtils.isEmpty(JSONUtil.getString(jSONObject5, "moveMode"))) {
                                    ViewOptions obtainFrameOptions2 = d().obtainFrameOptions();
                                    String string18 = JSONUtil.getString(jSONObject6, WXBasicComponentType.VIEW);
                                    c a4 = !TextUtils.isEmpty(string18) ? this.j.a(str3, string18, string18) : null;
                                    View view = (a4 != null || (processEvent = this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", "getNativeView", new Object[]{this.z, string18}})) == null || !(processEvent instanceof View)) ? null : (View) processEvent;
                                    c a5 = this.j.a(string16, string16, string16);
                                    if (a4 == null) {
                                        iFrameView = null;
                                    } else {
                                        iFrameView = a4.z;
                                    }
                                    if (a5 == null) {
                                        iFrameView2 = null;
                                    } else {
                                        iFrameView2 = a5.z;
                                    }
                                    obtainFrameOptions2.setDragData(jSONObject5, jSONObject6, iFrameView, iFrameView2, string17 != null ? string17 : null, view);
                                }
                                str2 = null;
                                return str2;
                            case 'C':
                                this.z.obtainWebView().setWebviewProperty("needTouchEvent", AbsoluteConst.TRUE);
                                return AbsoluteConst.FALSE;
                            case 'D':
                                String string19 = JSONUtil.getString(jSONArray, 0);
                                if (!PdrUtil.isEmpty(string19)) {
                                    this.z.obtainWebView().setCssFile(null, string19);
                                }
                                str2 = null;
                                return str2;
                            case 'E':
                                String string20 = JSONUtil.getString(jSONArray, 1);
                                if (this.j.a(string20) == null) {
                                    try {
                                        a(this.j.a(string20, string20, (String) null), this, obtainAppId);
                                    } catch (Exception e4) {
                                        exc = e4;
                                        str2 = null;
                                        exc.printStackTrace();
                                        return str2;
                                    }
                                }
                                str2 = null;
                                return str2;
                            case 'F':
                                a(iWebview, jSONArray);
                                str2 = null;
                                return str2;
                            case 'G':
                                this.z.animate(iWebview, JSONUtil.getString(jSONArray, 0), JSONUtil.getString(jSONArray, 1));
                                str2 = null;
                                return str2;
                            case 'H':
                                this.z.restore();
                                str2 = null;
                                return str2;
                            case 'I':
                                JSONObject jSONObject7 = JSONUtil.getJSONObject(jSONArray, 0);
                                this.a0 = jSONObject7.optString("type", this.a0);
                                this.b0 = jSONObject7.optInt("interval", this.b0);
                                str2 = null;
                                return str2;
                            case 'J':
                                this.z.interceptTouchEvent(Boolean.valueOf(JSONUtil.getString(jSONArray, 0)).booleanValue());
                                str2 = null;
                                return str2;
                            case 'K':
                                IFrameView iFrameView4 = this.z;
                                if (iFrameView4 instanceof AdaFrameView) {
                                    AdaFrameView adaFrameView = (AdaFrameView) iFrameView4;
                                    ArrayList<INativeView> arrayList = adaFrameView.mChildNativeViewList;
                                    if (arrayList != null) {
                                        JSONArray jSONArray2 = new JSONArray();
                                        Iterator<INativeView> it = arrayList.iterator();
                                        while (it.hasNext()) {
                                            jSONArray2.put(it.next().toJSON());
                                        }
                                        wrapJsVar = Deprecated_JSUtil.wrapJsVar(jSONArray2.toString(), false);
                                    } else if (adaFrameView.obtainFrameOptions().mSubNViews != null) {
                                        wrapJsVar = Deprecated_JSUtil.wrapJsVar(adaFrameView.obtainFrameOptions().mSubNViews.toString(), false);
                                    }
                                    return wrapJsVar;
                                }
                                str2 = null;
                                return str2;
                            case 'L':
                                IFrameView iFrameView5 = this.z;
                                if (iFrameView5 instanceof AdaFrameView) {
                                    SubNViewsUtil.updateSubNViews((AdaFrameView) iFrameView5, jSONArray.getJSONArray(0));
                                }
                                str2 = null;
                                return str2;
                            case 'M':
                                this.z.obtainWebView().setWebviewProperty("setFavoriteOptions", jSONArray.getString(0));
                                str2 = null;
                                return str2;
                            case 'N':
                                String webviewProperty = this.z.obtainWebView().getWebviewProperty("getFavoriteOptions");
                                if (!TextUtils.isEmpty(webviewProperty)) {
                                    wrapJsVar = Deprecated_JSUtil.wrapJsVar(webviewProperty, false);
                                    return wrapJsVar;
                                }
                                str2 = null;
                                return str2;
                            case 'O':
                                this.z.obtainWebView().setWebviewProperty("setShareOptions", jSONArray.getString(0));
                                str2 = null;
                                return str2;
                            case 'P':
                                String webviewProperty2 = this.z.obtainWebView().getWebviewProperty("getShareOptions");
                                if (!TextUtils.isEmpty(webviewProperty2)) {
                                    wrapJsVar = Deprecated_JSUtil.wrapJsVar(webviewProperty2, false);
                                    return wrapJsVar;
                                }
                                str2 = null;
                                return str2;
                            case 'Q':
                                DCKeyboardManager.getInstance().setHTMLInputRect(this.z.obtainWebView(), jSONArray.getString(0));
                                str2 = null;
                                return str2;
                            case 'R':
                                IWebview obtainWebView7 = this.z.obtainWebView();
                                if (obtainWebView7 != null) {
                                    obtainWebView7.pause();
                                }
                                str2 = null;
                                return str2;
                            case 'S':
                                IWebview obtainWebView8 = this.z.obtainWebView();
                                if (obtainWebView8 != null) {
                                    obtainWebView8.resume();
                                }
                                str2 = null;
                                return str2;
                            case 'T':
                                IWebview obtainWebView9 = this.z.obtainWebView();
                                if (obtainWebView9 != null) {
                                    wrapJsVar = JSUtil.wrapJsVar(obtainWebView9.isPause());
                                    return wrapJsVar;
                                }
                                str2 = null;
                                return str2;
                            default:
                                str2 = null;
                                return str2;
                        }
                    }
                    c = 65535;
                    String str32 = "";
                    switch (c) {
                    }
                case -2081275691:
                    if (str.equals("canForward")) {
                        c = 24;
                        String str322 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222 = "";
                    switch (c) {
                    }
                case -2051330937:
                    if (str.equals(AbsoluteConst.EVENTS_LISTEN_RESOURCE_LOADING)) {
                        c = '\r';
                        String str32222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222 = "";
                    switch (c) {
                    }
                case -2018969440:
                    if (str.equals("setFavoriteOptions")) {
                        c = 'M';
                        String str3222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222 = "";
                    switch (c) {
                    }
                case -1815848150:
                    if (str.equals("captureSnapshot")) {
                        c = Operators.CONDITION_IF_MIDDLE;
                        String str322222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222 = "";
                    switch (c) {
                    }
                case -1679210541:
                    if (str.equals("setTitleNViewSearchInputFocus")) {
                        c = Operators.DOLLAR;
                        String str32222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222 = "";
                    switch (c) {
                    }
                case -1525164844:
                    if (str.equals("appendPreloadJsFile")) {
                        c = '\f';
                        String str3222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222 = "";
                    switch (c) {
                    }
                case -1476587689:
                    if (str.equals("showSoftKeybord")) {
                        c = 30;
                        String str322222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222 = "";
                    switch (c) {
                    }
                case -1428651141:
                    if (str.equals("setRenderedEventOptions")) {
                        c = 'I';
                        String str32222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222 = "";
                    switch (c) {
                    }
                case -1411068134:
                    if (str.equals("append")) {
                        c = '8';
                        String str3222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222 = "";
                    switch (c) {
                    }
                case -1389361719:
                    if (str.equals("getNavigationbar")) {
                        c = TemplateDom.SEPARATOR;
                        String str322222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222 = "";
                    switch (c) {
                    }
                case -1295077293:
                    if (str.equals("setSoftinputTemporary")) {
                        c = 'Q';
                        String str32222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222 = "";
                    switch (c) {
                    }
                case -1291451675:
                    if (str.equals("evalJS")) {
                        c = 19;
                        String str3222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1278805514:
                    if (str.equals("setAssistantType")) {
                        c = Operators.BRACKET_START;
                        String str322222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1263963897:
                    if (str.equals("hideTitleNViewButtonRedDot")) {
                        c = '#';
                        String str32222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1263826761:
                    if (str.equals("resetBounce")) {
                        c = 4;
                        String str3222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1249348039:
                    if (str.equals("getUrl")) {
                        c = '\n';
                        String str322222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1205263208:
                    if (str.equals("removeFromParent")) {
                        c = '2';
                        String str32222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1199488876:
                    if (str.equals("setTitleNViewButtonBadge")) {
                        c = ' ';
                        String str3222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1199260532:
                    if (str.equals("setPreloadJsFile")) {
                        c = 11;
                        String str322222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1183202654:
                    if (str.equals("setTitleNViewButtonStyle")) {
                        c = Operators.SINGLE_QUOTE;
                        String str32222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1093745411:
                    if (str.equals("interceptTouchEvent")) {
                        c = 'J';
                        String str3222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1068341284:
                    if (str.equals("checkRenderedContent")) {
                        c = 'F';
                        String str322222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1010579351:
                    if (str.equals("opened")) {
                        c = '1';
                        String str32222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -1010579337:
                    if (str.equals("opener")) {
                        c = '0';
                        String str3222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -995424086:
                    if (str.equals("parent")) {
                        c = '3';
                        String str322222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -934641255:
                    if (str.equals(WXWeb.RELOAD)) {
                        c = 28;
                        String str32222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -934610812:
                    if (str.equals(AbsoluteConst.XML_REMOVE)) {
                        c = '7';
                        String str3222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -934426579:
                    if (str.equals(AbsoluteConst.EVENTS_RESUME)) {
                        c = 'S';
                        String str322222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -898815851:
                    if (str.equals("isHardwareAccelerated")) {
                        c = '=';
                        String str32222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -854558288:
                    if (str.equals("setVisible")) {
                        c = Operators.ARRAY_SEPRATOR;
                        String str3222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -677145915:
                    if (str.equals("forward")) {
                        c = 22;
                        String str322222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -625809843:
                    if (str.equals("addEventListener")) {
                        c = Operators.BRACKET_END;
                        String str32222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -566318518:
                    if (str.equals("getSubNViews")) {
                        c = 'K';
                        String str3222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -541487286:
                    if (str.equals("removeEventListener")) {
                        c = '*';
                        String str322222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -481402894:
                    if (str.equals("hideSoftKeybord")) {
                        c = 29;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -453356751:
                    if (str.equals("clearSnapshot")) {
                        c = ';';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -410173765:
                    if (str.equals("setContentVisible")) {
                        c = '-';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -400905144:
                    if (str.equals("webview_restore")) {
                        c = 'H';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -386427104:
                    if (str.equals("evalJSSync")) {
                        c = 20;
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -252003491:
                    if (str.equals("setCssFile")) {
                        c = '>';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -251589874:
                    if (str.equals("setCssText")) {
                        c = 'D';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -155575552:
                    if (str.equals("removeNativeView")) {
                        c = '6';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -113035288:
                    if (str.equals("isVisible")) {
                        c = '+';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -41183179:
                    if (str.equals("getShareOptions")) {
                        c = 'P';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case -25924366:
                    if (str.equals("beginPullToRefresh")) {
                        c = 1;
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 3015911:
                    if (str.equals("back")) {
                        c = 21;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 3091764:
                    if (str.equals("drag")) {
                        c = 'B';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 3091780:
                    if (str.equals("draw")) {
                        c = '<';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 3202370:
                    if (str.equals("hide")) {
                        c = 16;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 3327206:
                    if (str.equals("load")) {
                        c = 26;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 3529469:
                    if (str.equals(AbsoluteConst.EVENTS_WEBVIEW_SHOW)) {
                        c = 17;
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 3540994:
                    if (str.equals(Constants.Value.STOP)) {
                        c = 27;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 18100665:
                    if (str.equals(AbsoluteConst.EVENTS_OVERRIDE_URL_LOADING)) {
                        c = 15;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 94746189:
                    if (str.equals("clear")) {
                        c = 25;
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 94756344:
                    if (str.equals(AbsoluteConst.EVENTS_CLOSE)) {
                        c = 18;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 98192778:
                    if (str.equals("setBounce")) {
                        c = 3;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 106440182:
                    if (str.equals("pause")) {
                        c = 'R';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 282257047:
                    if (str.equals("showBehind")) {
                        c = 'E';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 387104256:
                    if (str.equals("endPullToRefresh")) {
                        c = 2;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 471261047:
                    if (str.equals("setOption")) {
                        c = 7;
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 509226590:
                    if (str.equals("getTitleNViewSearchInputText")) {
                        c = '&';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 549228759:
                    if (str.equals("canBack")) {
                        c = 23;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 648802871:
                    if (str.equals("updateSubNViews")) {
                        c = 'L';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 685878123:
                    if (str.equals("getOption")) {
                        c = 6;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 770098485:
                    if (str.equals("overrideResourceRequest")) {
                        c = 14;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 869569345:
                    if (str.equals("setShareOptions")) {
                        c = 'O';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1081068728:
                    if (str.equals("setBlockNetworkImage")) {
                        c = 5;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1192599283:
                    if (str.equals("setVolumeButtonEnabled")) {
                        c = 31;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1295982686:
                    if (str.equals("setFixBottom")) {
                        c = Operators.CONDITION_IF;
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1341702384:
                    if (str.equals("findViewById")) {
                        c = Operators.DOT;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1348313218:
                    if (str.equals("showTitleNViewButtonRedDot")) {
                        c = Operators.QUOTE;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1355964204:
                    if (str.equals("getFavoriteOptions")) {
                        c = 'N';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1404493423:
                    if (str.equals("setStyle")) {
                        c = '\b';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1518415382:
                    if (str.equals("appendNativeView")) {
                        c = '9';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1566068146:
                    if (str.equals("removeTitleNViewButtonBadge")) {
                        c = '!';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1647492569:
                    if (str.equals("setPullToRefresh")) {
                        c = 0;
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1659526655:
                    if (str.equals(RichTextNode.CHILDREN)) {
                        c = '4';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1747355346:
                    if (str.equals("setTitleNViewSearchInputText")) {
                        c = WXUtils.PERCENT;
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1845118384:
                    if (str.equals("loadData")) {
                        c = '5';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1872589777:
                    if (str.equals("needTouchEvent")) {
                        c = 'C';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1939606683:
                    if (str.equals("webview_animate")) {
                        c = 'G';
                        String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1966196898:
                    if (str.equals("getTitle")) {
                        c = '/';
                        String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 1992686733:
                    if (str.equals("getMetrics")) {
                        c = '\t';
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    }
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
                case 2067845868:
                    try {
                        if (str.equals("isPause")) {
                            c = 'T';
                            String str3222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                            switch (c) {
                            }
                        }
                        c = 65535;
                        String str32222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                        switch (c) {
                        }
                    } catch (Exception e5) {
                        exc = e5;
                        str2 = null;
                        exc.printStackTrace();
                        return str2;
                    }
                default:
                    c = 65535;
                    String str322222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222222 = "";
                    switch (c) {
                    }
            }
        } catch (Exception e6) {
            e2 = e6;
            str2 = null;
            exc = e2;
            exc.printStackTrace();
            return str2;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x0029, code lost:
        if (r0.z.obtainMainView().getVisibility() == 0) goto L_0x0064;
     */
    private void a(IWebview iWebview, JSONArray jSONArray) {
        String str;
        String string = JSONUtil.getString(jSONArray, 0);
        String string2 = JSONUtil.getString(jSONArray, 1);
        c a2 = this.j.a(string, string, (String) null);
        if (a2 != null) {
            try {
                if (a2.z.obtainMainView().getParent() != null) {
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                Deprecated_JSUtil.execCallback(iWebview, string2, "{\"code\":-100,\"message\":\"\"+sWeb.getContext().getString(R.string.dcloud_ui_webview_not_finished)+\"\"}", JSUtil.ERROR, true, false);
            }
        }
        Deprecated_JSUtil.execCallback(iWebview, string2, "{\"code\":-100,\"message\":\"" + iWebview.getContext().getString(R.string.dcloud_ui_webview_not_finished) + "\"}", JSUtil.ERROR, true, false);
        return;
        IWebview r = a2.r();
        JSONObject jSONObject = JSONUtil.getJSONObject(jSONArray, 2);
        if (jSONObject == null || !jSONObject.has("type")) {
            str = "auto";
        } else {
            str = jSONObject.optString("type", "auto");
        }
        ViewGroup obtainWindowView = r.obtainWindowView();
        if (obtainWindowView != null) {
            obtainWindowView.post(new e(r, str, iWebview, string2));
        }
    }

    private void a(b bVar, c cVar, String str) {
        c cVar2 = (c) bVar;
        if (cVar2.G) {
            cVar.v = cVar2.v - 1;
            cVar.G = true;
            cVar.J = true;
            cVar.H = false;
            this.j.a(str, cVar, this.j.c(this));
            this.j.d.processEvent(IMgr.MgrType.WindowMgr, 45, new Object[]{cVar.z, cVar2.z});
        }
    }

    private void a(c cVar, String str) {
        IApp obtainApp;
        if (cVar != null && !PdrUtil.isEmpty(str) && (obtainApp = cVar.r().obtainApp()) != null) {
            c cVar2 = cVar.X;
            if (cVar2 != null) {
                str = cVar2.r().obtainUrl();
            }
            String obtainUrl = cVar.r().obtainUrl();
            if (BaseInfo.isBase(cVar.a()) && !TextUtils.isEmpty(str) && !TextUtils.isEmpty(obtainUrl) && !str.startsWith(DeviceInfo.HTTP_PROTOCOL) && !obtainUrl.startsWith(DeviceInfo.HTTP_PROTOCOL)) {
                Log.i(AbsoluteConst.HBUILDER_TAG, StringUtil.format(AbsoluteConst.OPENLOG, WebResUtil.getHBuilderPrintUrl(obtainApp.convert2RelPath(WebResUtil.getOriginalUrl(str))), WebResUtil.getHBuilderPrintUrl(obtainApp.convert2RelPath(WebResUtil.getOriginalUrl(obtainUrl)))));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(IWebview iWebview, JSONArray jSONArray, c cVar, String str) {
        String str2;
        if (this.j.a(cVar)) {
            Logger.d(Logger.StreamApp_TAG, "showWebview url=" + cVar.A);
            cVar.B = 1;
            this.j.f(cVar);
            cVar.C = new Object[]{iWebview, jSONArray, cVar, str};
            return;
        }
        cVar.v = System.currentTimeMillis();
        cVar.G = true;
        String string = JSONUtil.getString(jSONArray, 0);
        String string2 = JSONUtil.getString(jSONArray, 1);
        String string3 = JSONUtil.getString(jSONArray, 3);
        this.P = string3;
        if (!PdrUtil.isEmpty(string3)) {
            this.Q = iWebview;
        }
        AnimOptions animOptions = ((AdaFrameItem) cVar.z).getAnimOptions();
        if (PdrUtil.isEquals("auto", string)) {
            str2 = animOptions.mAnimType;
        } else {
            str2 = PdrUtil.isEmpty(string) ? "none" : string;
        }
        animOptions.mAnimType = str2;
        boolean z2 = !PdrUtil.isEquals("none", str2);
        if (!PdrUtil.isEmpty(string2)) {
            animOptions.duration_show = PdrUtil.parseInt(string2, animOptions.duration_show);
        } else if (animOptions.mAnimType.equals(AnimOptions.ANIM_POP_IN)) {
            animOptions.duration_show = 300;
        }
        if (!cVar.H && cVar.J) {
            z2 = false;
        }
        this.j.a(str, cVar, this.j.c(this));
        a(iWebview, JSONUtil.getJSONObject(jSONArray, 4), cVar, string);
        if (cVar.H) {
            animOptions.mOption = 4;
            this.j.d.processEvent(IMgr.MgrType.WindowMgr, 24, cVar.z);
        } else {
            animOptions.mOption = 0;
            cVar.J = true;
            this.j.d.processEvent(IMgr.MgrType.WindowMgr, 1, new Object[]{cVar.z, Boolean.valueOf(z2)});
        }
        cVar.H = false;
        Logger.d(Logger.VIEW_VISIBLE_TAG, "show " + cVar.z + ";webview_name=" + r().obtainFrameId());
    }

    private void a(IWebview iWebview, JSONObject jSONObject, c cVar, String str) {
        Object obj;
        JSONObject optJSONObject;
        String str2 = "auto";
        if (jSONObject != null) {
            String optString = jSONObject.optString(AbsoluteConst.ACCELERATION);
            if (!TextUtils.isEmpty(optString)) {
                str2 = optString;
            }
            String optString2 = jSONObject.optString("action", "none");
            cVar.z.setAccelerationType(str2);
            if (jSONObject.has(AbsoluteConst.CAPTURE)) {
                JSONObject optJSONObject2 = jSONObject.optJSONObject(AbsoluteConst.CAPTURE);
                if (optJSONObject2 != null) {
                    String optString3 = optJSONObject2.optString("__id__");
                    if (!optJSONObject2.has("type") || !optJSONObject2.optString("type").equals(AbsoluteConst.NATIVE_NVIEW)) {
                        obj = "getNativeView";
                        INativeBitmap g2 = g(cVar.z.obtainWebView(), optString3);
                        cVar.z.setSnapshot(g2 != null ? g2.getBitmap() : null);
                        cVar.z.setSnapshotView(null, "none");
                    } else {
                        obj = "getNativeView";
                        Object processEvent = this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", "getNativeView", new Object[]{this.z, optString3}});
                        if (processEvent != null && (processEvent instanceof INativeView)) {
                            cVar.z.setSnapshotView((INativeView) processEvent, optString2);
                            cVar.z.setSnapshot(null);
                        }
                    }
                } else {
                    return;
                }
            } else {
                obj = "getNativeView";
            }
            IFrameView findPageB = cVar.z.findPageB();
            if (findPageB != null) {
                findPageB.setAccelerationType(str2);
                if (jSONObject.has("otherCapture") && (optJSONObject = jSONObject.optJSONObject("otherCapture")) != null) {
                    String optString4 = optJSONObject.optString("__id__");
                    if (!optJSONObject.has("type") || !optJSONObject.optString("type").equals(AbsoluteConst.NATIVE_NVIEW)) {
                        INativeBitmap g3 = g(findPageB.obtainWebView(), optString4);
                        findPageB.setSnapshot(g3 != null ? g3.getBitmap() : null);
                        findPageB.setSnapshotView(null, "none");
                        return;
                    }
                    Object processEvent2 = this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", obj, new Object[]{findPageB, optString4}});
                    if (processEvent2 != null && (processEvent2 instanceof INativeView)) {
                        findPageB.setSnapshotView((INativeView) processEvent2, optString2);
                        findPageB.setSnapshot(null);
                        return;
                    }
                    return;
                }
                return;
            }
            return;
        }
        cVar.z.setSnapshot(null);
        cVar.z.setAccelerationType(str2);
        IFrameView findPageB2 = cVar.z.findPageB();
        if (findPageB2 != null) {
            findPageB2.setSnapshot(null);
            findPageB2.setAccelerationType(str2);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(IWebview iWebview, JSONArray jSONArray, c cVar) {
        String string = JSONUtil.getString(jSONArray, 0);
        String string2 = JSONUtil.getString(jSONArray, 1);
        IFrameView iFrameView = cVar.z;
        g gVar = null;
        f fVar = TextUtils.isEmpty(string2) ? null : new f(iWebview, string2);
        if (!TextUtils.isEmpty(string2)) {
            gVar = new g(iWebview, string2);
        }
        iFrameView.captureSnapshot(string, fVar, gVar);
    }

    /* access modifiers changed from: package-private */
    public void a(c cVar, boolean z2) {
        cVar.z.obtainWebView().reload(z2);
    }

    /* access modifiers changed from: package-private */
    public boolean a(JSONObject jSONObject, boolean z2) {
        boolean z3 = false;
        if (!jSONObject.isNull(AbsoluteConst.JSON_KEY_ZINDEX)) {
            try {
                int parseInt = Integer.parseInt(JSONUtil.getString(jSONObject, AbsoluteConst.JSON_KEY_ZINDEX));
                if (parseInt != this.F) {
                    z3 = true;
                    this.F = parseInt;
                    ((AdaFrameView) this.z).mZIndex = parseInt;
                    if (z2) {
                        this.j.g(this);
                    }
                }
            } catch (Exception unused) {
            }
        }
        return z3;
    }

    private static String a(ArrayList arrayList) {
        StringBuffer stringBuffer = new StringBuffer(Operators.ARRAY_START_STR);
        if (arrayList != null) {
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                b bVar = (b) arrayList.get(i2);
                if (bVar instanceof c) {
                    stringBuffer.append(((c) bVar).h());
                } else {
                    stringBuffer.append("'" + bVar.l + "'");
                }
                if (i2 != size - 1) {
                    stringBuffer.append(",");
                }
            }
        }
        stringBuffer.append(Operators.ARRAY_END_STR);
        return stringBuffer.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:102:0x0332  */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x043b  */
    /* JADX WARNING: Removed duplicated region for block: B:149:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:150:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0114 A[SYNTHETIC, Splitter:B:16:0x0114] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0149  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x014e  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0160  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0191  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x0196  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x01a9  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x01cb  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x01d0  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x01e3  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01fb  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0202  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x020e  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x02d7  */
    private void a(IWebview iWebview, c cVar, JSONObject jSONObject, JSONObject jSONObject2) {
        boolean z2;
        boolean z3;
        boolean z4;
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        JSONObject jSONObject3;
        String str6;
        JSONArray optJSONArray;
        Object titleNView;
        JSONObject jSONObject4;
        String str7;
        String str8;
        String str9;
        Object obj;
        if (jSONObject == null) {
            AdaFrameItem adaFrameItem = (AdaFrameItem) cVar.z;
            ViewOptions obtainFrameOptions = adaFrameItem.obtainFrameOptions();
            String titleNViewId = TitleNViewUtil.getTitleNViewId(cVar.z);
            AbsMgr absMgr = this.j.d;
            IMgr.MgrType mgrType = IMgr.MgrType.WindowMgr;
            absMgr.processEvent(mgrType, 72, new Object[]{adaFrameItem, jSONObject2, titleNViewId});
            obtainFrameOptions.setTitleNView(jSONObject2, cVar.r());
            this.j.d.processEvent(mgrType, 73, new Object[]{adaFrameItem, iWebview.obtainFrameView()});
            if (cVar.z.obtainWebView().isUniWebView()) {
                ((AdaUniWebView) cVar.z.obtainWebView()).titleNViewRefresh();
            }
        } else if (jSONObject2 != null) {
            boolean paddingIsChanged = TitleNViewUtil.paddingIsChanged(jSONObject, jSONObject2);
            boolean backgroundIsChanged = TitleNViewUtil.backgroundIsChanged(jSONObject, jSONObject2);
            boolean backgroundImageIsChanged = TitleNViewUtil.backgroundImageIsChanged(jSONObject, jSONObject2);
            boolean titleAlignIsChanged = TitleNViewUtil.titleAlignIsChanged(jSONObject, jSONObject2);
            boolean redDotChange = TitleNViewUtil.redDotChange(jSONObject, jSONObject2);
            TitleNViewUtil.titleNViewStyleNoTitle(jSONObject);
            boolean titleIsChanged = TitleNViewUtil.titleIsChanged(jSONObject, jSONObject2);
            boolean titleColorIsChanged = TitleNViewUtil.titleColorIsChanged(jSONObject, jSONObject2);
            boolean titleSizeIsChanged = TitleNViewUtil.titleSizeIsChanged(jSONObject, jSONObject2);
            boolean titleOverflowIsChanged = TitleNViewUtil.titleOverflowIsChanged(jSONObject, jSONObject2);
            boolean splitLineIsChanged = TitleNViewUtil.splitLineIsChanged(jSONObject, jSONObject2);
            boolean backButtonIsChanged = TitleNViewUtil.backButtonIsChanged(jSONObject, jSONObject2);
            boolean progressIsChanged = TitleNViewUtil.progressIsChanged(jSONObject, jSONObject2);
            boolean has = jSONObject2.has("homeButton");
            boolean isButtonsIsChanged = TitleNViewUtil.isButtonsIsChanged(jSONObject, jSONObject2);
            boolean isSearchInputChange = TitleNViewUtil.isSearchInputChange(jSONObject, jSONObject2);
            boolean subTitleIconChanged = TitleNViewUtil.subTitleIconChanged(jSONObject, jSONObject2);
            boolean isShadowChanged = TitleNViewUtil.isShadowChanged(jSONObject, jSONObject2);
            String titleNViewId2 = TitleNViewUtil.getTitleNViewId(cVar.z);
            JSONObject createJSONObject = JSONUtil.createJSONObject(jSONObject.toString());
            JSONObject createJSONObject2 = JSONUtil.createJSONObject(jSONObject2.toString());
            JSONUtil.combinJSONObject(createJSONObject, createJSONObject2);
            int i2 = ((AdaFrameItem) cVar.z).obtainFrameOptions().coverage;
            if (createJSONObject != null) {
                z4 = titleAlignIsChanged;
                if (createJSONObject.has("coverage")) {
                    z3 = redDotChange;
                    z2 = has;
                    ((AdaFrameItem) cVar.z).obtainFrameOptions().coverage = PdrUtil.convertToScreenInt(createJSONObject.optString("coverage"), PlatformUtil.SCREEN_WIDTH(cVar.a()), i2, cVar.r().getScale());
                    if (createJSONObject == null) {
                        try {
                            if (jSONObject2.has("titleText")) {
                                Object obj2 = createJSONObject.get("titleText");
                                if (obj2 != null && (obj2 instanceof String)) {
                                    str = obj2.toString();
                                    if (!jSONObject2.has("titleColor")) {
                                        str2 = createJSONObject.optString("titleColor");
                                    } else {
                                        str2 = jSONObject2.has("titlecolor") ? createJSONObject.optString("titlecolor") : null;
                                    }
                                    if (TextUtils.isEmpty(str2)) {
                                        str2 = createJSONObject.optString("titleColor");
                                        if (TextUtils.isEmpty(str2)) {
                                            str2 = createJSONObject.optString("titlecolor");
                                        }
                                    }
                                    if (Constant.TRANSPARENT.equals(jSONObject2.optString("type")) && !TextUtils.isEmpty(str2)) {
                                        str2 = TitleNViewUtil.changeColorAlpha(str2, 0.0f);
                                    }
                                    if (!jSONObject2.has("titleSize")) {
                                        str3 = createJSONObject.optString("titleSize");
                                    } else {
                                        str3 = jSONObject2.has("titlesize") ? createJSONObject.optString("titlesize") : null;
                                    }
                                    if (TextUtils.isEmpty(str3)) {
                                        str3 = createJSONObject.optString("titleSize");
                                        if (TextUtils.isEmpty(str3)) {
                                            str3 = createJSONObject.optString("titlesize");
                                        }
                                    }
                                    String optString = createJSONObject.optString("titleOverflow");
                                    if (!jSONObject2.has("backgroundColor")) {
                                        str4 = createJSONObject.optString("backgroundColor");
                                    } else {
                                        str4 = jSONObject2.has("backgroundcolor") ? createJSONObject.optString("backgroundcolor") : null;
                                    }
                                    if (TextUtils.isEmpty(str4)) {
                                        str4 = createJSONObject.optString("backgroundColor");
                                        if (TextUtils.isEmpty(str4)) {
                                            str4 = createJSONObject.optString("backgroundcolor");
                                        }
                                    }
                                    String optString2 = !jSONObject2.has(Constants.Name.BACKGROUND_IMAGE) ? createJSONObject.optString(Constants.Name.BACKGROUND_IMAGE) : null;
                                    if (backgroundIsChanged || TextUtils.isEmpty(str4)) {
                                        str5 = str3;
                                        str6 = "type";
                                        jSONObject3 = createJSONObject;
                                    } else {
                                        if (Constant.TRANSPARENT.equals(createJSONObject.optString("type"))) {
                                            str8 = TitleNViewUtil.changeColorAlpha(str4, 0.0f);
                                        } else if ("float".equals(createJSONObject.optString("type"))) {
                                            str8 = str4;
                                        } else {
                                            str8 = TitleNViewUtil.changeColorAlpha(str4, 1.0f);
                                        }
                                        if (((AdaFrameItem) cVar.z).obtainFrameOptions().isStatusbar || !cVar.z.obtainApp().obtainStatusBarMgr().isImmersive) {
                                            str9 = "";
                                        } else {
                                            str9 = ",'statusbar':{'background':'" + str8 + "','backgroundnoalpha':'" + str4 + "'}";
                                        }
                                        AbsMgr absMgr2 = this.j.d;
                                        IMgr.MgrType mgrType2 = IMgr.MgrType.FeatureMgr;
                                        str6 = "type";
                                        jSONObject3 = createJSONObject;
                                        StringBuilder sb = new StringBuilder();
                                        sb.append("['");
                                        sb.append(titleNViewId2);
                                        sb.append("','");
                                        sb.append(titleNViewId2);
                                        str5 = str3;
                                        sb.append("',{'backgroundColor':'");
                                        sb.append(str8);
                                        sb.append("'");
                                        sb.append(str9);
                                        sb.append("}]");
                                        absMgr2.processEvent(mgrType2, 1, new Object[]{cVar.r(), "nativeobj", "setStyle", JSONUtil.createJSONArray(sb.toString())});
                                    }
                                    optJSONArray = createJSONObject2.optJSONArray("tags");
                                    if (optJSONArray != null) {
                                        this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 1, new Object[]{cVar.r(), "nativeobj", "view_draw", JSONUtil.createJSONArray("['" + titleNViewId2 + "','" + titleNViewId2 + "'," + optJSONArray.toString() + Operators.ARRAY_END_STR)});
                                    }
                                    titleNView = TitleNViewUtil.getTitleNView(this.j.d, cVar.r(), cVar.z, titleNViewId2);
                                    if (titleNView instanceof ITitleNView) {
                                        ITitleNView iTitleNView = (ITitleNView) titleNView;
                                        if (titleIsChanged) {
                                            iTitleNView.setTitleText(str);
                                        }
                                        if (titleColorIsChanged) {
                                            iTitleNView.setTitleColor(str2);
                                        }
                                        if (titleSizeIsChanged) {
                                            iTitleNView.setTitleSize(str5);
                                        }
                                        if (titleOverflowIsChanged) {
                                            iTitleNView.setTitleOverflow(optString);
                                        }
                                        if (paddingIsChanged) {
                                            jSONObject4 = jSONObject3;
                                            TitleNViewUtil.setTitleNViewPadding(iTitleNView, cVar.r(), jSONObject4);
                                        } else {
                                            jSONObject4 = jSONObject3;
                                        }
                                        if (splitLineIsChanged) {
                                            str7 = "['";
                                            TitleNViewUtil.setSplitLine(iTitleNView, cVar.r(), jSONObject.optJSONObject("splitLine"), jSONObject2.optJSONObject("splitLine"), false, jSONObject4.optString(str6));
                                        } else {
                                            str7 = "['";
                                        }
                                        if (backButtonIsChanged) {
                                            TitleNViewUtil.setBackButton(iTitleNView, jSONObject4, cVar.z.getFrameType());
                                        }
                                        if (progressIsChanged) {
                                            TitleNViewUtil.setProgress(iTitleNView, jSONObject4);
                                        }
                                        if (isSearchInputChange) {
                                            TitleNViewUtil.setSearchInput(iTitleNView, jSONObject4, cVar.z.obtainWebView());
                                        }
                                        if (isButtonsIsChanged) {
                                            iTitleNView.clearButtons();
                                            TitleNViewUtil.setButtons(iTitleNView, jSONObject4, cVar.z.obtainWebView());
                                            TitleNViewUtil.setBackButton(iTitleNView, jSONObject4, cVar.z.getFrameType());
                                        }
                                        if (z2 || isButtonsIsChanged) {
                                            TitleNViewUtil.setHomeButton(iTitleNView, jSONObject4, cVar.z.getFrameType());
                                        }
                                        if (z3) {
                                            TitleNViewUtil.setRedDotColor(iTitleNView, jSONObject4);
                                        }
                                        if (z4) {
                                            TitleNViewUtil.setTitleAlign(iTitleNView, jSONObject4);
                                        }
                                        if (backgroundImageIsChanged && optString2 != null) {
                                            this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 1, new Object[]{cVar.r(), "nativeobj", "setStyle", JSONUtil.createJSONArray(str7 + titleNViewId2 + "','" + titleNViewId2 + "',{'backgroundImage':'" + optString2 + "'}]")});
                                        }
                                        if (iTitleNView != null && jSONObject4.has("backgroundRepeat")) {
                                            iTitleNView.setBackgroundRepeat(jSONObject4.optString("backgroundRepeat"));
                                        }
                                        if (subTitleIconChanged) {
                                            TitleNViewUtil.setSubTitleIcon(iTitleNView, jSONObject4);
                                        }
                                        if (isShadowChanged) {
                                            TitleNViewUtil.setShadow(iTitleNView, jSONObject4);
                                        }
                                    }
                                    if (!cVar.z.obtainWebView().isUniWebView()) {
                                        ((AdaUniWebView) cVar.z.obtainWebView()).titleNViewRefresh();
                                        return;
                                    }
                                    return;
                                }
                                str = null;
                                if (!jSONObject2.has("titleColor")) {
                                }
                                if (TextUtils.isEmpty(str2)) {
                                }
                                str2 = TitleNViewUtil.changeColorAlpha(str2, 0.0f);
                                if (!jSONObject2.has("titleSize")) {
                                }
                                if (TextUtils.isEmpty(str3)) {
                                }
                                String optString3 = createJSONObject.optString("titleOverflow");
                                if (!jSONObject2.has("backgroundColor")) {
                                }
                                if (TextUtils.isEmpty(str4)) {
                                }
                                if (!jSONObject2.has(Constants.Name.BACKGROUND_IMAGE)) {
                                }
                                if (backgroundIsChanged) {
                                }
                                str5 = str3;
                                str6 = "type";
                                jSONObject3 = createJSONObject;
                                optJSONArray = createJSONObject2.optJSONArray("tags");
                                if (optJSONArray != null) {
                                }
                                titleNView = TitleNViewUtil.getTitleNView(this.j.d, cVar.r(), cVar.z, titleNViewId2);
                                if (titleNView instanceof ITitleNView) {
                                }
                                if (!cVar.z.obtainWebView().isUniWebView()) {
                                }
                            } else {
                                if (jSONObject2.has("titletext") && (obj = createJSONObject.get("titletext")) != null && (obj instanceof String)) {
                                    str = obj.toString();
                                    if (!jSONObject2.has("titleColor")) {
                                    }
                                    if (TextUtils.isEmpty(str2)) {
                                    }
                                    str2 = TitleNViewUtil.changeColorAlpha(str2, 0.0f);
                                    if (!jSONObject2.has("titleSize")) {
                                    }
                                    if (TextUtils.isEmpty(str3)) {
                                    }
                                    String optString32 = createJSONObject.optString("titleOverflow");
                                    if (!jSONObject2.has("backgroundColor")) {
                                    }
                                    if (TextUtils.isEmpty(str4)) {
                                    }
                                    if (!jSONObject2.has(Constants.Name.BACKGROUND_IMAGE)) {
                                    }
                                    if (backgroundIsChanged) {
                                    }
                                    str5 = str3;
                                    str6 = "type";
                                    jSONObject3 = createJSONObject;
                                    optJSONArray = createJSONObject2.optJSONArray("tags");
                                    if (optJSONArray != null) {
                                    }
                                    titleNView = TitleNViewUtil.getTitleNView(this.j.d, cVar.r(), cVar.z, titleNViewId2);
                                    if (titleNView instanceof ITitleNView) {
                                    }
                                    if (!cVar.z.obtainWebView().isUniWebView()) {
                                    }
                                }
                                str = null;
                                if (!jSONObject2.has("titleColor")) {
                                }
                                if (TextUtils.isEmpty(str2)) {
                                }
                                str2 = TitleNViewUtil.changeColorAlpha(str2, 0.0f);
                                if (!jSONObject2.has("titleSize")) {
                                }
                                if (TextUtils.isEmpty(str3)) {
                                }
                                String optString322 = createJSONObject.optString("titleOverflow");
                                if (!jSONObject2.has("backgroundColor")) {
                                }
                                if (TextUtils.isEmpty(str4)) {
                                }
                                if (!jSONObject2.has(Constants.Name.BACKGROUND_IMAGE)) {
                                }
                                if (backgroundIsChanged) {
                                }
                                str5 = str3;
                                str6 = "type";
                                jSONObject3 = createJSONObject;
                                optJSONArray = createJSONObject2.optJSONArray("tags");
                                if (optJSONArray != null) {
                                }
                                titleNView = TitleNViewUtil.getTitleNView(this.j.d, cVar.r(), cVar.z, titleNViewId2);
                                if (titleNView instanceof ITitleNView) {
                                }
                                if (!cVar.z.obtainWebView().isUniWebView()) {
                                }
                            }
                        } catch (Exception unused) {
                        }
                    } else {
                        return;
                    }
                } else {
                    z2 = has;
                }
            } else {
                z2 = has;
                z4 = titleAlignIsChanged;
            }
            z3 = redDotChange;
            if (createJSONObject == null) {
            }
        }
    }

    private void a(c cVar, JSONObject jSONObject) {
        if (jSONObject != null) {
            Object[] objArr = {cVar.r(), cVar.z.obtainMainView(), jSONObject, BaseInfo.getUniNViewId(cVar.z)};
            this.j.d.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{cVar.r().obtainApp(), "weex,io.dcloud.feature.weex.WeexFeature", "weexViewUpdate", objArr});
        }
    }
}
