package io.dcloud.feature.ui.nativeui;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.DatePickerDialog;
import android.app.TimePickerDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Bundle;
import android.text.Editable;
import android.text.Selection;
import android.text.Spannable;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.Window;
import android.view.WindowManager;
import android.widget.DatePicker;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.TimePicker;
import android.widget.Toast;
import com.alibaba.android.bindingx.core.internal.BindingXConstants;
import com.dcloud.android.widget.dialog.DCloudAlertDialog;
import com.dcloud.android.widget.toast.ToastCompat;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.ui.component.WXBasicComponentType;
import com.taobao.weex.ui.module.WXModalUIModule;
import io.dcloud.base.R;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IActivityHandler;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IMgr;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.CanvasHelper;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.constant.DataInterface;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.DialogUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.RuningAcitvityUtil;
import io.dcloud.feature.nativeObj.photoview.LongClickEventManager;
import io.dcloud.feature.ui.nativeui.a;
import io.src.dcloud.adapter.DCloudAdapterUtil;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.Locale;
import java.util.TimeZone;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class NativeUIFeatureImpl implements IFeature {
    HashMap<String, c> a = null;
    HashMap<String, a> b = null;
    DatePickerDialog c = null;
    int d;
    int e;
    int f;
    TimePickerDialog g = null;
    int h;
    int i;
    final byte j = 0;
    final byte k = 1;
    final byte l = 2;
    AbsMgr m;

    /* access modifiers changed from: package-private */
    public class a implements DialogInterface.OnClickListener {
        final /* synthetic */ byte a;
        final /* synthetic */ EditText b;
        final /* synthetic */ IWebview c;
        final /* synthetic */ String d;
        final /* synthetic */ int e;
        final /* synthetic */ AlertDialog f;

        a(byte b2, EditText editText, IWebview iWebview, String str, int i, AlertDialog alertDialog) {
            this.a = b2;
            this.b = editText;
            this.c = iWebview;
            this.d = str;
            this.e = i;
            this.f = alertDialog;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            if (this.a == 2) {
                String jSONableString = JSONUtil.toJSONableString(this.b.getText().toString());
                IWebview iWebview = this.c;
                String str = this.d;
                Deprecated_JSUtil.execCallback(iWebview, str, "{index:" + this.e + ",message:" + jSONableString + Operators.BLOCK_END_STR, JSUtil.OK, true, false);
            }
            if (this.a == 1) {
                Deprecated_JSUtil.execCallback(this.c, this.d, String.valueOf(this.e), JSUtil.OK, true, false);
            }
            this.f.dismiss();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements DialogInterface.OnKeyListener {
        final /* synthetic */ byte a;
        final /* synthetic */ EditText b;
        final /* synthetic */ IWebview c;
        final /* synthetic */ String d;
        final /* synthetic */ AlertDialog e;

        b(byte b2, EditText editText, IWebview iWebview, String str, AlertDialog alertDialog) {
            this.a = b2;
            this.b = editText;
            this.c = iWebview;
            this.d = str;
            this.e = alertDialog;
        }

        public boolean onKey(DialogInterface dialogInterface, int i, KeyEvent keyEvent) {
            if (keyEvent.getAction() != 1 || i != 4) {
                return false;
            }
            if (this.a == 2) {
                String jSONableString = JSONUtil.toJSONableString(this.b.getText().toString());
                IWebview iWebview = this.c;
                String str = this.d;
                Deprecated_JSUtil.execCallback(iWebview, str, "{index:-1,message:" + jSONableString + Operators.BLOCK_END_STR, JSUtil.OK, true, false);
            }
            if (this.a == 1) {
                Deprecated_JSUtil.execCallback(this.c, this.d, String.valueOf(-1), JSUtil.OK, true, false);
            }
            this.e.dismiss();
            return true;
        }
    }

    class c extends LongClickEventManager.OnLongClickListener {
        c(IWebview iWebview, String str) {
            super(iWebview, str);
        }

        @Override // io.dcloud.feature.nativeObj.photoview.LongClickEventManager.OnLongClickListener
        public void onLongClickListener(JSONObject jSONObject) {
            Deprecated_JSUtil.execCallback(getPwebview(), getCallbackIds(), jSONObject.toString(), JSUtil.OK, true, true);
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements a.b {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;
        final /* synthetic */ String c;

        d(IWebview iWebview, String str, String str2) {
            this.a = iWebview;
            this.b = str;
            this.c = str2;
        }

        @Override // io.dcloud.feature.ui.nativeui.a.b
        public void initCancelText(TextView textView) {
        }

        @Override // io.dcloud.feature.ui.nativeui.a.b
        public void initTextItem(int i, TextView textView, String str) {
        }

        @Override // io.dcloud.feature.ui.nativeui.a.b
        public boolean onDismiss(int i) {
            HashMap<String, a> hashMap = NativeUIFeatureImpl.this.b;
            if (hashMap == null || !hashMap.containsKey(this.c)) {
                return false;
            }
            NativeUIFeatureImpl.this.b.remove(this.c);
            return false;
        }

        @Override // io.dcloud.feature.ui.nativeui.a.b
        public void onItemClick(int i) {
            IWebview iWebview = this.a;
            String str = this.b;
            Deprecated_JSUtil.execCallback(iWebview, str, "" + i, JSUtil.OK, true, false);
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements DatePickerDialog.OnDateSetListener {
        e() {
        }

        public void onDateSet(DatePicker datePicker, int i, int i2, int i3) {
            NativeUIFeatureImpl nativeUIFeatureImpl = NativeUIFeatureImpl.this;
            nativeUIFeatureImpl.d = i;
            nativeUIFeatureImpl.e = i2;
            nativeUIFeatureImpl.f = i3;
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends DatePickerDialog {
        int a;
        int b;
        int c;
        final /* synthetic */ int d;
        final /* synthetic */ int e;
        final /* synthetic */ int f;
        final /* synthetic */ boolean g;
        final /* synthetic */ IWebview h;
        final /* synthetic */ String i;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(Context context, int i2, DatePickerDialog.OnDateSetListener onDateSetListener, int i3, int i4, int i5, int i6, int i7, int i8, boolean z, IWebview iWebview, String str) {
            super(context, i2, onDateSetListener, i3, i4, i5);
            this.d = i6;
            this.e = i7;
            this.f = i8;
            this.g = z;
            this.h = iWebview;
            this.i = str;
            this.a = i6;
            this.b = i7;
            this.c = i8;
        }

        public void onClick(DialogInterface dialogInterface, int i2) {
            super.onClick(dialogInterface, i2);
            if (i2 == -2) {
                Deprecated_JSUtil.execCallback(this.h, this.i, DOMException.toJSON(-2, DOMException.MSG_USER_CANCEL), JSUtil.ERROR, true, false);
            } else if (i2 == -1) {
                GregorianCalendar gregorianCalendar = new GregorianCalendar(TimeZone.getTimeZone("GMT"));
                if (DeviceInfo.sDeviceSdkVer >= 21) {
                    NativeUIFeatureImpl nativeUIFeatureImpl = NativeUIFeatureImpl.this;
                    gregorianCalendar.set(nativeUIFeatureImpl.d, nativeUIFeatureImpl.e, nativeUIFeatureImpl.f, 0, 0, 0);
                } else {
                    gregorianCalendar.set(this.a, this.b, this.c, 0, 0, 0);
                }
                Deprecated_JSUtil.execCallback(this.h, this.i, String.valueOf(gregorianCalendar.getTime().getTime()), JSUtil.OK, true, false);
            }
            NativeUIFeatureImpl.this.a();
        }

        /* access modifiers changed from: protected */
        public void onCreate(Bundle bundle) {
            super.onCreate(bundle);
            getWindow().setSoftInputMode(2);
        }

        public void onDateChanged(DatePicker datePicker, int i2, int i3, int i4) {
            this.a = i2;
            this.b = i3;
            this.c = i4;
            if (!this.g && !DeviceInfo.sVersion_release.equals("4.0.3") && !DeviceInfo.sVersion_release.equals("4.0.4")) {
                super.onDateChanged(datePicker, i2, i3, i4);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class g implements DialogInterface.OnDismissListener {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        g(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        public void onDismiss(DialogInterface dialogInterface) {
            if (NativeUIFeatureImpl.this.c != null) {
                Deprecated_JSUtil.execCallback(this.a, this.b, DOMException.toJSON(-2, DOMException.MSG_USER_CANCEL), JSUtil.ERROR, true, false);
                NativeUIFeatureImpl.this.a();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements TimePickerDialog.OnTimeSetListener {
        h() {
        }

        public void onTimeSet(TimePicker timePicker, int i, int i2) {
            NativeUIFeatureImpl nativeUIFeatureImpl = NativeUIFeatureImpl.this;
            nativeUIFeatureImpl.h = i;
            nativeUIFeatureImpl.i = i2;
        }
    }

    /* access modifiers changed from: package-private */
    public class i extends TimePickerDialog {
        int a;
        int b;
        final /* synthetic */ int c;
        final /* synthetic */ int d;
        final /* synthetic */ boolean e;
        final /* synthetic */ IWebview f;
        final /* synthetic */ String g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(Context context, TimePickerDialog.OnTimeSetListener onTimeSetListener, int i, int i2, boolean z, int i3, int i4, boolean z2, IWebview iWebview, String str) {
            super(context, onTimeSetListener, i, i2, z);
            this.c = i3;
            this.d = i4;
            this.e = z2;
            this.f = iWebview;
            this.g = str;
            this.a = i3;
            this.b = i4;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            super.onClick(dialogInterface, i);
            if (i == -2) {
                Deprecated_JSUtil.execCallback(this.f, this.g, DOMException.toJSON(-2, DOMException.MSG_USER_CANCEL), JSUtil.ERROR, true, false);
            } else if (i == -1) {
                Date date = new Date();
                if (DeviceInfo.sDeviceSdkVer >= 21) {
                    date.setHours(NativeUIFeatureImpl.this.h);
                    date.setMinutes(NativeUIFeatureImpl.this.i);
                } else {
                    date.setHours(this.a);
                    date.setMinutes(this.b);
                }
                Deprecated_JSUtil.execCallback(this.f, this.g, String.valueOf(date.getTime()), JSUtil.OK, true, false);
            }
            NativeUIFeatureImpl.this.b();
        }

        /* access modifiers changed from: protected */
        public void onCreate(Bundle bundle) {
            super.onCreate(bundle);
            getWindow().setSoftInputMode(2);
        }

        public void onTimeChanged(TimePicker timePicker, int i, int i2) {
            this.a = i;
            this.b = i2;
            if (!this.e) {
                setTitle(i + ":" + i2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class j implements DialogInterface.OnDismissListener {
        final /* synthetic */ IWebview a;
        final /* synthetic */ String b;

        j(IWebview iWebview, String str) {
            this.a = iWebview;
            this.b = str;
        }

        public void onDismiss(DialogInterface dialogInterface) {
            if (NativeUIFeatureImpl.this.g != null) {
                Deprecated_JSUtil.execCallback(this.a, this.b, DOMException.toJSON(-2, DOMException.MSG_USER_CANCEL), JSUtil.ERROR, true, false);
                NativeUIFeatureImpl.this.b();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class k implements DialogInterface.OnClickListener {
        final /* synthetic */ AlertDialog a;
        final /* synthetic */ IWebview b;
        final /* synthetic */ String c;

        k(AlertDialog alertDialog, IWebview iWebview, String str) {
            this.a = alertDialog;
            this.b = iWebview;
            this.c = str;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            this.a.dismiss();
            Deprecated_JSUtil.execCallback(this.b, this.c, "{index:0}", JSUtil.OK, true, false);
        }
    }

    /* access modifiers changed from: package-private */
    public class l implements DialogInterface.OnKeyListener {
        final /* synthetic */ AlertDialog a;
        final /* synthetic */ IWebview b;
        final /* synthetic */ String c;

        l(AlertDialog alertDialog, IWebview iWebview, String str) {
            this.a = alertDialog;
            this.b = iWebview;
            this.c = str;
        }

        public boolean onKey(DialogInterface dialogInterface, int i, KeyEvent keyEvent) {
            if (keyEvent.getAction() != 1 || i != 4) {
                return false;
            }
            this.a.dismiss();
            Deprecated_JSUtil.execCallback(this.b, this.c, "{index:-1}", JSUtil.OK, true, false);
            return true;
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String str) {
        if (PdrUtil.isEmpty(str)) {
            this.m = null;
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(IWebview iWebview, String str, String[] strArr) {
        char c2;
        IActivityHandler iActivityHandler;
        String optString;
        c cVar;
        String[] strArr2;
        IActivityHandler iActivityHandler2;
        boolean z;
        a remove;
        String[] strArr3;
        c remove2;
        IApp obtainApp = iWebview.obtainApp();
        int i2 = 0;
        String str2 = strArr.length >= 1 ? strArr[0] : null;
        JSONArray createJSONArray = strArr.length >= 2 ? JSONUtil.createJSONArray(strArr[1]) : null;
        str.hashCode();
        switch (str.hashCode()) {
            case -2071870705:
                if (str.equals("closeToast")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case -1774127679:
                if (str.equals("hideMenu")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case -1727401845:
                if (str.equals("closePreviewImage")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case -1383206285:
                if (str.equals("previewImage")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case -1055312317:
                if (str.equals("WaitingView_setTitle")) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case -979805852:
                if (str.equals("prompt")) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case -739906705:
                if (str.equals("pickDate")) {
                    c2 = 6;
                    break;
                }
                c2 = 65535;
                break;
            case -739422578:
                if (str.equals("pickTime")) {
                    c2 = 7;
                    break;
                }
                c2 = 65535;
                break;
            case -339042820:
                if (str.equals("showMenu")) {
                    c2 = '\b';
                    break;
                }
                c2 = 65535;
                break;
            case -228775627:
                if (str.equals("closeWaiting")) {
                    c2 = '\t';
                    break;
                }
                c2 = 65535;
                break;
            case -160355144:
                if (str.equals("getTitlebarHeight")) {
                    c2 = '\n';
                    break;
                }
                c2 = 65535;
                break;
            case -92053387:
                if (str.equals("setTitlebarVisible")) {
                    c2 = 11;
                    break;
                }
                c2 = 65535;
                break;
            case -49471494:
                if (str.equals("_NativeObj_close")) {
                    c2 = '\f';
                    break;
                }
                c2 = 65535;
                break;
            case 92899676:
                if (str.equals("alert")) {
                    c2 = '\r';
                    break;
                }
                c2 = 65535;
                break;
            case 110532135:
                if (str.equals("toast")) {
                    c2 = 14;
                    break;
                }
                c2 = 65535;
                break;
            case 235955885:
                if (str.equals("isTitlebarVisible")) {
                    c2 = 15;
                    break;
                }
                c2 = 65535;
                break;
            case 951117504:
                if (str.equals("confirm")) {
                    c2 = 16;
                    break;
                }
                c2 = 65535;
                break;
            case 988815851:
                if (str.equals("WaitingView_close")) {
                    c2 = 17;
                    break;
                }
                c2 = 65535;
                break;
            case 1572298953:
                if (str.equals("actionSheet")) {
                    c2 = 18;
                    break;
                }
                c2 = 65535;
                break;
            case 2141060722:
                if (str.equals("WaitingView")) {
                    c2 = 19;
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                b.a(obtainApp.obtainAppId());
                break;
            case 1:
                PlatformUtil.invokeMethod("io.dcloud.appstream.actionbar.StreamAppActionBarUtil", "hideMenu", null, new Class[]{Activity.class, String.class}, new Object[]{iWebview.getActivity(), iWebview.obtainApp().obtainAppId()});
                if (!(iWebview.getActivity() == null || (iActivityHandler = DCloudAdapterUtil.getIActivityHandler(iWebview.getActivity())) == null)) {
                    iActivityHandler.sideBarHideMenu();
                    break;
                }
            case 2:
                Activity activity = RuningAcitvityUtil.getActivity("io.dcloud.feature.nativeObj.photoview.PhotoActivity");
                if (activity != null) {
                    activity.onBackPressed();
                    break;
                }
                break;
            case 3:
                JSONArray jSONArray = JSONUtil.getJSONArray(createJSONArray, 0);
                JSONObject jSONObject = JSONUtil.getJSONObject(createJSONArray, 1);
                if (jSONArray != null) {
                    ArrayList arrayList = new ArrayList();
                    ArrayList arrayList2 = new ArrayList();
                    for (int i3 = 0; i3 < jSONArray.length(); i3++) {
                        try {
                            String string = jSONArray.getString(i3);
                            arrayList.add((PdrUtil.isNetPath(string) || PdrUtil.isBase64ImagePath(string)) ? string : iWebview.obtainApp().convert2AbsFullPath(iWebview.obtainFullUrl(), string));
                            arrayList2.add(string);
                        } catch (JSONException e2) {
                            e2.printStackTrace();
                        }
                    }
                    Intent intent = new Intent();
                    intent.setClassName(obtainApp.getActivity().getPackageName(), "io.dcloud.feature.nativeObj.photoview.PhotoActivity");
                    intent.putExtra("image_urlList", arrayList);
                    intent.putExtra("original_image_urlArray", arrayList2);
                    if (jSONObject != null) {
                        intent.putExtra("image_current_index", jSONObject.optInt("current", 0));
                        if (jSONObject.has("background")) {
                            intent.putExtra("image_backgroud_color", PdrUtil.stringToColor(jSONObject.optString("background")));
                        }
                        if (jSONObject.has("loop")) {
                            intent.putExtra("image_loop", jSONObject.optBoolean("loop"));
                        }
                        if (jSONObject.has(WXBasicComponentType.INDICATOR)) {
                            intent.putExtra("image_indicator", jSONObject.optString(WXBasicComponentType.INDICATOR));
                        }
                    }
                    intent.putExtra("image_photo", true);
                    if (!(createJSONArray == null || createJSONArray.length() <= 2 || (optString = createJSONArray.optString(2)) == null)) {
                        intent.putExtra("preview_callback", optString);
                        LongClickEventManager.getInstance().addOnlongClickListener(optString, new c(iWebview, optString));
                    }
                    intent.putExtra("screen_orientation", obtainApp.getRequestedOrientation());
                    obtainApp.getActivity().startActivity(intent);
                    obtainApp.getActivity().overridePendingTransition(17432576, 17432577);
                    break;
                }
                break;
            case 4:
                HashMap<String, c> hashMap = this.a;
                if (!(hashMap == null || (cVar = hashMap.get(str2)) == null)) {
                    cVar.b(JSONUtil.getString(createJSONArray, 0));
                    break;
                }
            case 5:
                String string2 = JSONUtil.getString(createJSONArray, 0);
                String string3 = JSONUtil.getString(createJSONArray, 1);
                String string4 = JSONUtil.getString(createJSONArray, 2);
                String string5 = JSONUtil.getString(createJSONArray, 3);
                JSONArray jSONArray2 = JSONUtil.getJSONArray(createJSONArray, 4);
                if (jSONArray2 != null) {
                    int length = jSONArray2.length();
                    String[] strArr4 = new String[length];
                    while (i2 < length) {
                        strArr4[i2] = JSONUtil.getString(jSONArray2, i2);
                        i2++;
                    }
                    strArr2 = strArr4;
                } else {
                    strArr2 = null;
                }
                a((byte) 2, string4, null, string2, strArr2, string5, iWebview, string3);
                break;
            case 6:
                a(iWebview, JSONUtil.getString(createJSONArray, 0), JSONUtil.getJSONObject(createJSONArray, 1));
                break;
            case 7:
                b(iWebview, JSONUtil.getString(createJSONArray, 0), JSONUtil.getJSONObject(createJSONArray, 1));
                break;
            case '\b':
                PlatformUtil.invokeMethod("io.dcloud.appstream.actionbar.StreamAppActionBarUtil", "showMenu", null, new Class[]{Activity.class, String.class, String.class, String.class, IWebview.class, String.class}, new Object[]{iWebview.getActivity(), iWebview.obtainApp().obtainAppId(), JSONUtil.getString(createJSONArray, 0), JSONUtil.getString(createJSONArray, 1), iWebview, JSONUtil.getString(createJSONArray, 2)});
                if (!(iWebview.getActivity() == null || (iActivityHandler2 = DCloudAdapterUtil.getIActivityHandler(iWebview.getActivity())) == null)) {
                    iActivityHandler2.sideBarShowMenu(JSONUtil.getString(createJSONArray, 0), JSONUtil.getString(createJSONArray, 1), iWebview, JSONUtil.getString(createJSONArray, 2));
                    break;
                }
            case '\t':
                HashMap<String, c> hashMap2 = this.a;
                if (hashMap2 != null) {
                    for (c cVar2 : hashMap2.values()) {
                        cVar2.a();
                    }
                    this.a.clear();
                    break;
                }
                break;
            case '\n':
                Object invokeMethod = PlatformUtil.invokeMethod("io.dcloud.appstream.actionbar.StreamAppActionBarUtil", "getTitlebarHeight", null, new Class[]{Activity.class}, new Object[]{iWebview.getActivity()});
                return Deprecated_JSUtil.wrapJsVar(String.valueOf(invokeMethod instanceof Integer ? Integer.valueOf(invokeMethod.toString()).intValue() : 0), false);
            case 11:
                try {
                    z = createJSONArray.getBoolean(0);
                } catch (Exception e3) {
                    e3.printStackTrace();
                    z = true;
                }
                PlatformUtil.invokeMethod("io.dcloud.appstream.actionbar.StreamAppActionBarUtil", "setTitlebarVisible", null, new Class[]{Activity.class, String.class, Boolean.TYPE}, new Object[]{iWebview.getActivity(), iWebview.obtainApp().obtainAppId(), Boolean.valueOf(z)});
                return null;
            case '\f':
                HashMap<String, a> hashMap3 = this.b;
                if (!(hashMap3 == null || (remove = hashMap3.remove(str2)) == null)) {
                    remove.a(-1);
                    remove.b.onItemClick(-1);
                    break;
                }
            case '\r':
                a((byte) 0, JSONUtil.getString(createJSONArray, 2), null, JSONUtil.getString(createJSONArray, 0), new String[]{JSONUtil.getString(createJSONArray, 3)}, null, iWebview, JSONUtil.getString(createJSONArray, 1));
                break;
            case 14:
                a(obtainApp, iWebview, JSONUtil.getString(createJSONArray, 0), JSONUtil.getJSONObject(createJSONArray, 1));
                break;
            case 15:
                Object invokeMethod2 = PlatformUtil.invokeMethod("io.dcloud.appstream.actionbar.StreamAppActionBarUtil", "isTitlebarVisible", null, new Class[]{Activity.class, String.class}, new Object[]{iWebview.getActivity(), iWebview.obtainApp().obtainAppId()});
                return Deprecated_JSUtil.wrapJsVar(String.valueOf(invokeMethod2 instanceof Boolean ? Boolean.valueOf(invokeMethod2.toString()).booleanValue() : false), false);
            case 16:
                try {
                    String string6 = JSONUtil.getString(createJSONArray, 0);
                    String string7 = JSONUtil.getString(createJSONArray, 1);
                    Object obj = createJSONArray.get(2);
                    if (!(obj instanceof JSONObject)) {
                        if (obj instanceof String) {
                            String str3 = (String) obj;
                            JSONArray jSONArray3 = JSONUtil.getJSONArray(createJSONArray, 3);
                            if (jSONArray3 != null) {
                                int length2 = jSONArray3.length();
                                String[] strArr5 = new String[length2];
                                while (i2 < length2) {
                                    strArr5[i2] = JSONUtil.getString(jSONArray3, i2);
                                    i2++;
                                }
                                strArr3 = strArr5;
                            } else {
                                strArr3 = null;
                            }
                            a((byte) 1, str3, null, string6, strArr3, null, iWebview, string7);
                            break;
                        } else {
                            a((byte) 1, null, null, string6, null, null, iWebview, string7);
                            break;
                        }
                    } else {
                        a((byte) 1, string6, (JSONObject) obj, iWebview, string7);
                        break;
                    }
                } catch (JSONException e4) {
                    e4.printStackTrace();
                    break;
                }
            case 17:
                HashMap<String, c> hashMap4 = this.a;
                if (!(hashMap4 == null || (remove2 = hashMap4.remove(str2)) == null)) {
                    remove2.a();
                    break;
                }
            case 18:
                String string8 = JSONUtil.getString(createJSONArray, 2);
                a a2 = a(string8, JSONUtil.getJSONObject(createJSONArray, 0), JSONUtil.getString(createJSONArray, 1), iWebview);
                if (!PdrUtil.isEmpty(string8) && !PdrUtil.isEmpty(a2)) {
                    if (this.b == null) {
                        this.b = new HashMap<>();
                    }
                    this.b.put(string8, a2);
                    break;
                }
            case 19:
                String string9 = JSONUtil.getString(createJSONArray, 0);
                JSONObject jSONObject2 = JSONUtil.getJSONObject(createJSONArray, 1);
                String string10 = JSONUtil.getString(createJSONArray, 2);
                Activity topRuningActivity = RuningAcitvityUtil.getTopRuningActivity(iWebview.getActivity());
                if (!topRuningActivity.isDestroyed()) {
                    c cVar3 = new c(this, iWebview, string9, jSONObject2, string10, topRuningActivity);
                    if (this.a == null) {
                        this.a = new HashMap<>();
                    }
                    cVar3.g = str2;
                    this.a.put(str2, cVar3);
                    break;
                }
                break;
        }
        return null;
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr absMgr, String str) {
        this.m = absMgr;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b() {
        this.g = null;
        this.h = 0;
        this.i = 0;
    }

    /* access modifiers changed from: package-private */
    public void a(String str) {
        this.a.remove(str);
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x00a6  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00c8  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x011d  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x0127  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x0155  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0198  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x01b6  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x0229  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x0239  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x026f  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x028b  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x0292  */
    private void a(IApp iApp, IWebview iWebview, String str, JSONObject jSONObject) {
        int i2;
        int i3;
        int i4;
        boolean z;
        Activity topRuningActivity;
        Toast toast;
        Toast toast2;
        int i5;
        int i6;
        TextView textView;
        int i7;
        float scale = iWebview.getScale();
        Bitmap bitmap = null;
        int i8 = 80;
        String str2 = AbsoluteConst.JSON_VALUE_BLOCK;
        if (jSONObject != null) {
            z = TextUtils.equals(WXBasicComponentType.RICHTEXT, jSONObject.optString("type"));
            if (!jSONObject.isNull("style") && !str2.equals(JSONUtil.getString(jSONObject, "style").toLowerCase(Locale.ENGLISH))) {
                str2 = AbsoluteConst.JSON_VALUE_INLINE;
            }
            if (!jSONObject.isNull("icon")) {
                String convert2AbsFullPath = iApp.convert2AbsFullPath(iWebview.obtainFullUrl(), JSONUtil.getString(jSONObject, "icon"));
                BitmapFactory.Options options = new BitmapFactory.Options();
                options.inScaled = false;
                bitmap = BitmapFactory.decodeStream(PlatformUtil.getInputStream(convert2AbsFullPath), null, options);
            }
            i4 = (jSONObject.isNull("duration") || !"long".equals(JSONUtil.getString(jSONObject, "duration").toLowerCase(Locale.ENGLISH))) ? 0 : 1;
            if (!jSONObject.isNull(AbsoluteConst.JSON_KEY_ALIGN)) {
                String string = JSONUtil.getString(jSONObject, AbsoluteConst.JSON_KEY_ALIGN);
                if ("left".equals(string)) {
                    i3 = 3;
                } else if ("right".equals(string)) {
                    i3 = 5;
                }
                if (!jSONObject.isNull(AbsoluteConst.JSON_KEY_VERTICAL_ALIGN)) {
                    String string2 = JSONUtil.getString(jSONObject, AbsoluteConst.JSON_KEY_VERTICAL_ALIGN);
                    if ("top".equals(string2)) {
                        i8 = 48;
                    } else if (!"bottom".equals(string2)) {
                        i8 = 16;
                    }
                }
                if (!jSONObject.isNull("background")) {
                    String string3 = JSONUtil.getString(jSONObject, "background");
                    if (!PdrUtil.isEmpty(string3)) {
                        i2 = PdrUtil.stringToColor(string3);
                        topRuningActivity = RuningAcitvityUtil.getTopRuningActivity(iWebview.getActivity());
                        if (topRuningActivity != null || !topRuningActivity.isFinishing()) {
                            if (bitmap == null || z) {
                                if (!z) {
                                    toast2 = new b(topRuningActivity, iApp.obtainAppId());
                                } else {
                                    toast2 = new ToastCompat(topRuningActivity.getApplicationContext());
                                }
                                LinearLayout linearLayout = new LinearLayout(topRuningActivity);
                                int dip2px = CanvasHelper.dip2px(topRuningActivity, 10.0f);
                                int dip2px2 = CanvasHelper.dip2px(topRuningActivity, 8.0f);
                                linearLayout.setPadding(dip2px, dip2px2, dip2px, dip2px2);
                                linearLayout.setGravity(17);
                                if (Build.BRAND.equalsIgnoreCase("xiaomi")) {
                                    GradientDrawable gradientDrawable = new GradientDrawable();
                                    gradientDrawable.setCornerRadius((float) dip2px2);
                                    gradientDrawable.setShape(0);
                                    if (i2 <= 0) {
                                        gradientDrawable.setColor(i2);
                                    } else {
                                        gradientDrawable.setColor(-1308622848);
                                    }
                                    linearLayout.setBackground(gradientDrawable);
                                } else if (i2 <= 0) {
                                    Drawable drawable = iWebview.getContext().getResources().getDrawable(17301654);
                                    drawable.setColorFilter(i2, PorterDuff.Mode.SRC);
                                    linearLayout.setBackground(drawable);
                                } else {
                                    String systemProperty = DataInterface.getSystemProperty();
                                    String[] strArr = {"v11", "v12"};
                                    if (PdrUtil.isEmpty(systemProperty) || Arrays.binarySearch(strArr, systemProperty.toLowerCase(Locale.ENGLISH)) == -1) {
                                        linearLayout.setBackgroundResource(17301654);
                                    } else {
                                        linearLayout.setBackgroundResource(R.drawable.toast_bg);
                                    }
                                }
                                if (bitmap == null) {
                                    ImageView imageView = new ImageView(topRuningActivity);
                                    LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
                                    layoutParams.gravity = 17;
                                    String string4 = JSONUtil.getString(jSONObject, AbsoluteConst.JSON_KEY_ICON_WIDTH);
                                    String string5 = JSONUtil.getString(jSONObject, AbsoluteConst.JSON_KEY_ICON_HEIGHT);
                                    i5 = i8;
                                    if (TextUtils.isEmpty(string4) || !string4.endsWith("px")) {
                                        i6 = i3;
                                        i7 = 0;
                                    } else {
                                        i6 = i3;
                                        i7 = 0;
                                        layoutParams.width = PdrUtil.convertToScreenInt(string4, 0, 0, scale);
                                    }
                                    if (!TextUtils.isEmpty(string5) && string5.endsWith("px")) {
                                        layoutParams.height = PdrUtil.convertToScreenInt(string5, i7, i7, scale);
                                    }
                                    int dip2px3 = CanvasHelper.dip2px(topRuningActivity, 7.0f);
                                    if (str2.equals(AbsoluteConst.JSON_VALUE_INLINE)) {
                                        linearLayout.setOrientation(i7);
                                        layoutParams.setMargins(dip2px3, dip2px3, dip2px3, dip2px3);
                                    } else {
                                        int dip2px4 = CanvasHelper.dip2px(topRuningActivity, 1.0f);
                                        linearLayout.setOrientation(1);
                                        layoutParams.setMargins(dip2px3, dip2px3, dip2px3, dip2px4);
                                    }
                                    imageView.setLayoutParams(layoutParams);
                                    imageView.setImageBitmap(bitmap);
                                    linearLayout.addView(imageView);
                                } else {
                                    i5 = i8;
                                    i6 = i3;
                                }
                                LinearLayout.LayoutParams layoutParams2 = new LinearLayout.LayoutParams(-2, -2);
                                layoutParams2.gravity = 17;
                                if (!z) {
                                    textView = (TextView) this.m.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", "makeRichText", new Object[]{iWebview.obtainFrameView(), str, jSONObject.optJSONObject("richTextStyle"), toast2}});
                                } else {
                                    TextView textView2 = new TextView(topRuningActivity);
                                    textView2.setText(str);
                                    textView = textView2;
                                }
                                textView.setTextColor(Color.parseColor("#ffffffff"));
                                textView.setLayoutParams(layoutParams2);
                                linearLayout.addView(textView);
                                if (!z) {
                                    ((b) toast2).a(linearLayout, textView);
                                } else {
                                    toast2.setView(linearLayout);
                                }
                                toast2.setGravity(i6 | i5, toast2.getXOffset(), toast2.getYOffset());
                                toast2.setDuration(i4);
                                toast = toast2;
                            } else {
                                toast = ToastCompat.makeText(topRuningActivity.getApplicationContext(), (CharSequence) str, i4);
                                toast.setGravity(i3 | i8, toast.getXOffset(), toast.getYOffset());
                                if (i2 <= 0) {
                                    toast.getView().getBackground().setColorFilter(i2, PorterDuff.Mode.SRC);
                                }
                            }
                            toast.show();
                        }
                        return;
                    }
                }
            }
            i3 = 1;
            if (!jSONObject.isNull(AbsoluteConst.JSON_KEY_VERTICAL_ALIGN)) {
            }
            if (!jSONObject.isNull("background")) {
            }
        } else {
            z = false;
            i4 = 0;
            i3 = 1;
        }
        i2 = 1;
        topRuningActivity = RuningAcitvityUtil.getTopRuningActivity(iWebview.getActivity());
        if (topRuningActivity != null) {
        }
        if (bitmap == null) {
        }
        if (!z) {
        }
        LinearLayout linearLayout2 = new LinearLayout(topRuningActivity);
        int dip2px5 = CanvasHelper.dip2px(topRuningActivity, 10.0f);
        int dip2px22 = CanvasHelper.dip2px(topRuningActivity, 8.0f);
        linearLayout2.setPadding(dip2px5, dip2px22, dip2px5, dip2px22);
        linearLayout2.setGravity(17);
        if (Build.BRAND.equalsIgnoreCase("xiaomi")) {
        }
        if (bitmap == null) {
        }
        LinearLayout.LayoutParams layoutParams22 = new LinearLayout.LayoutParams(-2, -2);
        layoutParams22.gravity = 17;
        if (!z) {
        }
        textView.setTextColor(Color.parseColor("#ffffffff"));
        textView.setLayoutParams(layoutParams22);
        linearLayout2.addView(textView);
        if (!z) {
        }
        toast2.setGravity(i6 | i5, toast2.getXOffset(), toast2.getYOffset());
        toast2.setDuration(i4);
        toast = toast2;
        toast.show();
    }

    private void b(IWebview iWebview, String str, JSONObject jSONObject) {
        int i2;
        int i3;
        if (this.g != null) {
            Deprecated_JSUtil.execCallback(iWebview, str, DOMException.toJSON(5, ""), JSUtil.ERROR, true, false);
            return;
        }
        Activity topRuningActivity = RuningAcitvityUtil.getTopRuningActivity(iWebview.getActivity());
        boolean z = jSONObject != null && !jSONObject.isNull("title");
        boolean parseBoolean = PdrUtil.parseBoolean(JSONUtil.getString(jSONObject, AbsoluteConst.JSON_KEY_IS24HOUR), true, false);
        String string = JSONUtil.getString(jSONObject, Constants.Value.TIME);
        String string2 = JSONUtil.getString(jSONObject, "__minutes");
        String string3 = JSONUtil.getString(jSONObject, "__hours");
        if (PdrUtil.isEmpty(string3)) {
            GregorianCalendar gregorianCalendar = new GregorianCalendar();
            PdrUtil.isEmpty(string);
            if (parseBoolean) {
                i3 = gregorianCalendar.get(11);
            } else {
                i3 = gregorianCalendar.get(10);
            }
            i2 = gregorianCalendar.get(12);
        } else {
            i3 = Integer.parseInt(string3);
            i2 = Integer.parseInt(string2);
        }
        i iVar = new i(topRuningActivity, new h(), i3, i2, parseBoolean, i3, i2, z, iWebview, str);
        if (z) {
            iVar.setTitle(JSONUtil.getString(jSONObject, "title"));
        }
        iVar.setOnDismissListener(new j(iWebview, str));
        iVar.show();
        this.g = iVar;
    }

    private void a(IWebview iWebview, String str, JSONObject jSONObject) {
        int i2;
        int i3;
        int i4;
        int i5;
        if (this.c != null) {
            Deprecated_JSUtil.execCallback(iWebview, str, DOMException.toJSON(5, ""), JSUtil.ERROR, true, false);
            return;
        }
        Activity topRuningActivity = RuningAcitvityUtil.getTopRuningActivity(iWebview.getActivity());
        int i6 = JSONUtil.getInt(jSONObject, AbsoluteConst.JSON_KEY_STARTYEAR);
        int i7 = JSONUtil.getInt(jSONObject, "startMonth");
        int i8 = JSONUtil.getInt(jSONObject, "startDay");
        int i9 = JSONUtil.getInt(jSONObject, AbsoluteConst.JSON_KEY_ENDYEAR);
        int i10 = JSONUtil.getInt(jSONObject, "endMonth");
        int i11 = JSONUtil.getInt(jSONObject, "endDay");
        int i12 = JSONUtil.getInt(jSONObject, "setYear");
        int i13 = JSONUtil.getInt(jSONObject, "setMonth");
        int i14 = JSONUtil.getInt(jSONObject, "setDay");
        if (i12 == 0) {
            GregorianCalendar gregorianCalendar = new GregorianCalendar();
            gregorianCalendar.setTime(new Date());
            int i15 = gregorianCalendar.get(1);
            int i16 = gregorianCalendar.get(2);
            i2 = gregorianCalendar.get(5);
            i4 = i15;
            i3 = i16;
        } else {
            i4 = i12;
            i3 = i13;
            i2 = i14;
        }
        boolean z = jSONObject != null && !jSONObject.isNull("title");
        GregorianCalendar gregorianCalendar2 = new GregorianCalendar();
        f fVar = new f(topRuningActivity, 0, new e(), i4, i3, i2, i4, i3, i2, z, iWebview, str);
        if (DeviceInfo.sDeviceSdkVer >= 11) {
            if (i6 > 1900) {
                gregorianCalendar2.set(1, i6);
                i5 = 2;
                gregorianCalendar2.set(2, i7);
                gregorianCalendar2.set(5, i8);
                fVar.getDatePicker().setMinDate(gregorianCalendar2.getTimeInMillis());
            } else {
                i5 = 2;
            }
            if (i9 > 1900 && i9 >= i6) {
                gregorianCalendar2.set(1, i9);
                gregorianCalendar2.set(i5, i10);
                gregorianCalendar2.set(5, i11);
                fVar.getDatePicker().setMaxDate(gregorianCalendar2.getTimeInMillis());
            }
        }
        fVar.setOnDismissListener(new g(iWebview, str));
        if (z) {
            fVar.setTitle(JSONUtil.getString(jSONObject, "title"));
        }
        fVar.show();
        this.c = fVar;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a() {
        this.c = null;
        this.d = 0;
        this.e = 0;
        this.f = 0;
    }

    private a a(String str, JSONObject jSONObject, String str2, IWebview iWebview) {
        a aVar;
        String optString = jSONObject.has("title") ? jSONObject.optString("title") : null;
        String optString2 = jSONObject.has(BindingXConstants.STATE_CANCEL) ? jSONObject.optString(BindingXConstants.STATE_CANCEL) : null;
        JSONArray optJSONArray = jSONObject.optJSONArray("buttons");
        if (optJSONArray == null || a(optJSONArray, iWebview.obtainApp(), str2, iWebview)) {
            return null;
        }
        d dVar = new d(iWebview, str2, str);
        Activity topRuningActivity = RuningAcitvityUtil.getTopRuningActivity(iWebview.getActivity());
        topRuningActivity.setTheme(NativeUIR.ACTS_STYLE_ActionSheetStyleIOS7);
        int i2 = 16973837;
        if (iWebview.obtainApp().isFullScreen()) {
            i2 = 16973838;
        }
        if (Build.VERSION.SDK_INT >= 21) {
            aVar = new a(topRuningActivity);
        } else {
            aVar = new a(topRuningActivity, i2);
        }
        aVar.b(optString2);
        aVar.a(optString);
        aVar.a(optJSONArray);
        aVar.a(dVar);
        aVar.a(true);
        aVar.j();
        return aVar;
    }

    private void a(byte b2, String str, JSONObject jSONObject, IWebview iWebview, String str2) {
        String[] strArr;
        String optString = jSONObject.optString(AbsoluteConst.JSON_KEY_VERTICAL_ALIGN, "center");
        JSONArray optJSONArray = jSONObject.optJSONArray("buttons");
        if (optJSONArray != null) {
            int length = optJSONArray.length();
            strArr = new String[length];
            for (int i2 = 0; i2 < length; i2++) {
                strArr[i2] = JSONUtil.getString(optJSONArray, i2);
            }
        } else {
            strArr = null;
        }
        if (TextUtils.equals(optString, "center")) {
            a(b2, jSONObject.optString("title"), null, str, strArr, null, iWebview, str2, 17);
        } else if (TextUtils.equals(optString, "top")) {
            a(b2, jSONObject.optString("title"), null, str, strArr, null, iWebview, str2, 49);
        } else if (TextUtils.equals(optString, "bottom")) {
            a(b2, jSONObject.optString("title"), null, str, strArr, null, iWebview, str2, 81);
        }
    }

    private void a(byte b2, String str, String str2, String str3, String[] strArr, String str4, IWebview iWebview, String str5) {
        a(b2, str, str2, str3, strArr, str4, iWebview, str5, 17);
    }

    private void a(byte b2, String str, String str2, String str3, String[] strArr, String str4, IWebview iWebview, String str5, int i2) {
        String[] strArr2;
        Activity topRuningActivity = RuningAcitvityUtil.getTopRuningActivity(iWebview.getActivity());
        int i3 = 0;
        if (b2 != 0) {
            DCloudAlertDialog initDialogTheme = DialogUtil.initDialogTheme(topRuningActivity, true);
            initDialogTheme.setMessage(str3);
            EditText editText = null;
            if (b2 == 2) {
                editText = new EditText(topRuningActivity);
                if (str4 != null) {
                    editText.setHint(str4);
                }
                initDialogTheme.setView(editText);
                Editable text = editText.getText();
                if (text instanceof Spannable) {
                    Selection.setSelection(text, text.length());
                }
            }
            if (b2 == 1) {
                Window window = initDialogTheme.getWindow();
                WindowManager.LayoutParams attributes = window.getAttributes();
                attributes.gravity = i2;
                window.setAttributes(attributes);
            }
            if (!PdrUtil.isEmpty(str)) {
                initDialogTheme.setTitle(str);
            }
            initDialogTheme.setCanceledOnTouchOutside(false);
            initDialogTheme.setMessage(str3);
            if (strArr == null) {
                strArr2 = new String[]{AndroidResources.getString(17039370), AndroidResources.getString(17039360)};
            } else {
                strArr2 = strArr;
            }
            if (!a(b2, str3, strArr2, iWebview.obtainApp(), iWebview, str5)) {
                while (i3 < strArr2.length && i3 < 3) {
                    a aVar = new a(b2, editText, iWebview, str5, i3, initDialogTheme);
                    if (i3 == 0) {
                        initDialogTheme.setButton(strArr2[i3], aVar);
                    } else if (i3 == 1) {
                        initDialogTheme.setButton3(strArr2[i3], aVar);
                    } else if (i3 == 2) {
                        initDialogTheme.setButton2(strArr2[i3], aVar);
                    }
                    i3++;
                }
                initDialogTheme.setOnKeyListener(new b(b2, editText, iWebview, str5, initDialogTheme));
                initDialogTheme.show();
                if (b2 == 2 && !Build.FINGERPRINT.toLowerCase(Locale.ENGLISH).contains("flyme")) {
                    DeviceInfo.showIME(editText);
                }
            }
        } else if (!a(str3, iWebview.obtainApp(), iWebview, str5)) {
            DCloudAlertDialog initDialogTheme2 = DialogUtil.initDialogTheme(topRuningActivity, true);
            if (strArr != null && PdrUtil.isEmpty(strArr[0])) {
                strArr[0] = AndroidResources.getString(17039370);
            }
            if (!PdrUtil.isEmpty(str)) {
                initDialogTheme2.setTitle(str);
            }
            initDialogTheme2.setCanceledOnTouchOutside(false);
            initDialogTheme2.setMessage(str3);
            initDialogTheme2.setButton(strArr[0], new k(initDialogTheme2, iWebview, str5));
            initDialogTheme2.setOnKeyListener(new l(initDialogTheme2, iWebview, str5));
            initDialogTheme2.show();
        }
    }

    private boolean a(String str, IApp iApp, IWebview iWebview, String str2) {
        if (TextUtils.isEmpty(str) || !BaseInfo.ISAMU) {
            return false;
        }
        if (!str.contains("更新") && !str.contains("升级") && !str.contains("版本")) {
            return false;
        }
        try {
            Deprecated_JSUtil.execCallback(iWebview, str2, "{index:0}", JSUtil.OK, true, false);
            a(iApp);
            return true;
        } catch (JSONException e2) {
            e2.printStackTrace();
            return false;
        }
    }

    private boolean a(byte b2, String str, String[] strArr, IApp iApp, IWebview iWebview, String str2) {
        if (!TextUtils.isEmpty(str) && strArr != null && BaseInfo.ISAMU) {
            String str3 = str;
            int i2 = 0;
            while (i2 < strArr.length && i2 < 3) {
                String str4 = strArr[i2];
                if (str4.contains("更新") || str4.contains("升级") || ((str3.contains("更新") || str3.contains("升级") || str3.contains("版本")) && (str4.equals(WXModalUIModule.OK) || str4.equals("是") || str4.equals("确定")))) {
                    if (b2 == 2) {
                        str3 = "";
                        try {
                            String jSONableString = JSONUtil.toJSONableString(str3);
                            Deprecated_JSUtil.execCallback(iWebview, str2, "{index:" + i2 + ",message:" + jSONableString + Operators.BLOCK_END_STR, JSUtil.OK, true, false);
                            a(iApp);
                            return true;
                        } catch (JSONException e2) {
                            e2.printStackTrace();
                        }
                    } else if (b2 == 1) {
                        Deprecated_JSUtil.execCallback(iWebview, str2, String.valueOf(i2), JSUtil.OK, true, false);
                        a(iApp);
                        return true;
                    }
                }
                i2++;
            }
        }
        return false;
    }

    private boolean a(JSONArray jSONArray, IApp iApp, String str, IWebview iWebview) {
        if (jSONArray != null && BaseInfo.ISAMU) {
            for (int i2 = 0; i2 < jSONArray.length(); i2++) {
                try {
                    String string = jSONArray.getJSONObject(i2).getString("title");
                    if (string.contains("更新") || string.contains("升级") || string.contains("版本")) {
                        Deprecated_JSUtil.execCallback(iWebview, str, "" + (i2 + 1), JSUtil.OK, true, false);
                        a(iApp);
                        return true;
                    }
                } catch (JSONException e2) {
                    e2.printStackTrace();
                }
            }
        }
        return false;
    }

    private void a(IApp iApp) throws JSONException {
        JSONObject jSONObject = new JSONObject();
        jSONObject.put("type", "notify");
        jSONObject.put("appid", iApp.obtainOriginalAppId());
        jSONObject.put("version", iApp.obtainAppVersionName());
        Log.i(AbsoluteConst.HBUILDER_TAG, jSONObject.toString());
    }
}
