package io.dcloud.sdk.core;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.Application;
import android.content.Context;
import android.os.Build;
import android.os.Process;
import android.webkit.WebView;
import io.dcloud.sdk.core.api.AdLoader;
import java.util.concurrent.atomic.AtomicBoolean;

public class DCloudAdManager {
    private static String a = "";
    protected static AdLoader b;
    protected static AtomicBoolean c = new AtomicBoolean(false);
    private static AtomicBoolean d = new AtomicBoolean(false);

    public static class InitConfig {
        private String a;
        private String b;
        private String c;
        private String d;
        private boolean e = false;

        public String getAdId() {
            return this.b;
        }

        public String getAppId() {
            return this.a;
        }

        public String getName() {
            return this.d;
        }

        public String getVersion() {
            return this.c;
        }

        public boolean isDebug() {
            return this.e;
        }

        public InitConfig setAdId(String str) {
            this.b = str;
            return this;
        }

        public InitConfig setAppId(String str) {
            this.a = str;
            return this;
        }

        public void setDebug(boolean z) {
            this.e = z;
        }

        public InitConfig setName(String str) {
            this.d = str;
            return this;
        }

        public InitConfig setVersion(String str) {
            this.c = str;
            return this;
        }
    }

    public static class a {
        private String aId;
        private String[] imeis;
        private String imsis;
        private boolean isAdult = true;
        private boolean isAllowPrivacy = true;
        private boolean isCanUsePhoneState = true;
        private String mac;

        public String getAndroidId() {
            throw null;
        }

        public String[] getImeis() {
            throw null;
        }

        public String getImsi() {
            throw null;
        }

        public String getMacAddress() {
            return this.mac;
        }

        public boolean isAdult() {
            return this.isAdult;
        }

        public boolean isAllowPrivacy() {
            return this.isAllowPrivacy;
        }

        public boolean isCanUsePhoneState() {
            return this.isCanUsePhoneState;
        }

        public void setAdult(boolean z) {
            this.isAdult = z;
        }

        public void setAllowPrivacy(boolean z) {
            this.isAllowPrivacy = z;
        }

        public void setAndroidId(String str) {
            this.aId = str;
        }

        public void setCanUsePhoneState(boolean z) {
            this.isCanUsePhoneState = z;
        }

        public void setImeis(String[] strArr) {
            this.imeis = strArr;
        }

        public void setImsi(String str) {
            this.imsis = str;
        }

        public void setMacAddress(String str) {
            this.mac = str;
        }
    }

    public static boolean getPersonalAd(Context context) {
        AdLoader adLoader = b;
        if (adLoader == null) {
            return false;
        }
        return adLoader.getPersonalAd(context);
    }

    public static String getVersion() {
        return a;
    }

    public static void init(Context context, InitConfig initConfig) {
        if (context == null || initConfig == null) {
            throw new NullPointerException("context or config is null");
        } else if (((context instanceof Activity) || (context instanceof Application)) && !c.get()) {
            c.set(true);
            if (b == null) {
                io.dcloud.h.c.a d2 = io.dcloud.h.c.a.d();
                d2.b(context);
                d2.a(initConfig);
                b = d2;
                d2.a(context);
            }
        }
    }

    public static void initWebViewWithMultiProcess(Context context) {
        if (Build.VERSION.SDK_INT >= 28) {
            for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : ((ActivityManager) context.getSystemService("activity")).getRunningAppProcesses()) {
                if (runningAppProcessInfo.pid == Process.myPid()) {
                    if (runningAppProcessInfo.processName.equals(context.getPackageName())) {
                        WebView.setDataDirectorySuffix(runningAppProcessInfo.processName);
                        return;
                    }
                    return;
                }
            }
        }
    }

    public static boolean isInit() {
        return c.get();
    }

    public static void setPersonalAd(Context context, boolean z) {
        AdLoader adLoader = b;
        if (adLoader != null) {
            adLoader.setPersonalAd(context, z);
        }
    }

    public static void setPrivacyConfig(a aVar) {
        AdLoader adLoader = b;
        if (adLoader == null) {
            throw new RuntimeException("please init first");
        } else if (aVar != null) {
            adLoader.setPrivacyConfig(aVar);
        } else {
            throw new RuntimeException("config is null");
        }
    }
}
