package io.dcloud.sdk.core.module;

import android.app.Activity;
import android.text.TextUtils;
import com.autonavi.base.ae.gmap.glanimation.AbstractAdglAnimation;
import io.dcloud.h.c.c.a.b.f.b;
import io.dcloud.h.c.c.e.e;
import io.dcloud.sdk.core.entry.DCloudAdSlot;
import io.dcloud.sdk.core.util.AdType;
import io.dcloud.sdk.core.util.Const;
import io.dcloud.sdk.core.util.MainHandlerUtil;
import io.dcloud.sdk.core.util.TidUtil;
import java.util.Map;

public abstract class BaseAdLoader extends b {
    private DCloudAdSlot g;
    private Activity h;
    private AdType i;
    private boolean j = false;
    private int k = 0;
    private String l;
    private int m = -1;
    private boolean n = false;

    public BaseAdLoader(DCloudAdSlot dCloudAdSlot, Activity activity) {
        this.g = dCloudAdSlot;
        this.h = activity;
        this.i = dCloudAdSlot.getType();
        a(-1);
    }

    /* access modifiers changed from: private */
    public /* synthetic */ void b(Object obj) {
        setSuccess();
        setChanged();
        notifyObservers(obj);
    }

    public void biddingFail(int i2, int i3) {
        e.b("uniAd", "bidding fail:" + getType() + ",Win:" + i2 + ",second:" + i3);
    }

    public void biddingSuccess(int i2, int i3) {
        e.b("uniAd", "bidding success:" + getType() + ",Win:" + i2 + ",second:" + i3);
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.h.c.c.a.b.f.b, io.dcloud.h.c.c.a.b.f.a
    public String e() {
        return super.e();
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.h.c.c.a.b.f.a
    public String f() {
        return this.g.getAdpid();
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.h.c.c.a.b.f.a
    public String g() {
        return this.g.getEI();
    }

    public Activity getActivity() {
        return this.h;
    }

    public AdType getAdType() {
        return this.i;
    }

    @Override // io.dcloud.h.c.c.a.b.f.a
    public float getBiddingECPM() {
        return (float) this.m;
    }

    public DCloudAdSlot getSlot() {
        return this.g;
    }

    @Override // io.dcloud.h.c.c.a.b.f.a
    public String getSlotId() {
        return this.l;
    }

    @Override // io.dcloud.h.c.c.a.b.f.a
    public String getTid() {
        return TidUtil.getTid(getType(), this.g.getType());
    }

    /* access modifiers changed from: protected */
    public boolean i() {
        return true;
    }

    public abstract void init(Activity activity, String str, String str2);

    public boolean isPlatformSupportBidding() {
        return Const.TYPE_GDT.equals(getType()) || Const.TYPE_BD.equals(getType()) || Const.TYPE_KS.equals(getType());
    }

    public boolean isShow() {
        return this.j;
    }

    /* access modifiers changed from: protected */
    public boolean j() {
        return false;
    }

    public abstract void load();

    public void loadAd(io.dcloud.h.c.d.b bVar, Map<String, Object> map) {
        a(-1);
        this.j = false;
        this.k = bVar.b();
        this.l = bVar.c();
        this.n = bVar.e();
        this.m = bVar.a();
        init(this.h, e(), h());
        if (TextUtils.isEmpty(this.l) || !i()) {
            loadFail(AbstractAdglAnimation.INVALIDE_VALUE, "");
            return;
        }
        startLoadTime();
        if (j()) {
            MainHandlerUtil.getMainHandler().post(new Runnable() {
                /* class io.dcloud.sdk.core.module.$$Lambda$XTM7w3t14cvkRN0CAU0PsOBk3g */

                public final void run() {
                    BaseAdLoader.this.load();
                }
            });
        } else {
            load();
        }
    }

    public void loadFail(int i2, String str) {
        setFail(i2, str);
        postChange(null);
    }

    public void loadSuccess() {
        loadSuccess(null);
    }

    @Override // io.dcloud.h.c.c.a.b.f.a
    public void setBiddingECPM(int i2) {
        e.b("uniAd", getType() + "-bidding:" + i2);
        this.m = i2;
    }

    public void setClick() {
        super.a(this.h);
    }

    public void setShow() {
        this.j = true;
        super.b(this.h);
    }

    public void loadSuccess(Object obj) {
        MainHandlerUtil.getMainHandler().post(new Runnable(obj) {
            /* class io.dcloud.sdk.core.module.$$Lambda$BaseAdLoader$jiBaKaMkDIRCGqMuI_CZg3eotGI */
            public final /* synthetic */ Object f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                BaseAdLoader.this.b((BaseAdLoader) this.f$1);
            }
        });
    }
}
