package io.dcloud.sdk.core.v2.draw;

import android.app.Activity;
import io.dcloud.h.c.f.a;
import io.dcloud.sdk.core.api.AdLoader;
import io.dcloud.sdk.core.api.DrawAd;
import io.dcloud.sdk.core.entry.DCloudAdSlot;
import io.dcloud.sdk.core.util.AdErrorUtil;
import java.util.ArrayList;
import java.util.List;

public class DCDrawAdLoader extends a {
    public DCDrawAdLoader(Activity activity) {
        super(activity);
    }

    public void load(DCloudAdSlot dCloudAdSlot, final DCDrawAdLoadListener dCDrawAdLoadListener) {
        if (getContext() != null && dCloudAdSlot != null) {
            io.dcloud.h.c.a.d().loadDrawAd(getContext(), dCloudAdSlot, new AdLoader.DrawAdLoadListener() {
                /* class io.dcloud.sdk.core.v2.draw.DCDrawAdLoader.AnonymousClass1 */

                @Override // io.dcloud.sdk.core.api.AdLoader.DrawAdLoadListener
                public void onDrawAdLoad(List<DrawAd> list) {
                    if (dCDrawAdLoadListener != null) {
                        ArrayList arrayList = new ArrayList();
                        for (DrawAd drawAd : list) {
                            arrayList.add(new DCDrawAd(drawAd));
                        }
                        dCDrawAdLoadListener.onDrawAdLoad(arrayList);
                    }
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.DrawAdLoadListener, io.dcloud.sdk.core.api.AdLoader.AdLoadListener
                public void onError(int i, String str) {
                    DCDrawAdLoadListener dCDrawAdLoadListener = dCDrawAdLoadListener;
                    if (dCDrawAdLoadListener != null) {
                        dCDrawAdLoadListener.onError(i, str);
                    }
                }
            });
        } else if (dCDrawAdLoadListener != null) {
            dCDrawAdLoadListener.onError(-5014, AdErrorUtil.getErrorMsg(-5014));
        }
    }
}
