package io.dcloud.sdk.core.v2.feed;

import android.app.Activity;
import android.view.View;
import io.dcloud.sdk.core.api.FeedAd;
import io.dcloud.sdk.core.util.MainHandlerUtil;

public class DCFeedAd {
    private FeedAd a;
    private DCFeedAdListener b;

    public DCFeedAd(FeedAd feedAd) {
        this.a = feedAd;
    }

    public void destroy() {
        FeedAd feedAd = this.a;
        if (feedAd != null) {
            feedAd.destroy();
        }
    }

    public View getFeedAdView(Activity activity) {
        FeedAd feedAd = this.a;
        if (feedAd != null) {
            return feedAd.getExpressAdView(activity);
        }
        return null;
    }

    public String getType() {
        FeedAd feedAd = this.a;
        return feedAd != null ? feedAd.getType() : "";
    }

    public void render() {
        FeedAd feedAd = this.a;
        if (feedAd != null) {
            feedAd.setAdListener(new FeedAd.FeedAdListener() {
                /* class io.dcloud.sdk.core.v2.feed.DCFeedAd.AnonymousClass1 */

                @Override // io.dcloud.sdk.core.api.FeedAd.FeedAdListener
                public void onClicked() {
                    if (DCFeedAd.this.b != null) {
                        DCFeedAd.this.b.onClick();
                    }
                }

                @Override // io.dcloud.sdk.core.api.FeedAd.FeedAdListener
                public void onClosed(String str) {
                    if (DCFeedAd.this.b != null) {
                        DCFeedAd.this.b.onClosed(str);
                    }
                }

                @Override // io.dcloud.sdk.core.api.FeedAd.FeedAdListener
                public void onRenderFail() {
                    if (DCFeedAd.this.b != null) {
                        DCFeedAd.this.b.onRenderFail();
                    }
                }

                @Override // io.dcloud.sdk.core.api.FeedAd.FeedAdListener
                public void onRenderSuccess() {
                    if (DCFeedAd.this.b != null) {
                        DCFeedAd.this.b.onRenderSuccess();
                    }
                }

                @Override // io.dcloud.sdk.core.api.FeedAd.FeedAdListener
                public void onShow() {
                    if (DCFeedAd.this.b != null) {
                        DCFeedAd.this.b.onShow();
                    }
                }

                @Override // io.dcloud.sdk.core.api.FeedAd.FeedAdListener
                public void onShowError() {
                    if (DCFeedAd.this.b != null) {
                        DCFeedAd.this.b.onShowError();
                    }
                }
            });
            MainHandlerUtil.getMainHandler().post(new Runnable() {
                /* class io.dcloud.sdk.core.v2.feed.$$Lambda$DCFeedAd$o9hW8MUnrVDukw7XWepMI1YCAEA */

                public final void run() {
                    DCFeedAd.lambda$o9hW8MUnrVDukw7XWepMI1YCAEA(DCFeedAd.this);
                }
            });
        }
    }

    public void setFeedAdListener(DCFeedAdListener dCFeedAdListener) {
        this.b = dCFeedAdListener;
    }

    /* access modifiers changed from: private */
    public /* synthetic */ void a() {
        this.a.render();
    }
}
