package io.dcloud.sdk.core.v2.splash;

import android.app.Activity;
import android.view.ViewGroup;
import io.dcloud.h.c.f.f;
import io.dcloud.sdk.core.entry.SplashConfig;
import io.dcloud.sdk.core.util.AdErrorUtil;
import io.dcloud.sdk.core.v2.base.DCBaseAd;

public class DCSplashAd extends DCBaseAd {
    private f b;

    public DCSplashAd(Activity activity) {
        super(activity);
        this.b = new f(activity);
    }

    public boolean isValid() {
        f fVar = this.b;
        return fVar != null && fVar.isValid();
    }

    public void load(SplashConfig splashConfig, DCSplashAdLoadListener dCSplashAdLoadListener) {
        if (getContext() != null && splashConfig != null) {
            f fVar = this.b;
            if (fVar != null) {
                fVar.a(splashConfig, dCSplashAdLoadListener);
            } else if (dCSplashAdLoadListener != null) {
                dCSplashAdLoadListener.onError(-5015, AdErrorUtil.getErrorMsg(-5015));
            }
        } else if (dCSplashAdLoadListener != null) {
            dCSplashAdLoadListener.onError(-5014, AdErrorUtil.getErrorMsg(-5014));
        }
    }

    public void setSplashAdListener(DCSplashAdListener dCSplashAdListener) {
        f fVar = this.b;
        if (fVar != null) {
            fVar.setSplashAdListener(dCSplashAdListener);
        }
    }

    public void showIn(ViewGroup viewGroup) {
        f fVar = this.b;
        if (fVar != null) {
            fVar.showIn(viewGroup);
        }
    }
}
