package com.amap.api.maps.model.animation;

import com.amap.api.maps.model.LatLng;
import com.autonavi.amap.mapcore.animation.GLTranslateAnimation;

public class TranslateAnimation extends Animation {
    private double x;
    private double y;

    /* access modifiers changed from: protected */
    @Override // com.amap.api.maps.model.animation.Animation
    public String getAnimationType() {
        return "TranslateAnimation";
    }

    public TranslateAnimation(LatLng latLng) {
        this.glAnimation = new GLTranslateAnimation(latLng);
        this.x = latLng.latitude;
        this.y = latLng.longitude;
    }
}
