package com.loc;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.services.district.DistrictSearchQuery;
import com.taobao.weex.performance.WXInstanceApm;
import com.taobao.weex.ui.component.richtext.node.RichTextNode;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.net.NetWork;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.HashMap;
import java.util.Map;

/* compiled from: GeoFenceNetManager */
public final class b {
    bg a = null;

    public b(Context context) {
        try {
            q.a().a(context);
        } catch (Throwable unused) {
        }
        this.a = bg.a();
    }

    private String a(Context context, String str, Map<String, String> map) {
        try {
            HashMap hashMap = new HashMap(16);
            fd fdVar = new fd();
            hashMap.clear();
            hashMap.put(NetWork.CONTENT_TYPE, "application/x-www-form-urlencoded");
            hashMap.put("Connection", "Keep-Alive");
            hashMap.put(IWebview.USER_AGENT, "AMAP_Location_SDK_Android 6.0.1");
            String a2 = n.a();
            String a3 = n.a(context, a2, x.b(map));
            map.put("ts", a2);
            map.put("scode", a3);
            fdVar.b(map);
            fdVar.a((Map<String, String>) hashMap);
            fdVar.b(str);
            fdVar.a(v.a(context));
            fdVar.a(fj.i);
            fdVar.b(fj.i);
            try {
                return new String(bg.a(fdVar).a, "utf-8");
            } catch (Throwable th) {
                fj.a(th, "GeoFenceNetManager", "post");
            }
        } catch (Throwable unused) {
            return null;
        }
    }

    private static Map<String, String> b(Context context, String str, String str2, String str3, String str4, String str5, String str6, String str7) {
        HashMap hashMap = new HashMap(16);
        hashMap.put(IApp.ConfigProperty.CONFIG_KEY, l.f(context));
        if (!TextUtils.isEmpty(str)) {
            hashMap.put("keywords", str);
        }
        if (!TextUtils.isEmpty(str2)) {
            hashMap.put("types", str2);
        }
        if (!TextUtils.isEmpty(str5) && !TextUtils.isEmpty(str6)) {
            hashMap.put("location", str6 + "," + str5);
        }
        if (!TextUtils.isEmpty(str3)) {
            hashMap.put(DistrictSearchQuery.KEYWORDS_CITY, str3);
        }
        if (!TextUtils.isEmpty(str4)) {
            hashMap.put("offset", str4);
        }
        if (!TextUtils.isEmpty(str7)) {
            hashMap.put(Constant.Name.RADIUS, str7);
        }
        return hashMap;
    }

    public final String a(Context context, String str, String str2) {
        Map<String, String> b = b(context, str2, null, null, null, null, null, null);
        b.put("extensions", "all");
        b.put("subdistrict", WXInstanceApm.VALUE_ERROR_CODE_DEFAULT);
        return a(context, str, b);
    }

    public final String a(Context context, String str, String str2, String str3, String str4, String str5) {
        Map<String, String> b = b(context, str2, str3, str4, str5, null, null, null);
        b.put(RichTextNode.CHILDREN, "1");
        b.put("page", "1");
        b.put("extensions", "base");
        return a(context, str, b);
    }

    public final String a(Context context, String str, String str2, String str3, String str4, String str5, String str6, String str7) {
        Map<String, String> b = b(context, str2, str3, null, str4, str5, str6, str7);
        b.put(RichTextNode.CHILDREN, "1");
        b.put("page", "1");
        b.put("extensions", "base");
        return a(context, str, b);
    }
}
