package com.loc;

import android.content.Context;
import android.content.SharedPreferences;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.provider.Settings;
import android.text.TextUtils;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.location.DPoint;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.taobao.weex.common.Constants;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.List;

/* compiled from: CoarseLocation */
public final class g {
    public static volatile AMapLocation a = null;
    private static String b = "CoarseLocation";
    private static long q = 0;
    private static boolean r = false;
    private static boolean s = false;
    private static boolean t = false;
    private static boolean u = false;
    private long c = 0;
    private boolean d = false;
    private int e = 0;
    private en f = null;
    private int g = 240;
    private int h = 80;
    private int i = 0;
    private Handler j;
    private Context k;
    private long l = 0;
    private int m = 0;
    private LocationManager n;
    private AMapLocationClientOption o;
    private Object p = new Object();
    private boolean v = true;
    private AMapLocationClientOption.GeoLanguage w = AMapLocationClientOption.GeoLanguage.DEFAULT;
    private LocationListener x = null;

    /* access modifiers changed from: package-private */
    /* compiled from: CoarseLocation */
    public static class a implements LocationListener {
        private g a;

        a(g gVar) {
            this.a = gVar;
        }

        /* access modifiers changed from: package-private */
        public final void a() {
            this.a = null;
        }

        public final void onLocationChanged(Location location) {
            try {
                g gVar = this.a;
                if (gVar != null) {
                    gVar.a((g) location);
                }
            } catch (Throwable unused) {
            }
        }

        public final void onProviderDisabled(String str) {
            try {
                g gVar = this.a;
                if (gVar != null) {
                    gVar.h();
                }
            } catch (Throwable unused) {
            }
        }

        public final void onProviderEnabled(String str) {
        }

        public final void onStatusChanged(String str, int i, Bundle bundle) {
            try {
                g gVar = this.a;
                if (gVar != null) {
                    gVar.a((g) i);
                }
            } catch (Throwable unused) {
            }
        }
    }

    public g(Context context, Handler handler) {
        this.k = context;
        this.j = handler;
        try {
            this.n = (LocationManager) context.getSystemService("location");
        } catch (Throwable th) {
            fj.a(th, b, "<init>");
        }
        this.f = new en();
    }

    private static eo a(int i2, String str) {
        eo eoVar = new eo("");
        eoVar.setErrorCode(i2);
        eoVar.setLocationDetail(str);
        return eoVar;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2) {
        if (i2 == 0) {
            try {
                this.i = 0;
            } catch (Throwable unused) {
            }
        }
    }

    private void a(int i2, String str, long j2) {
        try {
            if (this.j != null) {
                Message obtain = Message.obtain();
                AMapLocation aMapLocation = new AMapLocation("");
                aMapLocation.setErrorCode(20);
                aMapLocation.setLocationDetail(str);
                aMapLocation.setLocationType(11);
                obtain.obj = aMapLocation;
                obtain.what = i2;
                this.j.sendMessageDelayed(obtain, j2);
            }
        } catch (Throwable unused) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(Location location) {
        Handler handler = this.j;
        if (handler != null) {
            handler.removeMessages(100);
        }
        if (location != null) {
            try {
                AMapLocation aMapLocation = new AMapLocation(location);
                if (fq.a(aMapLocation)) {
                    aMapLocation.setProvider(GeocodeSearch.GPS.equals(location.getProvider()) ? "gps_coarse" : "network_coarse");
                    aMapLocation.setLocationType(11);
                    if (!this.d && fq.a(aMapLocation)) {
                        fo.b(this.k, fq.b() - this.c, fj.a(aMapLocation.getLatitude(), aMapLocation.getLongitude()));
                        this.d = true;
                    }
                    Boolean bool = Boolean.FALSE;
                    if (Build.VERSION.SDK_INT >= 18) {
                        try {
                            Boolean bool2 = (Boolean) fm.a(location, "isFromMockProvider", new Object[0]);
                            try {
                                "CoarseLocation | isFromMock=".concat(String.valueOf(bool2));
                            } catch (Throwable unused) {
                            }
                            bool = bool2;
                        } catch (Throwable unused2) {
                        }
                    }
                    if (bool.booleanValue()) {
                        aMapLocation.setMock(true);
                        aMapLocation.setTrustedLevel(4);
                        if (!this.o.isMockEnable()) {
                            int i2 = this.m;
                            if (i2 > 3) {
                                fo.a((String) null, 2152);
                                aMapLocation.setErrorCode(15);
                                aMapLocation.setLocationDetail("CoarseLocation has been mocked!#2007");
                                aMapLocation.setLatitude(0.0d);
                                aMapLocation.setLongitude(0.0d);
                                aMapLocation.setAltitude(0.0d);
                                aMapLocation.setSpeed(0.0f);
                                aMapLocation.setAccuracy(0.0f);
                                aMapLocation.setBearing(0.0f);
                                aMapLocation.setExtras(null);
                                c(aMapLocation);
                                return;
                            }
                            this.m = i2 + 1;
                            return;
                        }
                    } else {
                        this.m = 0;
                    }
                    int b2 = b(location);
                    this.i = b2;
                    aMapLocation.setSatellites(b2);
                    e(aMapLocation);
                    g(aMapLocation);
                    AMapLocation f2 = f(aMapLocation);
                    a(f2);
                    b(f2);
                    synchronized (this.p) {
                        a(f2, a);
                    }
                    c(f2);
                }
            } catch (Throwable th) {
                fj.a(th, "CoarseLocation", "onLocationChanged");
            }
        }
    }

    private void a(AMapLocation aMapLocation) {
        if (fq.a(aMapLocation)) {
            this.e++;
        }
    }

    private void a(AMapLocation aMapLocation, AMapLocation aMapLocation2) {
        if (aMapLocation2 != null && this.o.isNeedAddress() && fq.a(aMapLocation, aMapLocation2) < ((float) this.g)) {
            fj.a(aMapLocation, aMapLocation2);
        }
    }

    private static boolean a(LocationManager locationManager) {
        try {
            if (r) {
                return s;
            }
            List<String> allProviders = locationManager.getAllProviders();
            if (allProviders == null || allProviders.size() <= 0) {
                s = false;
            } else {
                s = allProviders.contains(GeocodeSearch.GPS);
            }
            r = true;
            return s;
        } catch (Throwable th) {
            th.getMessage();
            return s;
        }
    }

    private static int b(Location location) {
        Bundle extras = location.getExtras();
        if (extras != null) {
            return extras.getInt("satellites");
        }
        return 0;
    }

    private void b(AMapLocation aMapLocation) {
        Handler handler;
        if (fq.a(aMapLocation) && this.j != null) {
            long b2 = fq.b();
            if (this.o.getInterval() <= 8000 || b2 - this.l > this.o.getInterval() - 8000) {
                Bundle bundle = new Bundle();
                bundle.putDouble("lat", aMapLocation.getLatitude());
                bundle.putDouble("lon", aMapLocation.getLongitude());
                bundle.putFloat(Constant.Name.RADIUS, aMapLocation.getAccuracy());
                bundle.putLong(Constants.Value.TIME, aMapLocation.getTime());
                Message obtain = Message.obtain();
                obtain.setData(bundle);
                obtain.what = 102;
                synchronized (this.p) {
                    if (a == null) {
                        handler = this.j;
                    } else if (fq.a(aMapLocation, a) > ((float) this.h)) {
                        handler = this.j;
                    }
                    handler.sendMessage(obtain);
                }
            }
        }
    }

    private static boolean b(LocationManager locationManager) {
        try {
            if (t) {
                return u;
            }
            boolean isProviderEnabled = locationManager.isProviderEnabled("network");
            u = isProviderEnabled;
            t = true;
            return isProviderEnabled;
        } catch (Throwable th) {
            th.getMessage();
            return u;
        }
    }

    private void c(AMapLocation aMapLocation) {
        if (this.o.getLocationMode().equals(AMapLocationClientOption.AMapLocationMode.Device_Sensors) && this.o.getDeviceModeDistanceFilter() > 0.0f) {
            d(aMapLocation);
        } else if (fq.b() - this.l >= this.o.getInterval() - 200) {
            this.l = fq.b();
            d(aMapLocation);
        }
    }

    private void d(AMapLocation aMapLocation) {
        if (this.j != null) {
            Message obtain = Message.obtain();
            obtain.obj = aMapLocation;
            obtain.what = 101;
            this.j.sendMessage(obtain);
        }
    }

    private boolean d() {
        boolean z = true;
        try {
            if (fq.c() >= 28) {
                if (this.n == null) {
                    this.n = (LocationManager) this.k.getApplicationContext().getSystemService("location");
                }
                z = ((Boolean) fm.a(this.n, "isLocationEnabled", new Object[0])).booleanValue();
            }
            if (fq.c() >= 24 && fq.c() < 28 && Settings.Secure.getInt(this.k.getContentResolver(), "location_mode", 0) == 0) {
                return false;
            }
        } catch (Throwable unused) {
        }
        return z;
    }

    private void e() {
        c(a(12, "定位服务没有开启，请在设置中打开定位服务开关#1206"));
    }

    private void e(AMapLocation aMapLocation) {
        try {
            if (!fj.a(aMapLocation.getLatitude(), aMapLocation.getLongitude()) || !this.o.isOffset()) {
                aMapLocation.setOffset(false);
                aMapLocation.setCoordType(AMapLocation.COORD_TYPE_WGS84);
                return;
            }
            DPoint a2 = fl.a(this.k, new DPoint(aMapLocation.getLatitude(), aMapLocation.getLongitude()));
            aMapLocation.setLatitude(a2.getLatitude());
            aMapLocation.setLongitude(a2.getLongitude());
            aMapLocation.setOffset(this.o.isOffset());
            aMapLocation.setCoordType(AMapLocation.COORD_TYPE_GCJ02);
        } catch (Throwable th) {
            aMapLocation.setOffset(false);
            aMapLocation.setCoordType(AMapLocation.COORD_TYPE_WGS84);
            th.getMessage();
        }
    }

    private AMapLocation f(AMapLocation aMapLocation) {
        if (!fq.a(aMapLocation) || this.e < 3) {
            return aMapLocation;
        }
        if (aMapLocation.getAccuracy() < 0.0f || aMapLocation.getAccuracy() == Float.MAX_VALUE) {
            aMapLocation.setAccuracy(0.0f);
        }
        if (aMapLocation.getSpeed() < 0.0f || aMapLocation.getSpeed() == Float.MAX_VALUE) {
            aMapLocation.setSpeed(0.0f);
        }
        return this.f.a(aMapLocation);
    }

    private void f() {
        c(a(20, "Android12及以上版本模糊定位不支持连续定位#2006"));
    }

    private void g() {
        if (this.n != null) {
            try {
                this.v = true;
                Looper myLooper = Looper.myLooper();
                if (myLooper == null) {
                    myLooper = this.k.getMainLooper();
                }
                this.c = fq.b();
                if (b(this.n)) {
                    if (this.x == null) {
                        this.x = new a(this);
                    }
                    this.n.requestLocationUpdates("network", this.o.getInterval(), this.o.getDeviceModeDistanceFilter(), this.x, myLooper);
                }
                if (a(this.n)) {
                    try {
                        if (fq.a() - q >= 259200000) {
                            this.n.sendExtraCommand(GeocodeSearch.GPS, "force_xtra_injection", null);
                            q = fq.a();
                            SharedPreferences.Editor a2 = fp.a(this.k, "pref");
                            fp.a(a2, "lagt", q);
                            fp.a(a2);
                        }
                    } catch (Throwable th) {
                        th.getMessage();
                    }
                    if (this.x == null) {
                        this.x = new a(this);
                    }
                    this.n.requestLocationUpdates(GeocodeSearch.GPS, this.o.getInterval(), this.o.getDeviceModeDistanceFilter(), this.x, myLooper);
                }
                if (s || u) {
                    a(100, "系统返回定位结果超时#2002", this.o.getHttpTimeOut());
                }
                if (!s && !u) {
                    a(100, "系统定位当前不可用#2003", 0);
                }
            } catch (SecurityException e2) {
                this.v = false;
                fo.a((String) null, 2121);
                a(101, e2.getMessage() + "#2004", 0);
            } catch (Throwable th2) {
                th2.getMessage();
                fj.a(th2, "CoarseLocation", "requestLocationUpdates part2");
            }
        }
    }

    private static void g(AMapLocation aMapLocation) {
        if (fq.a(aMapLocation) && fi.r()) {
            long time = aMapLocation.getTime();
            long currentTimeMillis = System.currentTimeMillis();
            long a2 = fk.a(time, currentTimeMillis, fi.s());
            if (a2 != time) {
                aMapLocation.setTime(a2);
                fo.a(time, currentTimeMillis);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h() {
        try {
            this.i = 0;
        } catch (Throwable unused) {
        }
    }

    public final void a() {
        LocationManager locationManager = this.n;
        if (locationManager != null) {
            try {
                LocationListener locationListener = this.x;
                if (locationListener != null) {
                    locationManager.removeUpdates(locationListener);
                    ((a) this.x).a();
                    this.x = null;
                }
            } catch (Throwable th) {
                th.getMessage();
            }
            try {
                Handler handler = this.j;
                if (handler != null) {
                    handler.removeMessages(100);
                }
            } catch (Throwable unused) {
            }
            this.i = 0;
            this.c = 0;
            this.l = 0;
            this.e = 0;
            this.m = 0;
            this.f.a();
        }
    }

    public final void a(Bundle bundle) {
        if (bundle != null) {
            try {
                bundle.setClassLoader(AMapLocation.class.getClassLoader());
                this.g = bundle.getInt("I_MAX_GEO_DIS");
                this.h = bundle.getInt("I_MIN_GEO_DIS");
                AMapLocation aMapLocation = (AMapLocation) bundle.getParcelable("loc");
                if (!TextUtils.isEmpty(aMapLocation.getAdCode())) {
                    synchronized (this.p) {
                        a = aMapLocation;
                    }
                }
            } catch (Throwable th) {
                fj.a(th, "CoarseLocation", "setLastGeoLocation");
            }
        }
    }

    public final void a(AMapLocationClientOption aMapLocationClientOption) {
        this.o = aMapLocationClientOption;
        if (aMapLocationClientOption == null) {
            this.o = new AMapLocationClientOption();
        }
        this.o.toString();
        if (!this.o.isOnceLocation()) {
            f();
        } else if (!d()) {
            e();
        } else {
            try {
                q = fp.a(this.k, "pref", "lagt", q);
            } catch (Throwable unused) {
            }
            g();
        }
    }

    public final int b() {
        LocationManager locationManager = this.n;
        if (locationManager == null || !a(locationManager)) {
            return 1;
        }
        if (Build.VERSION.SDK_INT >= 19) {
            int i2 = Settings.Secure.getInt(this.k.getContentResolver(), "location_mode", 0);
            if (i2 == 0) {
                return 2;
            }
            if (i2 == 2) {
                return 3;
            }
        } else if (!this.n.isProviderEnabled(GeocodeSearch.GPS)) {
            return 2;
        }
        return !this.v ? 4 : 0;
    }

    public final void b(AMapLocationClientOption aMapLocationClientOption) {
        if (aMapLocationClientOption == null) {
            aMapLocationClientOption = new AMapLocationClientOption();
        }
        this.o = aMapLocationClientOption;
        aMapLocationClientOption.toString();
        this.j.removeMessages(100);
        if (this.w != this.o.getGeoLanguage()) {
            synchronized (this.p) {
                a = null;
            }
        }
        this.w = this.o.getGeoLanguage();
    }

    public final int c() {
        return this.i;
    }
}
