package com.loc;

import android.content.Context;
import android.content.SharedPreferences;
import android.location.GnssStatus;
import android.location.GpsSatellite;
import android.location.GpsStatus;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.provider.Settings;
import android.text.TextUtils;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.location.DPoint;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.taobao.weex.common.Constants;
import com.taobao.weex.performance.WXInstanceApm;
import io.dcloud.WebAppActivity;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.json.JSONObject;

/* compiled from: GpsLocation */
public final class h {
    static AMapLocation j = null;
    static long k = 0;
    static Object l = new Object();
    static long q = 0;
    static boolean t = false;
    static boolean u = false;
    public static volatile AMapLocation y;
    private long A = 0;
    private int B = 0;
    private int C = 0;
    private GpsStatus D = null;
    private GpsStatus.Listener E = null;
    private GnssStatus.Callback F;
    private String G = null;
    private boolean H = false;
    private int I = 0;
    private boolean J = false;
    Handler a;
    LocationManager b;
    AMapLocationClientOption c;
    long d = 0;
    boolean e = false;
    en f = null;
    int g = 240;
    int h = 80;
    AMapLocation i = null;
    long m = 0;
    float n = 0.0f;
    Object o = new Object();
    Object p = new Object();
    AMapLocationClientOption.GeoLanguage r = AMapLocationClientOption.GeoLanguage.DEFAULT;
    boolean s = true;
    long v = 0;
    int w = 0;
    LocationListener x = null;
    private Context z;

    /* access modifiers changed from: package-private */
    /* compiled from: GpsLocation */
    public static class a implements LocationListener {
        private h a;

        a(h hVar) {
            this.a = hVar;
        }

        /* access modifiers changed from: package-private */
        public final void a() {
            this.a = null;
        }

        public final void onLocationChanged(Location location) {
            try {
                h hVar = this.a;
                if (hVar != null) {
                    hVar.a((h) location);
                }
            } catch (Throwable unused) {
            }
        }

        public final void onProviderDisabled(String str) {
            try {
                h hVar = this.a;
                if (hVar != null) {
                    hVar.a((h) str);
                }
            } catch (Throwable unused) {
            }
        }

        public final void onProviderEnabled(String str) {
        }

        public final void onStatusChanged(String str, int i, Bundle bundle) {
            try {
                h hVar = this.a;
                if (hVar != null) {
                    hVar.a((h) i);
                }
            } catch (Throwable unused) {
            }
        }
    }

    public h(Context context, Handler handler) {
        this.z = context;
        this.a = handler;
        try {
            this.b = (LocationManager) context.getSystemService("location");
        } catch (Throwable th) {
            fj.a(th, "GpsLocation", "<init>");
        }
        this.f = new en();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2) {
        if (i2 == 0) {
            try {
                this.d = 0;
                this.C = 0;
            } catch (Throwable unused) {
            }
        }
    }

    private void a(int i2, int i3, String str, long j2) {
        try {
            if (this.a != null && this.c.getLocationMode() == AMapLocationClientOption.AMapLocationMode.Device_Sensors) {
                Message obtain = Message.obtain();
                AMapLocation aMapLocation = new AMapLocation("");
                aMapLocation.setProvider(GeocodeSearch.GPS);
                aMapLocation.setErrorCode(i3);
                aMapLocation.setLocationDetail(str);
                aMapLocation.setLocationType(1);
                obtain.obj = aMapLocation;
                obtain.what = i2;
                this.a.sendMessageDelayed(obtain, j2);
            }
        } catch (Throwable unused) {
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(GnssStatus gnssStatus) {
        Throwable th;
        int i2 = 0;
        if (gnssStatus != null) {
            try {
                if (Build.VERSION.SDK_INT >= 24) {
                    int satelliteCount = gnssStatus.getSatelliteCount();
                    int i3 = 0;
                    while (i2 < satelliteCount) {
                        try {
                            if (gnssStatus.usedInFix(i2)) {
                                i3++;
                            }
                            i2++;
                        } catch (Throwable th2) {
                            th = th2;
                            i2 = i3;
                            fj.a(th, "GpsLocation_Gnss", "GPS_EVENT_SATELLITE_STATUS");
                            this.C = i2;
                            StringBuilder sb = new StringBuilder("GpsLocation | onGpsSatelliteStatus 全局卫星数=");
                            sb.append(this.C);
                            sb.append(";GNSSStatus 回调卫星数=");
                            sb.append(i2);
                        }
                    }
                    i2 = i3;
                }
            } catch (Throwable th3) {
                th = th3;
                fj.a(th, "GpsLocation_Gnss", "GPS_EVENT_SATELLITE_STATUS");
                this.C = i2;
                StringBuilder sb2 = new StringBuilder("GpsLocation | onGpsSatelliteStatus 全局卫星数=");
                sb2.append(this.C);
                sb2.append(";GNSSStatus 回调卫星数=");
                sb2.append(i2);
            }
        }
        this.C = i2;
        StringBuilder sb22 = new StringBuilder("GpsLocation | onGpsSatelliteStatus 全局卫星数=");
        sb22.append(this.C);
        sb22.append(";GNSSStatus 回调卫星数=");
        sb22.append(i2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(Location location) {
        Handler handler = this.a;
        if (handler != null) {
            handler.removeMessages(8);
        }
        if (location != null) {
            try {
                AMapLocation aMapLocation = new AMapLocation(location);
                if (fq.a(aMapLocation)) {
                    aMapLocation.setProvider(GeocodeSearch.GPS);
                    aMapLocation.setLocationType(1);
                    if (!this.e && fq.a(aMapLocation)) {
                        fo.a(this.z, fq.b() - this.A, fj.a(aMapLocation.getLatitude(), aMapLocation.getLongitude()));
                        this.e = true;
                    }
                    if (fq.a(location, this.C)) {
                        aMapLocation.setMock(true);
                        aMapLocation.setTrustedLevel(4);
                        if (!this.c.isMockEnable()) {
                            int i2 = this.w;
                            if (i2 > 3) {
                                fo.a((String) null, 2152);
                                aMapLocation.setErrorCode(15);
                                aMapLocation.setLocationDetail("GpsLocation has been mocked!#1501");
                                aMapLocation.setLatitude(0.0d);
                                aMapLocation.setLongitude(0.0d);
                                aMapLocation.setAltitude(0.0d);
                                aMapLocation.setSpeed(0.0f);
                                aMapLocation.setAccuracy(0.0f);
                                aMapLocation.setBearing(0.0f);
                                aMapLocation.setExtras(null);
                                c(aMapLocation);
                                return;
                            }
                            this.w = i2 + 1;
                            return;
                        }
                    } else {
                        this.w = 0;
                    }
                    aMapLocation.setSatellites(this.C);
                    e(aMapLocation);
                    f(aMapLocation);
                    h(aMapLocation);
                    AMapLocation g2 = g(aMapLocation);
                    a(g2);
                    b(g2);
                    synchronized (this.o) {
                        a(g2, y);
                    }
                    try {
                        if (fq.a(g2)) {
                            if (this.i != null) {
                                this.m = location.getTime() - this.i.getTime();
                                this.n = fq.a(this.i, g2);
                            }
                            synchronized (this.p) {
                                this.i = g2.clone();
                            }
                            this.G = null;
                            this.H = false;
                            this.I = 0;
                        }
                    } catch (Throwable th) {
                        fj.a(th, "GpsLocation", "onLocationChangedLast");
                    }
                    c(g2);
                }
            } catch (Throwable th2) {
                fj.a(th2, "GpsLocation", "onLocationChanged");
            }
        }
    }

    private void a(AMapLocation aMapLocation) {
        if (fq.a(aMapLocation)) {
            this.d = fq.b();
            synchronized (l) {
                k = fq.b();
                j = aMapLocation.clone();
            }
            this.B++;
        }
    }

    private void a(AMapLocation aMapLocation, AMapLocation aMapLocation2) {
        if (aMapLocation2 != null && this.c.isNeedAddress() && fq.a(aMapLocation, aMapLocation2) < ((float) this.g)) {
            fj.a(aMapLocation, aMapLocation2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(String str) {
        try {
            if (GeocodeSearch.GPS.equalsIgnoreCase(str)) {
                this.d = 0;
                this.C = 0;
            }
        } catch (Throwable unused) {
        }
    }

    private static boolean a(LocationManager locationManager) {
        try {
            if (t) {
                return u;
            }
            List<String> allProviders = locationManager.getAllProviders();
            if (allProviders == null || allProviders.size() <= 0) {
                u = false;
            } else {
                u = allProviders.contains(GeocodeSearch.GPS);
            }
            t = true;
            return u;
        } catch (Throwable unused) {
            return u;
        }
    }

    private void b(AMapLocation aMapLocation) {
        Handler handler;
        if (fq.a(aMapLocation) && this.a != null) {
            long b2 = fq.b();
            if (this.c.getInterval() <= 8000 || b2 - this.v > this.c.getInterval() - 8000) {
                Bundle bundle = new Bundle();
                bundle.putDouble("lat", aMapLocation.getLatitude());
                bundle.putDouble("lon", aMapLocation.getLongitude());
                bundle.putFloat(Constant.Name.RADIUS, aMapLocation.getAccuracy());
                bundle.putLong(Constants.Value.TIME, aMapLocation.getTime());
                Message obtain = Message.obtain();
                obtain.setData(bundle);
                obtain.what = 5;
                synchronized (this.o) {
                    if (y == null) {
                        handler = this.a;
                    } else if (fq.a(aMapLocation, y) > ((float) this.h)) {
                        handler = this.a;
                    }
                    handler.sendMessage(obtain);
                }
            }
        }
    }

    private boolean b(String str) {
        try {
            ArrayList<String> b2 = fq.b(str);
            ArrayList<String> b3 = fq.b(this.G);
            if (b2.size() < 8 || b3.size() < 8) {
                return false;
            }
            return fq.a(this.G, str);
        } catch (Throwable unused) {
            return false;
        }
    }

    private void c(AMapLocation aMapLocation) {
        if (aMapLocation.getErrorCode() == 15 && !AMapLocationClientOption.AMapLocationMode.Device_Sensors.equals(this.c.getLocationMode())) {
            return;
        }
        if (this.c.getLocationMode().equals(AMapLocationClientOption.AMapLocationMode.Device_Sensors) && this.c.getDeviceModeDistanceFilter() > 0.0f) {
            d(aMapLocation);
        } else if (fq.b() - this.v >= this.c.getInterval() - 200) {
            this.v = fq.b();
            d(aMapLocation);
        }
    }

    private void d(AMapLocation aMapLocation) {
        if (this.a != null) {
            Message obtain = Message.obtain();
            obtain.obj = aMapLocation;
            obtain.what = 2;
            this.a.sendMessage(obtain);
        }
    }

    private void e(AMapLocation aMapLocation) {
        try {
            if (!fj.a(aMapLocation.getLatitude(), aMapLocation.getLongitude()) || !this.c.isOffset()) {
                aMapLocation.setOffset(false);
                aMapLocation.setCoordType(AMapLocation.COORD_TYPE_WGS84);
                return;
            }
            DPoint a2 = fl.a(this.z, new DPoint(aMapLocation.getLatitude(), aMapLocation.getLongitude()));
            aMapLocation.setLatitude(a2.getLatitude());
            aMapLocation.setLongitude(a2.getLongitude());
            aMapLocation.setOffset(this.c.isOffset());
            aMapLocation.setCoordType(AMapLocation.COORD_TYPE_GCJ02);
        } catch (Throwable unused) {
            aMapLocation.setOffset(false);
            aMapLocation.setCoordType(AMapLocation.COORD_TYPE_WGS84);
        }
    }

    private void f(AMapLocation aMapLocation) {
        try {
            int i2 = this.C;
            if (i2 >= 4) {
                aMapLocation.setGpsAccuracyStatus(1);
            } else if (i2 == 0) {
                aMapLocation.setGpsAccuracyStatus(-1);
            } else {
                aMapLocation.setGpsAccuracyStatus(0);
            }
        } catch (Throwable unused) {
        }
    }

    private AMapLocation g(AMapLocation aMapLocation) {
        if (!fq.a(aMapLocation) || this.B < 3) {
            return aMapLocation;
        }
        if (aMapLocation.getAccuracy() < 0.0f || aMapLocation.getAccuracy() == Float.MAX_VALUE) {
            aMapLocation.setAccuracy(0.0f);
        }
        if (aMapLocation.getSpeed() < 0.0f || aMapLocation.getSpeed() == Float.MAX_VALUE) {
            aMapLocation.setSpeed(0.0f);
        }
        return this.f.a(aMapLocation);
    }

    static /* synthetic */ void g() {
    }

    static /* synthetic */ void h() {
    }

    private static void h(AMapLocation aMapLocation) {
        if (fq.a(aMapLocation) && fi.r()) {
            long time = aMapLocation.getTime();
            long currentTimeMillis = System.currentTimeMillis();
            long a2 = fk.a(time, currentTimeMillis, fi.s());
            if (a2 != time) {
                aMapLocation.setTime(a2);
                fo.a(time, currentTimeMillis);
            }
        }
    }

    private void i() {
        LocationManager locationManager;
        String str;
        long j2;
        float f2;
        LocationListener locationListener;
        if (this.b != null) {
            try {
                l();
                this.s = true;
                Looper myLooper = Looper.myLooper();
                if (myLooper == null) {
                    myLooper = this.z.getMainLooper();
                }
                this.A = fq.b();
                if (a(this.b)) {
                    try {
                        if (fq.a() - q >= 259200000) {
                            this.b.sendExtraCommand(GeocodeSearch.GPS, "force_xtra_injection", null);
                            q = fq.a();
                            SharedPreferences.Editor a2 = fp.a(this.z, "pref");
                            fp.a(a2, "lagt", q);
                            fp.a(a2);
                        }
                    } catch (Throwable unused) {
                    }
                    if (this.x == null) {
                        this.x = new a(this);
                    }
                    if (!this.c.getLocationMode().equals(AMapLocationClientOption.AMapLocationMode.Device_Sensors) || this.c.getDeviceModeDistanceFilter() <= 0.0f) {
                        locationManager = this.b;
                        str = GeocodeSearch.GPS;
                        j2 = 900;
                        f2 = 0.0f;
                        locationListener = this.x;
                    } else {
                        locationManager = this.b;
                        str = GeocodeSearch.GPS;
                        j2 = this.c.getInterval();
                        f2 = this.c.getDeviceModeDistanceFilter();
                        locationListener = this.x;
                    }
                    locationManager.requestLocationUpdates(str, j2, f2, locationListener, myLooper);
                    if (Build.VERSION.SDK_INT >= 24) {
                        AnonymousClass1 r1 = new GnssStatus.Callback() {
                            /* class com.loc.h.AnonymousClass1 */

                            public final void onFirstFix(int i) {
                                h.h();
                            }

                            public final void onSatelliteStatusChanged(GnssStatus gnssStatus) {
                                h.this.a((h) gnssStatus);
                            }

                            public final void onStarted() {
                                h.g();
                            }

                            public final void onStopped() {
                                h.this.j();
                            }
                        };
                        this.F = r1;
                        this.b.registerGnssStatusCallback(r1);
                    } else {
                        AnonymousClass2 r12 = new GpsStatus.Listener() {
                            /* class com.loc.h.AnonymousClass2 */

                            public final void onGpsStatusChanged(int i) {
                                try {
                                    if (h.this.b != null) {
                                        h hVar = h.this;
                                        hVar.D = hVar.b.getGpsStatus(h.this.D);
                                        if (i == 1) {
                                            h.g();
                                        } else if (i == 2) {
                                            h.this.j();
                                        } else if (i == 3) {
                                            h.h();
                                        } else if (i == 4) {
                                            h.this.k();
                                        }
                                    }
                                } catch (Throwable th) {
                                    fj.a(th, "GpsLocation", "onGpsStatusChanged");
                                }
                            }
                        };
                        this.E = r12;
                        this.b.addGpsStatusListener(r12);
                    }
                    a(8, 14, "no enough satellites#1401", this.c.getHttpTimeOut());
                    return;
                }
                a(8, 14, "no gps provider#1402", 0);
            } catch (SecurityException e2) {
                this.s = false;
                fo.a((String) null, 2121);
                a(2, 12, e2.getMessage() + "#1201", 0);
            } catch (Throwable th) {
                fj.a(th, "GpsLocation", "requestLocationUpdates part2");
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void j() {
        this.C = 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k() {
        Iterable<GpsSatellite> satellites;
        int i2 = 0;
        try {
            GpsStatus gpsStatus = this.D;
            if (!(gpsStatus == null || (satellites = gpsStatus.getSatellites()) == null)) {
                Iterator<GpsSatellite> it = satellites.iterator();
                int maxSatellites = this.D.getMaxSatellites();
                while (it.hasNext() && i2 < maxSatellites) {
                    if (it.next().usedInFix()) {
                        i2++;
                    }
                }
            }
        } catch (Throwable th) {
            fj.a(th, "GpsLocation", "GPS_EVENT_SATELLITE_STATUS");
        }
        this.C = i2;
        StringBuilder sb = new StringBuilder("GpsLocation | onGpsSatelliteStatus 全局卫星数=");
        sb.append(this.C);
        sb.append(";GPSStatus 回调卫星数=");
        sb.append(i2);
    }

    private void l() {
        if (fq.b() - k <= WebAppActivity.SPLASH_SECOND && fq.a(j)) {
            if (this.c.isMockEnable() || !j.isMock()) {
                this.d = fq.b();
                c(j);
            }
        }
    }

    private static boolean m() {
        try {
            return ((Boolean) fm.a(x.c("KY29tLmFtYXAuYXBpLm5hdmkuQU1hcE5hdmk="), x.c("UaXNOYXZpU3RhcnRlZA=="), (Object[]) null, (Class<?>[]) null)).booleanValue();
        } catch (Throwable unused) {
            return false;
        }
    }

    private AMapLocation n() {
        float f2;
        float f3;
        try {
            if (fq.a(this.i) && fi.j() && m()) {
                JSONObject jSONObject = new JSONObject((String) fm.a(x.c("KY29tLmFtYXAuYXBpLm5hdmkuQU1hcE5hdmk="), x.c("UZ2V0TmF2aUxvY2F0aW9u"), (Object[]) null, (Class<?>[]) null));
                long optLong = jSONObject.optLong(Constants.Value.TIME);
                if (!this.J) {
                    this.J = true;
                    fo.a("useNaviLoc", "use NaviLoc");
                }
                if (fq.a() - optLong <= 5500) {
                    double optDouble = jSONObject.optDouble("lat", 0.0d);
                    double optDouble2 = jSONObject.optDouble("lng", 0.0d);
                    float f4 = 0.0f;
                    try {
                        f2 = Float.parseFloat(jSONObject.optString("accuracy", WXInstanceApm.VALUE_ERROR_CODE_DEFAULT));
                    } catch (NumberFormatException unused) {
                        f2 = 0.0f;
                    }
                    double optDouble3 = jSONObject.optDouble("altitude", 0.0d);
                    try {
                        f3 = Float.parseFloat(jSONObject.optString("bearing", WXInstanceApm.VALUE_ERROR_CODE_DEFAULT));
                    } catch (NumberFormatException unused2) {
                        f3 = 0.0f;
                    }
                    try {
                        f4 = (Float.parseFloat(jSONObject.optString("speed", WXInstanceApm.VALUE_ERROR_CODE_DEFAULT)) * 10.0f) / 36.0f;
                    } catch (NumberFormatException unused3) {
                    }
                    AMapLocation aMapLocation = new AMapLocation("lbs");
                    aMapLocation.setLocationType(9);
                    aMapLocation.setLatitude(optDouble);
                    aMapLocation.setLongitude(optDouble2);
                    aMapLocation.setAccuracy(f2);
                    aMapLocation.setAltitude(optDouble3);
                    aMapLocation.setBearing(f3);
                    aMapLocation.setSpeed(f4);
                    aMapLocation.setTime(optLong);
                    aMapLocation.setCoordType(AMapLocation.COORD_TYPE_GCJ02);
                    if (fq.a(aMapLocation, this.i) <= 300.0f) {
                        synchronized (this.p) {
                            this.i.setLongitude(optDouble2);
                            this.i.setLatitude(optDouble);
                            this.i.setAccuracy(f2);
                            this.i.setBearing(f3);
                            this.i.setSpeed(f4);
                            this.i.setTime(optLong);
                            this.i.setCoordType(AMapLocation.COORD_TYPE_GCJ02);
                        }
                        return aMapLocation;
                    }
                }
            }
        } catch (Throwable unused4) {
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:49:0x00a4 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00a5  */
    public final AMapLocation a(AMapLocation aMapLocation, String str) {
        long j2;
        long b2;
        if (this.i == null) {
            return aMapLocation;
        }
        if ((!this.c.isMockEnable() && this.i.isMock()) || !fq.a(this.i)) {
            return aMapLocation;
        }
        AMapLocation n2 = n();
        if (n2 == null || !fq.a(n2)) {
            float speed = this.i.getSpeed();
            if (speed == 0.0f) {
                long j3 = this.m;
                if (j3 > 0 && j3 < 8) {
                    float f2 = this.n;
                    if (f2 > 0.0f) {
                        speed = f2 / ((float) j3);
                    }
                }
            }
            if (aMapLocation != null && fq.a(aMapLocation)) {
                if (aMapLocation.getAccuracy() < 200.0f) {
                    int i2 = this.I + 1;
                    this.I = i2;
                    if (this.G == null && i2 >= 2) {
                        this.H = true;
                    }
                    j2 = speed > 5.0f ? 10000 : 15000;
                } else {
                    if (!TextUtils.isEmpty(this.G)) {
                        this.H = false;
                        this.I = 0;
                    }
                    if (speed > 5.0f) {
                        j2 = 20000;
                    }
                }
                b2 = fq.b() - this.d;
                if (b2 <= 30000) {
                    return aMapLocation;
                }
                if (b2 < j2) {
                    if (this.G == null && this.I >= 2) {
                        this.G = str;
                    }
                    AMapLocation clone = this.i.clone();
                    clone.setTrustedLevel(2);
                    return clone;
                } else if (!this.H || !b(str)) {
                    this.G = null;
                    this.I = 0;
                    synchronized (this.p) {
                        this.i = null;
                    }
                    this.m = 0;
                    this.n = 0.0f;
                    return aMapLocation;
                } else {
                    AMapLocation clone2 = this.i.clone();
                    clone2.setTrustedLevel(3);
                    return clone2;
                }
            }
            j2 = 30000;
            b2 = fq.b() - this.d;
            if (b2 <= 30000) {
            }
        } else {
            n2.setTrustedLevel(2);
            return n2;
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(15:3|4|5|(1:7)|8|9|(1:11)|12|13|(1:15)|16|17|(1:19)|20|22) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:12:0x001f */
    /* JADX WARNING: Missing exception handler attribute for start block: B:16:0x0028 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:8:0x0016 */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x001a A[Catch:{ all -> 0x001f }] */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0023 A[Catch:{ all -> 0x0028 }] */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x002c A[Catch:{ all -> 0x0031 }] */
    public final void a() {
        LocationManager locationManager = this.b;
        if (locationManager != null) {
            LocationListener locationListener = this.x;
            if (locationListener != null) {
                locationManager.removeUpdates(locationListener);
                ((a) this.x).a();
                this.x = null;
            }
            GpsStatus.Listener listener = this.E;
            if (listener != null) {
                this.b.removeGpsStatusListener(listener);
            }
            GnssStatus.Callback callback = this.F;
            if (callback != null) {
                this.b.unregisterGnssStatusCallback(callback);
            }
            Handler handler = this.a;
            if (handler != null) {
                handler.removeMessages(8);
            }
            this.C = 0;
            this.A = 0;
            this.v = 0;
            this.d = 0;
            this.B = 0;
            this.w = 0;
            this.f.a();
            this.i = null;
            this.m = 0;
            this.n = 0.0f;
            this.G = null;
            this.J = false;
        }
    }

    public final void a(Bundle bundle) {
        if (bundle != null) {
            try {
                bundle.setClassLoader(AMapLocation.class.getClassLoader());
                this.g = bundle.getInt("I_MAX_GEO_DIS");
                this.h = bundle.getInt("I_MIN_GEO_DIS");
                AMapLocation aMapLocation = (AMapLocation) bundle.getParcelable("loc");
                if (!TextUtils.isEmpty(aMapLocation.getAdCode())) {
                    synchronized (this.o) {
                        y = aMapLocation;
                    }
                }
            } catch (Throwable th) {
                fj.a(th, "GpsLocation", "setLastGeoLocation");
            }
        }
    }

    public final void a(AMapLocationClientOption aMapLocationClientOption) {
        this.c = aMapLocationClientOption;
        if (aMapLocationClientOption == null) {
            this.c = new AMapLocationClientOption();
        }
        try {
            q = fp.a(this.z, "pref", "lagt", q);
        } catch (Throwable unused) {
        }
        i();
    }

    public final void b(AMapLocationClientOption aMapLocationClientOption) {
        Handler handler;
        if (aMapLocationClientOption == null) {
            aMapLocationClientOption = new AMapLocationClientOption();
        }
        this.c = aMapLocationClientOption;
        if (!(aMapLocationClientOption.getLocationMode() == AMapLocationClientOption.AMapLocationMode.Device_Sensors || (handler = this.a) == null)) {
            handler.removeMessages(8);
        }
        if (this.r != this.c.getGeoLanguage()) {
            synchronized (this.o) {
                y = null;
            }
        }
        this.r = this.c.getGeoLanguage();
    }

    public final boolean b() {
        return fq.b() - this.d <= 2800;
    }

    public final void c() {
        this.w = 0;
    }

    public final int d() {
        LocationManager locationManager = this.b;
        if (locationManager == null || !a(locationManager)) {
            return 1;
        }
        if (Build.VERSION.SDK_INT >= 19) {
            int i2 = Settings.Secure.getInt(this.z.getContentResolver(), "location_mode", 0);
            if (i2 == 0) {
                return 2;
            }
            if (i2 == 2) {
                return 3;
            }
        } else if (!this.b.isProviderEnabled(GeocodeSearch.GPS)) {
            return 2;
        }
        return !this.s ? 4 : 0;
    }

    public final int e() {
        return this.C;
    }

    public final boolean f() {
        AMapLocationClientOption aMapLocationClientOption = this.c;
        return aMapLocationClientOption != null && !aMapLocationClientOption.isOnceLocation() && fq.b() - this.d > 300000;
    }
}
