package io.dcloud.h.c.e.a;

import android.app.Activity;
import android.text.TextUtils;
import com.taobao.weex.performance.WXInstanceApm;
import io.dcloud.h.c.c.e.e;
import io.dcloud.h.c.d.a;
import io.dcloud.h.c.d.b;
import io.dcloud.sdk.core.adapter.IAdAdapter;
import io.dcloud.sdk.core.entry.DCloudAdSlot;
import io.dcloud.sdk.core.module.BaseAdLoader;
import io.dcloud.sdk.core.util.AdErrorUtil;
import io.dcloud.sdk.core.util.AdType;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Observable;
import java.util.Observer;
import org.json.JSONArray;
import org.json.JSONObject;

public abstract class a extends io.dcloud.h.c.c.d.a implements Observer, Runnable {
    private DCloudAdSlot b;
    private Activity c;
    private io.dcloud.h.c.d.a d;
    private Map<BaseAdLoader, Object> e = new HashMap();
    protected AdType f = AdType.AD_NONE;
    private String g = "1";
    private Map<String, IAdAdapter> h;
    private Map<String, io.dcloud.h.c.c.a.c.a> i;
    private List<b> j;
    private List<BaseAdLoader> k = new ArrayList();
    private boolean l = false;
    private boolean m = false;

    public a(DCloudAdSlot dCloudAdSlot, Activity activity) {
        this.b = dCloudAdSlot;
        this.c = activity;
    }

    private void a(List<BaseAdLoader> list) {
        if (list.size() > 1) {
            for (int i2 = 0; i2 < list.size() - 1; i2++) {
                int i3 = 0;
                while (i3 < (list.size() - i2) - 1) {
                    int i4 = i3 + 1;
                    if (list.get(i4).getBiddingECPM() > list.get(i3).getBiddingECPM()) {
                        list.set(i3, list.get(i4));
                        list.set(i4, list.get(i3));
                    }
                    i3 = i4;
                }
            }
        }
    }

    private boolean e() {
        if (!this.j.isEmpty()) {
            return false;
        }
        JSONArray jSONArray = new JSONArray();
        StringBuilder sb = new StringBuilder();
        sb.append(AdErrorUtil.getErrorMsg(-5005));
        for (BaseAdLoader baseAdLoader : this.k) {
            if (baseAdLoader.getAdStatus() == -1) {
                return false;
            }
            if (baseAdLoader.isNeedReport()) {
                sb.append(baseAdLoader.getErrorMsg());
                sb.append(",");
                jSONArray.put(baseAdLoader.getResult());
            }
        }
        a(this.f.getType(), this.b.getAdpid(), this.g, this.b.getEI(), jSONArray);
        a(-5005, sb.toString());
        return true;
    }

    public synchronized void a(int i2, String str) {
        throw null;
    }

    public void a(BaseAdLoader baseAdLoader) {
    }

    public synchronized void a(Object obj) {
        throw null;
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.h.c.c.d.a
    public boolean b() {
        return "1".equals(this.d.h());
    }

    /* access modifiers changed from: protected */
    public boolean c() {
        if (this.b.getConfig() == null || this.b.getConfig().length() == 0) {
            this.b.setConfig(null);
            a(-5002, AdErrorUtil.getErrorMsg(-5002) + this.b.getAdpid());
            return false;
        }
        io.dcloud.h.c.d.a c2 = new a.b().a(this.b).c(this.b.getConfig());
        this.b.setConfig(null);
        this.b.setAdpid(c2.a());
        String g2 = c2.g();
        if (TextUtils.isEmpty(g2)) {
            a(-5003, AdErrorUtil.getErrorMsg(-5003));
            return false;
        }
        List<String> arrayList = new ArrayList<>();
        try {
            arrayList.addAll(Arrays.asList(TextUtils.split(g2, ",")));
        } catch (Exception unused) {
        }
        this.l = c2.j();
        this.m = c2.k();
        e.b("uniAd", String.valueOf(this.b.getAdpid()) + "------" + arrayList.toString());
        if (arrayList.size() > 1 && !this.l && !this.m) {
            arrayList = io.dcloud.h.c.c.e.a.a(this.c, arrayList, this.b.getAdpid(), c2.i(), c2.e());
        }
        if (arrayList.isEmpty()) {
            a(-5003, AdErrorUtil.getErrorMsg(-5003));
            return false;
        }
        c2.a(arrayList);
        this.d = c2;
        AdType d2 = c2.d();
        AdType adType = this.f;
        if (d2 != adType) {
            a(-5011, AdErrorUtil.getErrorMsg(-5011));
            return false;
        }
        this.b.setType(adType);
        return true;
    }

    /* access modifiers changed from: protected */
    public void d() {
        BaseAdLoader ad;
        for (b bVar : this.j) {
            IAdAdapter iAdAdapter = this.h.get(bVar.d());
            if (iAdAdapter == null && this.i.containsKey(bVar.d())) {
                iAdAdapter = this.h.get("dcloud");
            }
            if (!(iAdAdapter == null || (ad = iAdAdapter.getAd(this.c, this.b)) == null)) {
                if (ad instanceof io.dcloud.h.c.b.a.b) {
                    ((io.dcloud.h.c.b.a.b) ad).a(this.i.get(bVar.d()), bVar.d());
                }
                this.k.add(ad);
                ad.addObserver(this);
                ad.loadAd(bVar, null);
                a(ad);
            }
        }
        if (this.k.isEmpty()) {
            a(-5012, AdErrorUtil.getErrorMsg(-5012));
        }
    }

    public List<BaseAdLoader> f() {
        return this.k;
    }

    public Map<String, IAdAdapter> g() {
        return null;
    }

    /* access modifiers changed from: package-private */
    public boolean h() {
        return this.l;
    }

    /* access modifiers changed from: package-private */
    public boolean i() {
        return this.m;
    }

    /* access modifiers changed from: protected */
    public void j() {
        this.g = this.d.f();
        if (h() || i()) {
            this.g = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT;
        }
        e.a("uniAd", "ord:" + this.g);
        this.h = io.dcloud.sdk.core.b.a.b().a();
        Map<String, IAdAdapter> g2 = g();
        if (g2 != null) {
            this.h.putAll(g2);
        }
        this.i = io.dcloud.h.c.c.a.a.a().b();
        if (this.h.size() > 0) {
            this.j = this.d.c();
            if (this.d.c().size() <= 0) {
                a(-5003, AdErrorUtil.getErrorMsg(-5003));
            } else if (!this.g.equals(WXInstanceApm.VALUE_ERROR_CODE_DEFAULT)) {
                k();
                if (this.k.isEmpty()) {
                    a(-5012, AdErrorUtil.getErrorMsg(-5012));
                }
            } else {
                d();
            }
        } else {
            a(-5004, AdErrorUtil.getErrorMsg(-5004));
        }
    }

    /* access modifiers changed from: protected */
    public void k() {
        if (!this.j.isEmpty()) {
            b remove = this.j.remove(0);
            IAdAdapter iAdAdapter = this.h.get(remove.d());
            if (iAdAdapter == null && this.i.containsKey(remove.d())) {
                iAdAdapter = this.h.get("dcloud");
            }
            if (iAdAdapter != null) {
                BaseAdLoader ad = iAdAdapter.getAd(this.c, this.b);
                if (ad != null) {
                    if (ad instanceof io.dcloud.h.c.b.a.b) {
                        ((io.dcloud.h.c.b.a.b) ad).a(this.i.get(remove.d()), remove.d());
                    }
                    this.k.add(ad);
                    ad.addObserver(this);
                    ad.loadAd(remove, null);
                    a(ad);
                    return;
                }
                k();
                return;
            }
            k();
        }
    }

    public void run() {
        if (c()) {
            j();
        }
    }

    public void update(Observable observable, Object obj) {
        BaseAdLoader baseAdLoader;
        boolean z;
        boolean z2;
        boolean z3;
        Object obj2;
        Object obj3 = obj;
        boolean z4 = true;
        if (!this.g.equals(WXInstanceApm.VALUE_ERROR_CODE_DEFAULT)) {
            BaseAdLoader baseAdLoader2 = (BaseAdLoader) observable;
            if (baseAdLoader2.getAdStatus() == 1) {
                JSONArray jSONArray = new JSONArray();
                for (BaseAdLoader baseAdLoader3 : this.k) {
                    if (baseAdLoader3.isNeedReport()) {
                        jSONArray.put(baseAdLoader3.getResult());
                    }
                }
                a(this.f.getType(), this.b.getAdpid(), this.g, this.b.getEI(), jSONArray);
                if (obj3 == null) {
                    obj3 = baseAdLoader2;
                }
                a(obj3);
            } else if (!e()) {
                k();
                e();
            }
        } else {
            int i2 = 0;
            if (h()) {
                JSONArray jSONArray2 = new JSONArray();
                StringBuilder sb = new StringBuilder();
                sb.append(AdErrorUtil.getErrorMsg(-5005));
                ArrayList<BaseAdLoader> arrayList = new ArrayList();
                List<BaseAdLoader> arrayList2 = new ArrayList<>();
                ArrayList arrayList3 = new ArrayList();
                ArrayList<BaseAdLoader> arrayList4 = new ArrayList();
                Iterator<BaseAdLoader> it = this.k.iterator();
                while (true) {
                    if (!it.hasNext()) {
                        z2 = true;
                        break;
                    }
                    BaseAdLoader next = it.next();
                    int adStatus = next.getAdStatus();
                    if (-1 == adStatus) {
                        z2 = false;
                        break;
                    } else if (1 == adStatus || adStatus == 0) {
                        if (next.isNeedReport()) {
                            jSONArray2.put(next.getResult());
                        }
                        if (1 == adStatus) {
                            arrayList2.add(next);
                            if (next.isPlatformSupportBidding()) {
                                arrayList3.add(next);
                            } else {
                                arrayList4.add(next);
                            }
                        } else {
                            if (next.isNeedReport()) {
                                sb.append(next.getErrorMsg());
                                sb.append(",");
                            }
                            arrayList.add(next);
                        }
                    }
                }
                if (z2) {
                    Iterator it2 = arrayList3.iterator();
                    while (true) {
                        if (it2.hasNext()) {
                            if (((BaseAdLoader) it2.next()).getBiddingECPM() > 0.0f) {
                                z3 = false;
                                break;
                            }
                        } else {
                            z3 = true;
                            break;
                        }
                    }
                    if (z3) {
                        HashMap hashMap = new HashMap();
                        for (BaseAdLoader baseAdLoader4 : arrayList4) {
                            if (baseAdLoader4.getBiddingECPM() > 0.0f) {
                                String type = baseAdLoader4.getType();
                                int a = io.dcloud.h.c.c.e.a.a(this.c, this.b.getAdpid(), type);
                                JSONObject e2 = this.d.e();
                                int optInt = e2 != null ? e2.optInt(type) : 0;
                                if (optInt <= 0 || a < optInt) {
                                    hashMap.put(baseAdLoader4, Boolean.FALSE);
                                } else {
                                    hashMap.put(baseAdLoader4, Boolean.TRUE);
                                }
                            } else {
                                hashMap.put(baseAdLoader4, Boolean.TRUE);
                            }
                        }
                        z3 = !hashMap.containsValue(Boolean.FALSE);
                    }
                    if (z3) {
                        List<String> b2 = this.d.b();
                        if (b2.size() > 1) {
                            b2 = io.dcloud.h.c.c.e.a.a(this.c, b2, this.b.getAdpid(), this.d.i(), this.d.e());
                        }
                        Object obj4 = null;
                        for (String str : b2) {
                            if (obj4 != null) {
                                break;
                            }
                            Iterator<BaseAdLoader> it3 = arrayList2.iterator();
                            while (true) {
                                if (!it3.hasNext()) {
                                    break;
                                }
                                BaseAdLoader next2 = it3.next();
                                if (next2.getType().equalsIgnoreCase(str)) {
                                    if (next2.getAdStatus() == 1) {
                                        obj4 = next2;
                                    }
                                }
                            }
                        }
                        a(this.f.getType(), this.b.getAdpid(), this.g, this.b.getEI(), jSONArray2);
                        if (obj4 != null) {
                            a(obj4);
                        } else {
                            a(-5005, sb.toString());
                        }
                    } else {
                        if (arrayList2.size() > 0) {
                            a(arrayList2);
                            ArrayList arrayList5 = new ArrayList();
                            for (BaseAdLoader baseAdLoader5 : arrayList2) {
                                if (baseAdLoader5.isPlatformSupportBidding()) {
                                    break;
                                } else if (baseAdLoader5.getBiddingECPM() > 0.0f) {
                                    String type2 = baseAdLoader5.getType();
                                    int a2 = io.dcloud.h.c.c.e.a.a(this.c, this.b.getAdpid(), type2);
                                    JSONObject e3 = this.d.e();
                                    int optInt2 = e3 != null ? e3.optInt(type2) : 0;
                                    if (optInt2 > 0 && a2 >= optInt2) {
                                        arrayList5.add(baseAdLoader5);
                                    }
                                } else {
                                    arrayList5.add(baseAdLoader5);
                                }
                            }
                            arrayList2.removeAll(arrayList5);
                            arrayList2.addAll(arrayList5);
                            BaseAdLoader remove = arrayList2.remove(0);
                            int biddingECPM = (int) remove.getBiddingECPM();
                            int biddingECPM2 = arrayList2.size() > 0 ? (int) arrayList2.get(0).getBiddingECPM() : 0;
                            if (biddingECPM2 >= 0) {
                                i2 = biddingECPM2;
                            }
                            remove.biddingSuccess(biddingECPM, i2);
                            for (BaseAdLoader baseAdLoader6 : arrayList2) {
                                baseAdLoader6.biddingFail(biddingECPM, i2);
                            }
                            for (BaseAdLoader baseAdLoader7 : arrayList) {
                                baseAdLoader7.biddingFail(biddingECPM, i2);
                            }
                            obj2 = remove;
                        } else {
                            obj2 = null;
                        }
                        a(this.f.getType(), this.b.getAdpid(), this.g, this.b.getEI(), jSONArray2);
                        if (obj2 == null) {
                            a(-5005, sb.toString());
                        } else {
                            a(obj2);
                        }
                    }
                }
            } else if (i()) {
                Object obj5 = obj3;
                if (((BaseAdLoader) observable).getAdStatus() == 1) {
                    if (obj3 == null) {
                        obj5 = observable;
                    }
                    a(obj5);
                }
                JSONArray jSONArray3 = new JSONArray();
                StringBuilder sb2 = new StringBuilder();
                sb2.append(AdErrorUtil.getErrorMsg(-5005));
                Iterator<BaseAdLoader> it4 = this.k.iterator();
                boolean z5 = false;
                while (true) {
                    if (!it4.hasNext()) {
                        break;
                    }
                    BaseAdLoader next3 = it4.next();
                    int adStatus2 = next3.getAdStatus();
                    if (-1 == adStatus2) {
                        z4 = false;
                        break;
                    } else if (1 == adStatus2 || adStatus2 == 0) {
                        if (1 == adStatus2) {
                            z5 = true;
                        }
                        if (next3.isNeedReport()) {
                            jSONArray3.put(next3.getResult());
                            if (adStatus2 == 0) {
                                sb2.append(next3.getErrorMsg());
                                sb2.append(",");
                            }
                        }
                    }
                }
                if (z4) {
                    a(this.f.getType(), this.b.getAdpid(), this.g, this.b.getEI(), jSONArray3);
                    if (!z5) {
                        a(-5005, sb2.toString());
                    }
                }
            } else {
                this.e.put((BaseAdLoader) observable, obj3);
                StringBuilder sb3 = new StringBuilder();
                sb3.append(AdErrorUtil.getErrorMsg(-5005));
                Iterator<BaseAdLoader> it5 = this.k.iterator();
                while (true) {
                    if (!it5.hasNext()) {
                        baseAdLoader = null;
                        z = false;
                        break;
                    }
                    baseAdLoader = it5.next();
                    int adStatus3 = baseAdLoader.getAdStatus();
                    if (-1 == adStatus3) {
                        return;
                    }
                    if (1 == adStatus3) {
                        z = true;
                        break;
                    } else if (adStatus3 == 0 && baseAdLoader.isNeedReport()) {
                        sb3.append(baseAdLoader.getErrorMsg());
                        sb3.append(",");
                    }
                }
                JSONArray jSONArray4 = new JSONArray();
                Iterator<BaseAdLoader> it6 = this.k.iterator();
                while (true) {
                    if (!it6.hasNext()) {
                        break;
                    }
                    BaseAdLoader next4 = it6.next();
                    int adStatus4 = next4.getAdStatus();
                    if (-1 == adStatus4) {
                        z4 = false;
                        break;
                    } else if ((1 == adStatus4 || adStatus4 == 0) && next4.isNeedReport()) {
                        jSONArray4.put(next4.getResult());
                    }
                }
                if (baseAdLoader != null) {
                    Object obj6 = this.e.get(baseAdLoader);
                    if (obj6 != null) {
                        baseAdLoader = obj6;
                    }
                    a((Object) baseAdLoader);
                }
                if (z4) {
                    a(this.f.getType(), this.b.getAdpid(), this.g, this.b.getEI(), jSONArray4);
                    if (!z) {
                        a(-5005, sb3.toString());
                    }
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.h.c.c.d.a
    public Activity a() {
        return this.c;
    }
}
