package io.dcloud.h.c.f;

import android.app.Activity;
import io.dcloud.sdk.core.api.AdLoader;
import io.dcloud.sdk.core.api.RewardVideoAd;
import io.dcloud.sdk.core.entry.DCloudAdSlot;
import io.dcloud.sdk.core.util.MainHandlerUtil;
import io.dcloud.sdk.core.v2.reward.DCRewardAdListener;
import io.dcloud.sdk.core.v2.reward.DCRewardAdLoadListener;
import org.json.JSONObject;

public class e extends a implements AdLoader.RewardVideoAdLoadListener, AdLoader.RewardVideoAdInteractionListener {
    private DCRewardAdLoadListener a;
    private RewardVideoAd b;
    private DCRewardAdListener c;

    public e(Activity activity) {
        super(activity);
    }

    public void a(DCloudAdSlot dCloudAdSlot, DCRewardAdLoadListener dCRewardAdLoadListener) {
        if (super.load(dCloudAdSlot, dCRewardAdLoadListener)) {
            this.a = dCRewardAdLoadListener;
            this.b = null;
            getAdLoader().loadRewardVideoAd(getContext(), dCloudAdSlot, this);
        }
    }

    public void b(Activity activity) {
        RewardVideoAd rewardVideoAd = this.b;
        if (rewardVideoAd != null) {
            rewardVideoAd.setRewardVideoAdInteractionListener(this);
            MainHandlerUtil.getMainHandler().post(new Runnable(activity) {
                /* class io.dcloud.h.c.f.$$Lambda$e$peGkvG1UVrQQVsphUF_NSHmWPF4 */
                public final /* synthetic */ Activity f$1;

                {
                    this.f$1 = r2;
                }

                public final void run() {
                    e.lambda$peGkvG1UVrQQVsphUF_NSHmWPF4(e.this, this.f$1);
                }
            });
        }
    }

    public boolean isValid() {
        RewardVideoAd rewardVideoAd = this.b;
        if (rewardVideoAd != null) {
            return rewardVideoAd.isValid();
        }
        return false;
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
    public void onClick() {
        DCRewardAdListener dCRewardAdListener = this.c;
        if (dCRewardAdListener != null) {
            dCRewardAdListener.onClick();
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
    public void onClose() {
        DCRewardAdListener dCRewardAdListener = this.c;
        if (dCRewardAdListener != null) {
            dCRewardAdListener.onClose();
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.RewardVideoAdLoadListener
    public void onError(int i, String str) {
        setLoading(false);
        DCRewardAdLoadListener dCRewardAdLoadListener = this.a;
        if (dCRewardAdLoadListener != null) {
            dCRewardAdLoadListener.onError(i, str);
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.RewardVideoAdInteractionListener
    public void onReward(JSONObject jSONObject) {
        DCRewardAdListener dCRewardAdListener = this.c;
        if (dCRewardAdListener != null) {
            dCRewardAdListener.onReward(jSONObject);
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.RewardVideoAdLoadListener
    public void onRewardVideoAdLoad(RewardVideoAd rewardVideoAd) {
        this.b = rewardVideoAd;
        setLoading(false);
        DCRewardAdLoadListener dCRewardAdLoadListener = this.a;
        if (dCRewardAdLoadListener != null) {
            dCRewardAdLoadListener.onRewardAdLoad();
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
    public void onShow() {
        DCRewardAdListener dCRewardAdListener = this.c;
        if (dCRewardAdListener != null) {
            dCRewardAdListener.onShow();
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
    public void onShowError(int i, String str) {
        DCRewardAdListener dCRewardAdListener = this.c;
        if (dCRewardAdListener != null) {
            dCRewardAdListener.onShowError(i, str);
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
    public void onSkip() {
        DCRewardAdListener dCRewardAdListener = this.c;
        if (dCRewardAdListener != null) {
            dCRewardAdListener.onSkip();
        }
    }

    @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
    public void onVideoPlayEnd() {
        DCRewardAdListener dCRewardAdListener = this.c;
        if (dCRewardAdListener != null) {
            dCRewardAdListener.onVideoPlayEnd();
        }
    }

    public String b() {
        RewardVideoAd rewardVideoAd = this.b;
        return rewardVideoAd == null ? "" : rewardVideoAd.getType();
    }

    public void a(DCRewardAdListener dCRewardAdListener) {
        this.c = dCRewardAdListener;
    }

    /* access modifiers changed from: private */
    public /* synthetic */ void a(Activity activity) {
        this.b.show(activity);
    }

    public void a() {
        RewardVideoAd rewardVideoAd = this.b;
        if (rewardVideoAd != null) {
            rewardVideoAd.destroy();
        }
        this.b = null;
    }
}
