package io.dcloud.js.geolocation.system;

import android.content.Context;
import io.dcloud.common.DHInterface.IEventCallback;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.StringUtil;
import io.dcloud.js.geolocation.GeoManagerBase;

public class LocalGeoManager extends GeoManagerBase {
    public static final String TAG = "LocalGeoManager";
    private a a;

    class a implements IEventCallback {
        a() {
        }

        @Override // io.dcloud.common.DHInterface.IEventCallback
        public Object onCallBack(String str, Object obj) {
            if ((!PdrUtil.isEquals(str, AbsoluteConst.EVENTS_WINDOW_CLOSE) && !PdrUtil.isEquals(str, AbsoluteConst.EVENTS_CLOSE)) || !(obj instanceof IWebview)) {
                return null;
            }
            if (LocalGeoManager.this.a != null) {
                LocalGeoManager.this.a.c(a.f);
            }
            ((AdaFrameView) ((IWebview) obj).obtainFrameView()).removeFrameViewListener(this);
            return null;
        }
    }

    public LocalGeoManager(Context context) {
        super(context);
    }

    /* access modifiers changed from: package-private */
    public a b() {
        if (this.a == null) {
            this.a = new a(this.mContext, "");
        }
        return this.a;
    }

    @Override // io.dcloud.js.geolocation.GeoManagerBase
    public String execute(IWebview iWebview, String str, String[] strArr) {
        String str2;
        String str3;
        try {
            int i = Integer.MAX_VALUE;
            if (str.equals("getCurrentPosition")) {
                boolean parseBoolean = Boolean.parseBoolean(strArr[1]);
                int parseInt = Integer.parseInt(strArr[2]);
                if (strArr.length > 7) {
                    str3 = strArr[6];
                } else {
                    str3 = "null";
                }
                if (!"null".equals(str3)) {
                    i = Integer.parseInt(str3);
                }
                if (PdrUtil.isEquals(strArr[3], "wgs84") || PdrUtil.isEmpty(strArr[3])) {
                    getCurrentLocation(iWebview, strArr[0], parseBoolean, parseInt, i);
                } else {
                    Deprecated_JSUtil.execCallback(iWebview, strArr[0], StringUtil.format(DOMException.JSON_ERROR_INFO, 17, "only support wgs84"), JSUtil.ERROR, true, false);
                }
            } else if (str.equals("watchPosition")) {
                boolean parseBoolean2 = Boolean.parseBoolean(strArr[2]);
                iWebview.obtainFrameView().addFrameViewListener(new a());
                boolean z = PdrUtil.isEquals(strArr[3], "wgs84") || PdrUtil.isEmpty(strArr[3]);
                if (strArr.length > 7) {
                    str2 = strArr[6];
                } else {
                    str2 = "null";
                }
                if (!"null".equals(str2)) {
                    i = Integer.parseInt(str2);
                }
                String str4 = strArr.length > 8 ? strArr[7] : "5000";
                int i2 = 5000;
                if (!str4.equals("null")) {
                    i2 = Integer.parseInt(str4);
                }
                if (i2 < 1000) {
                    i2 = 1000;
                }
                if (z) {
                    start(iWebview, strArr[0], strArr[1], parseBoolean2, i, i2);
                } else {
                    Deprecated_JSUtil.execCallback(iWebview, strArr[0], StringUtil.format(DOMException.JSON_ERROR_INFO, 17, "only support wgs84"), JSUtil.ERROR, true, false);
                }
            } else if (str.equals("clearWatch")) {
                stop(strArr[0]);
            }
        } catch (Exception unused) {
        }
        return "";
    }

    public void getCurrentLocation(IWebview iWebview, String str, boolean z, int i, int i2) {
        b().a(iWebview, i, str, i2);
    }

    @Override // io.dcloud.js.geolocation.GeoManagerBase
    public void onDestroy() {
        a aVar = this.a;
        if (aVar != null) {
            aVar.a();
        }
        this.a = null;
    }

    public void start(IWebview iWebview, String str, String str2, boolean z, int i, int i2) {
        if (b().b(iWebview, i2, str, i)) {
            this.keySet.add(str2);
        }
    }

    public void stop(String str) {
        if (this.a != null && this.keySet.contains(str)) {
            this.keySet.remove(str);
            this.a.c(a.f);
        }
    }
}
