package io.dcloud.js.map.amap;

import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.js.map.amap.adapter.DHMapView;
import org.json.JSONArray;

public abstract class JsMapObject {
    String mJsId = null;
    protected DHMapView mMapView = null;
    String mUUID = null;
    protected IWebview mWebview = null;

    /* access modifiers changed from: protected */
    public abstract void createObject(JSONArray jSONArray);

    /* access modifiers changed from: protected */
    public abstract void updateObject(String str, JSONArray jSONArray);

    /* access modifiers changed from: protected */
    public String updateObjectSYNC(String str, JSONArray jSONArray) {
        return null;
    }

    protected JsMapObject(IWebview iWebview) {
        this.mWebview = iWebview;
    }

    /* access modifiers changed from: package-private */
    public void setUUID(String str) {
        this.mUUID = str;
    }

    /* access modifiers changed from: package-private */
    public void setJsId(String str) {
        this.mJsId = str;
    }

    public void onAddToMapView(DHMapView dHMapView) {
        this.mMapView = dHMapView;
    }
}
